%define version      6.5
%define release      20190130.1
%define rhel_version 8
%define rhcert_sitelib /usr/lib/python3.6/site-packages/rhcert
%define rhcert_python python3

# disable shebang ambiguity errors
%undefine __brp_mangle_shebangs

# The behaviour of the rpm-build package for python files varies between
# releases.  Sometime in the FC4 timeframe it gained a file
# /usr/lib/rpm/brp-python-bytecompile which generates pyo and pyc files for py
# files, in a phase after the install.
# This macro is needed to turn this off, for building on FC4/RHEL5 and later:
%define byte_compiled_python 0

Name:           redhat-certification
Summary:        Red Hat Certification
Version:        %{version}
Release:        %{release}.el%{rhel_version}
Group:          Development/Tools
License:        GPLv2+
URL:			http://redhat.com
Source0:        %{name}-%{version}-%{release}.tar.bz2
# snapshot
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Obsoletes: rhcert-client, ccp-client
BuildRequires: %{rhcert_python}-devel
Requires: redhat-certification-backend = %{version}-%{release}
Requires: httpd
Requires: mod_wsgi
Requires: %{rhcert_python}-lxml
Requires: %{rhcert_python}-django >= 1.8
Requires(post): systemd
Requires(post): firewalld

# redhat-certification-backend subpackage
%package -n redhat-certification-backend
Summary:        Red Hat Hardware Test Suite Backend
Group:          Development/Tools
# for container certifications
Requires: %{rhcert_python}-magic
# for client listener: ps
Requires: procps
# rhcert.Test.collabRequest
Requires: %{rhcert_python}-requests
Requires: %{rhcert_python}-lxml

# redhat-certification-hardware subpackage
%package -n redhat-certification-hardware
Summary:        Red Hat Hardware Certification Test Suite
Group:          Development/Tools
Requires:       redhat-certification-backend >= %{version}
Requires:       lmbench, dt, httpd, nfs-utils, stress, gcc
Requires:       kernel-devel, kernel-headers
Requires:       kernel-abi-whitelists, policycoreutils, sos
Requires:       rfkill, pciutils
# require usbutils for lsusb except on s390x
%ifnarch s390x
Requires: usbutils, iw, NetworkManager
%endif
# require RHEL7 via kernel
Requires: kernel >= 3
Provides:       redhat-certification-hardware

# redhat-certification-hardware-preview subpackage
%package -n redhat-certification-hardware-preview
Summary:        Red Hat Hardware Test Suite Preview
Group:          Development/Tools
Requires:       redhat-certification-hardware >= %{version}
Requires:       qemu-kvm libvirt %{rhcert_python}-dbus
Requires:       kernel-abi-whitelists, policycoreutils, sos
Provides:       redhat-certification-preview

# redhat-certification-cloud subpackage
%package -n redhat-certification-cloud
Summary:        Red Hat Cloud Certification Test Suite
Group:          Development/Tools
Requires:       redhat-certification-backend >= %{version}
Requires:       nmap authconfig
Requires:       kernel-abi-whitelists, policycoreutils, sos
Provides:       stsclient-cloud-plugin, ccp-client
Obsoletes:      stsclient-cloud-plugin, ccp-client

# redhat-certification-openstack subpackage
%package -n redhat-certification-openstack
Summary: Red Hat OpenStack Platform Certification Test Suite
Group:          Development/Tools
Requires:       redhat-certification-backend >= %{version}
Requires:       %{rhcert_python}-jsonschema
Requires:       %{rhcert_python}-subunit
Requires:       rhosp-release
Requires:       kernel-abi-whitelists, policycoreutils, sos

# redhat-certification-baremetal subpackage
%package -n redhat-certification-baremetal
Summary: Red Hat Baremetal certification Test Suite
Group:          Development/Tools
Requires:       redhat-certification-backend >= %{version}
Requires:       kernel-abi-whitelists, policycoreutils, sos

%description
Red Hat Certification runs certification tests for Red Hat products
%description -n redhat-certification-backend
Red Hat Certification Backend runs certification tests for Red Hat products
%description -n redhat-certification-hardware
Red Hat Hardware Certification Test Suite
%description -n redhat-certification-hardware-preview
Red Hat Hardware Certification Test Suite Preview
%description -n redhat-certification-cloud
Red Hat CCSP Certification Test Suite
%description -n redhat-certification-openstack
Red Hat OpenStack Platform Certification Test Suite
%description -n redhat-certification-baremetal
Red Hat Baremetal certification Test Suite

%prep
%setup -q -c

%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT RHCERT_RHEL_VERSION=%{rhel_version} RHCERT_RELEASE=20190130.1 RHCERT_PYTHON=/usr/bin/%{rhcert_python} RHCERT_SITE_LIB=%{rhcert_sitelib} make

%install
DESTDIR=$RPM_BUILD_ROOT RHCERT_RHEL_VERSION=%{rhel_version} RHCERT_RELEASE=20190130.1 RHCERT_PYTHON=/usr/bin/%{rhcert_python} RHCERT_SITE_LIB=%{rhcert_sitelib} make install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post
chcon -R system_u:object_r:httpd_sys_content_t:s0 /var/www/rhcert
chcon -R system_u:object_r:httpd_sys_rw_content_t:s0 /var/www/rhcert/store
chcon -R system_u:object_r:httpd_sys_script_exec_t:s0 /var/www/rhcert/wsgi
setsebool -P httpd_can_network_connect 1

%preun -n redhat-certification-backend
if pgrep "rhcertd" > /dev/null; then systemctl stop rhcertd.service; systemctl disable rhcertd.service; fi
systemctl daemon-reload
systemctl reset-failed

%files
%defattr(-,root,root)
/var/www/rhcert/application
/var/www/rhcert/css
/var/www/rhcert/fonts
/var/www/rhcert/images
/var/www/rhcert/img
/var/www/rhcert/js
/var/www/rhcert/project
/var/www/rhcert/templates
/var/www/rhcert/wsgi
/var/www/rhcert/xsl
# set to user apache for server/cgi serving
%attr(-, apache, apache) /var/www/rhcert/store
/etc/httpd/conf.d/rhcert.conf
/etc/httpd/conf.d/rhcert.pem


%files -n redhat-certification-backend
/usr/bin/rhcert-util
/usr/bin/rhcertd
/usr/bin/rhcert-ci
/usr/bin/rhcert-cli
%{?rhcert_sitelib}
%exclude %{?rhcert_sitelib}/suites/hwcert
%exclude %{?rhcert_sitelib}/suites/hwcertpreview
%exclude %{?rhcert_sitelib}/suites/cloud
%exclude %{?rhcert_sitelib}/suites/baremetal_cert
%exclude %{?rhcert_sitelib}/suites/openstack_cert
/etc/rhcert-default.xml
/etc/systemd/system/rhcertd.service

%files -n redhat-certification-hardware
%defattr(-,root,root,-)
%{rhcert_sitelib}/suites/hwcert

%files -n redhat-certification-hardware-preview
%defattr(-,root,root,-)
%{rhcert_sitelib}/suites/hwcertpreview

%files -n redhat-certification-cloud
%defattr(-,root,root,-)
%{rhcert_sitelib}/suites/cloud

%files -n redhat-certification-openstack
%defattr(-,root,root,-)
%{rhcert_sitelib}/suites/openstack_cert
%{_sysconfdir}/redhat-certification-openstack/tempest.conf.sample
%{_sysconfdir}/redhat-certification-openstack/test_config.json.sample

%files -n redhat-certification-baremetal
%{_sysconfdir}/redhat-certification-openstack/baremetal.json.sample

%defattr(-,root,root,-)
%{rhcert_sitelib}/suites/baremetal_cert

%changelog
* Wed Jan 30 2019 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-4222 Results parsing fails for  (major release 8.0) due to invalid OS release version - Fixed a conditional statement which was returning False if version is 0

* Wed Jan 30 2019 Ajinkya Marudwar <amarudwa@redhat.com>
- Release Note 6.5

* Tue Jan 29 2019 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-4049 failed to gather ip choices from LTS for RoCE test of QL41262HLCU   - Changed the match condition so that correct device gets populated in plan"

* Mon Jan 28 2019 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-4220 hwcert/info fails with a stack trace on RHEL 6.10 on s390x (IBMz) - Restored the code which uses product short name in upper case while accessing service cache.

* Mon Jan 28 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3989 cpuscaling test not running subtests on RHEL 7.6 on X86 - Added warning message in case of cstate subtest failure - Corrected the if-condition whether to continue testing ptest or not

* Fri Jan 25 2019 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-4201 Click on 'Test' after selecting hardware SUT gives traceback - Fixed attribute error: 'Test' object has no attribute 'hosts'

* Thu Jan 24 2019 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-4201 Click on 'Test' after selecting SUT gives traceback - Fixed attribute error: 'Test' object has no attribute 'hosts'

* Wed Jan 23 2019 Ben Rose <brose@redhat.com>
- CERTPX-4192 - traceback in fv_memory and fv_core for ARM and s390x - use the latest of possible, known rhcert versions and corresponding dependency directory

* Wed Jan 23 2019 Greg Nichols <gnichols@redhat.com>
- CERTPX-4199 [RHOSP-14] After Selecting SUT roles and click on Test Button do not show test plan selection     - changed to wait for all selected hosts to be ready before redirection back to Testing tab.

* Tue Jan 22 2019 Greg Nichols <gnichols@redhat.com>
- CERTPX-4188 Add support for custom/development catalog" URLs"

* Mon Jan 21 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3868 Refactor/rework functionality in fv_* test to not require mounting (in VM) hwcertData.img - Fix a bug to avoid removing results immediately after test run, so it can be copied-out - Unmount hwcertData image once its content is copied into host - Remove whitespaces

* Mon Jan 21 2019 Javed Alam <jalam@redhat.com>
- CERTPX-4047 : Capture the rpm verification failures in a separate file

* Mon Jan 21 2019 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-4153 traceback in fv_realtime test for    - Added yum-utils" in dependency as "yumdownloader" is not there in    - Converted decimal to int for hugepage size configuration   - Improvised some error messages for easy debugging"

* Fri Jan 18 2019 Aniket Khisti <akhisti@redhat.com>
-  CERTPX-3989 cpuscaling test not running subtests on RHEL 7.6 on X86 - Make the Cstate sub-test's overall result-status as WARN instead of FAIL if not PASS

* Thu Jan 17 2019 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-4130 Fixed the traceback in fv_memory test related to UnicodeDecodeError in debug mode
- CERTPX-4139 Dependency issues in fv_realtime test for    - Removed python-xmltodict" as this is not used in code and not found the repository   - Removed "python" as this will be already installed.     Causing issue in  as there is no python package there is python2 and python36   - Removed "qemu-kvm-tools-rhev" as it is not present in .     It is required in RHEL7 as it is dependency for "tuned-profiles-nfv".     Installing "tuned-profiles-nfv" should automatically install "qemu-kvm-tools-rhev" in RHEL7   - Fixed python3 compatibility issue. As "dict.keys()" doesn't returns list in python3"

* Thu Jan 17 2019 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-4141 RCO should accept custom path of tempest.log, provided in tempest.conf Minor fixed in rhcert/configfile to set appropriate key and value.

* Thu Jan 17 2019 Ben Rose <brose@redhat.com>
- CERTPX-4049 - failed to gather ip choices from LTS for RoCE test of QL41262HLCU - centralize gid/net device matching logic for rdma tests and fix for missing net device for some RoCE setups"
- CERTPX-4049 - failed to gather ip choices from LTS for RoCE test of QL41262HLCU - corrected comparison of gid and inet link (mac address) to enable RoCE matches"

* Thu Jan 17 2019 Javed Alam <jalam@redhat.com>
- CERTPX-4092 : During cert creation for RHOSP, 'Upstream availability date:' shows blank on olders versions of browsers

* Wed Jan 16 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3868 Refactor/rework functionality in fv_* test to not require mounting (in VM) hwcertData.img - Initial Commit - - Removed mounting(in VM) code - Added methods to transfer files between host & guest without mounting - Removed redundant code & comments Change-Id: I0a5a114a6f9196dc7e4d377d96a5caf6c6d8da41

* Fri Jan 11 2019 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-4080 [RHOSP] Fixed an issue where test doesn't work if 'log_file' parameter in tempest.conf points to cwd. - Removed the code which makes CWD to /tmp/<xyz>_tempest - Resolves: https://access.redhat.com/certops/internal/#/certification/02279591

* Fri Jan 11 2019 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-4044 no qemu-kvm-tools package available   - Removed dependency for qemu-kvm-tools package as it is not used in test   - Added dependency for tar package as it is not present in 

* Thu Jan 10 2019 Aniket Khisti <akhisti@redhat.com>
- CERTPX-4057 make NFS systemd service file usage consistent across RHEL versions

* Wed Jan 09 2019 Greg Nichols <gnichols@redhat.com>
- CERTPX-4121 Configuration Page has inconsistent start/remove confirmation dialogs

* Wed Jan 09 2019 Ben Rose <brose@redhat.com>
- CERTPX-4081 -  Traceback with cpuscaling test on Power 9 and ARM systems - wrapped <dict>.items() with list() where objects deleted from result in for loop to accomodate change in python3

* Wed Jan 09 2019 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3875 kernel modules test failing   - Added new function to return the kernel-modules package name   - Added file list of kernel-modules package as some module are linked with it

* Tue Jan 08 2019 Ajinkya Marudwar <amarudwa@redhat.com>
- Release Note 6.4

* Mon Jan 07 2019 Greg Nichols <gnichols@redhat.com>
- release 6.5

* Fri Jan 04 2019 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-4107 Handle special labels in product name during SUT product discovery  - Remove identified extra labels from product name
- CERTPX-4105 Usability of valid kernel cache when service is inaccessible  - Handling product version

* Fri Jan 04 2019 Pooja Tiwari <ptiwari@redhat.com>
- Updated local service cache

* Thu Jan 03 2019 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-4096 File System Layout shows incorrect values for partition size  - Reworked checks for validating partition size
- CERTPX-3731 Could not determine vendor product in kernel test, in a IBMz/s390x system CERTPX-3938 rpm freshness does not pass for .0 Beta CCSP  - Modified regexes to handle Beta labels in product name and release  - Added release-label to handle 'Beta' in versioning  - Pep-8 formatting for long lines and stacked function definitions

* Thu Dec 27 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-4091 Fixed traceback when I click on Test button after selecting SUT roles

* Mon Dec 24 2018 Javed Alam <jalam@redhat.com>
- CERTPX-1310 : Fixed invalid date range on Create new OSP certification page

* Mon Dec 24 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-4083 Fixed a traceback while submitting results from Progress tab Upload File""

* Fri Dec 21 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3945 [RHOSP-12] Fixed an issue that was dis-allowing copying tempest.log in desired location - Fixed the code that checks OSP version.

* Fri Dec 21 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-4049 Failed to gather ip choices from LTS" for RoCE test of QL41262HLCU - handle RocE GID finding strategy peculiarly."

* Fri Dec 21 2018 Javed Alam <jalam@redhat.com>
- CERTPX-1631 : Fixed Long file name overlaps with the Upload button in Firefox browser

* Tue Dec 18 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3989 cpuscaling test not running subtests on RHEL 7.6 on X86 - wrap the cstate logic in a subtest
- CERTPX-4067 ValueError while executing /usr/bin/rhcertd in RHEL6  - handled the case that python 2.6 doesn't allow empty braces as placeholders in format() method

* Mon Dec 17 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-4066 Fixed an issue while updating the deferred test results: - Rpm Freshness service is returning 500 due to null" in request body"

* Mon Dec 17 2018 Javed Alam <jalam@redhat.com>
- CERTPX-3891 Fixed Login failure does not report errors on login page
- CERTPX-3187 Neutron tab, first time, 'clear all' checkbox can be seen as selected but no other checkboxes for any features are selected

* Fri Dec 14 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2476 select protocols for manila are displying with unicoded string during test run - Handle list input to rhcert.compatability.rhcert_make_str and use that while displaying manila protocols - Make files PEP8 complaint
- CERTPX-3972  suspend test needs pm-utils package for  - Replace pm-utils package commands by more common systemctl commands - Make suspend.py PEP8 complaint

* Fri Dec 14 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-4019 Container test fails when no images present on the SUT 	- Updated the command to not return heading if container is not present.

* Thu Dec 13 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3904 rhcert 6.3 release note

* Thu Dec 13 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-4045 Fixed traceback on Realtime SUT 	- removed RHELMRG and added RHELRT for 7 and 8

* Wed Dec 12 2018 Aniket Khisti <akhisti@redhat.com>
- CPERTPX-3882 Running unmentioned commands in --help of rhcertd  - Remove the registration code from rhcertd.py  - Make PEP8 complaint
- CERTPX-3882 Running unmentioned commands in --help of rhcertd  - Remove the registration code from rhcertd.py

* Wed Dec 12 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3875 kernel modules test failing 	- Updated code to use 'Command' module instead of 'popen' 	- Updated code to use 'kernel-core' rpm if 'kernel' rpm fails to return module list

* Wed Dec 12 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3734 Missing login causes 'certification not found' and redirects to the results tab

* Wed Dec 12 2018 Ben Rose <brose@redhat.com>
- CERTPX-4025 - Test suite detected device as RoCE when it set as iwarp   Check transport line of output from ibv_devinfo for device   Add qedr driver modules to list for iWarp planning

* Tue Dec 11 2018 Ben Rose <brose@redhat.com>
- CERTPX-3973 - DVD test not showing media to be tested correctly   in python 3, a map() result is not subscriptable, so force into list

* Tue Dec 11 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-4050 Fixed traceback on realtime SUT in 'rhcert-cli plan' command 	- converted 'str' to 'int'
- CERTPX-4045 Fixed traceback on Realtime SUT with rhcertd start 	- Updated 'self.getVersion' to 'self.getVersion()'
- CERTPX-4043 Fixed traceback with rhcertd start when just redhat-certification-backend is installed 	- Added dependency for python3-lxml" in 'redhat-certification-backend' package."

* Mon Dec 10 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-4042 Result parsing is failing when I submit result from CLI    - set <certification><os> if missing before CLI submission

* Mon Dec 10 2018 Petersingh Anburaj <panburaj@redhat.com>
- Created new release branch release-6.4

* Fri Dec 07 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-4041 [Multihost] Upload followed by Submit changes results file name to single-host format

* Thu Dec 06 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3975 Progress Page Improvements     - moved buttons for actions not specific to a test to the table header-left.     - fixed the submit buttons that are row/test specific for multi-host     - added Cancel buttons to submit dialogs
- CERTPX-4012 [RHOSP 14][Multi-host] While result submission result file is not compressed to xml.gz

* Thu Dec 06 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-4030 Traceback while downloading submitted result file from progress tab

* Wed Dec 05 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-4030 Traceback while downloading submitted result file from progress tab     - removed CertificationDocument.getHostname     - added ResultsDocument.getHostname based on getHostOS
- CERTPX-3985 Multi-Host Test Run Attachments not found    - missed checkin: download needs roleID xslt parameter
- CERTPX-3931 Multi-host Workflow for Assigning Host Roles   - and button for re-selecting hosts

* Wed Dec 05 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-4029 Fixed an issue during result upload from Progress page. - Added multiHostFileRegex as an acceptable result file format.
- CERTPX-4026 [RHOSP 14][Multi-host] Test" button is not enabled after selecting host roles. - Fixed javascript to not to consider 'reset' option while comparing the selected vs expected roles."

* Wed Dec 05 2018 Javed Alam <jalam@redhat.com>
- CERTPX-247 Fixed Interactive Testing: Replace 'restart' with 'cancel' button

* Wed Dec 05 2018 jkinsman <jkinsman@redhat.com>
- CERTPX-3612: Updates redhat-certification-hardware-preview package to use new el7/ package naming conventions for python-dbus dependency.

* Tue Dec 04 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3985 Multi-Host Test Run Attachments not found    - add roleID to specify attachments in multi-host results    - enhance rhcert-util translate" to handle xslt parameters"
- CERTPX-3985 Multi-Host Test Run Attachments not found    - preserve attachment payload on combining host results
- CERTPX-3931 Multi-host Workflow for Assigning Host Roles   - implement constaints in host selection

* Tue Dec 04 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3894 CWE CCSP transition UnitTesting part -2  - Write/Modify unittest for CCSP APIs  - Make rhcert/workflow/tests/test_* PEP8 compliant

* Tue Dec 04 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3984 Fixed the panel IDs in testing tab to display the multi host result correctly. - Used host ID to to form test and attachment IDs.

* Tue Dec 04 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3853 rhcert-cli Infiniband_QDR test does not install required package opensm CERTPX-3873 many hardware dependent packages not getting installed   - Reworked the flow for handling installation or required RPMs   - Removed version dependency for specific required RPMs

* Mon Dec 03 2018 Javed Alam <jalam@redhat.com>
- CERTPX-3302 Fixed issue: rhcert-cli run --test director_undercloud with debug=high says The following tests will be skipped: director_undercloud

* Mon Dec 03 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3999 Fixed: Missing <role> in certification, hardware and test tags in multi-host result file CERTPX-3983 Fixed: SUT Status as 'certification for Red Hat Enterprise Linux" does not match host OS " "' Additionally: - Renamed some of the variables for better code readability. - Removed the un-used url 'testrole' and its view method."

* Fri Nov 30 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3513 RHCert results XML schema change for host roles and multi-host test plans     - schema corrected for rhcert-results and rhcert-muli filetypes

* Fri Nov 30 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3987 Fixed the issue of different SUT getting added automatically
- CERTPX-3958 'l.decode(..)' was not changing the 'l' to unicode, updated it to 'l = l.decode(..)'

* Fri Nov 30 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3966 CERTPX-3984 CERTPX-3985 Fixed the panel IDs to display the multi host result correctly. - Used host ID rather than device to form the subtest and attachment IDs.

* Fri Nov 30 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3991 Plan only tests that are related to certification created in RHOSP

* Thu Nov 29 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3970 Multihost results file deletion error

* Thu Nov 29 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3852 Fixed a trackeback with baremetal_stage_deploying test - Removed an unecessary extra argument from caller method.
- CERTPX-3990 Fixed traceback while accessing Testing tab - There was a typo in a variable name
- CERTPX-3957 Fixed issue while accessing system's host name and ip.

* Thu Nov 29 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3940 password (authselect) test should give corrective action when appropriate  - Added corrective action
- CERTPX-3939 nftables not running warning should have corrective action specified  - Added corrective action to advise users to run/enable a service if dead/disabled

* Wed Nov 28 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3932 Multi-host Workflow for selecting tests and tested protocol     - implemented state management: host selection, test selection, and testing

* Wed Nov 28 2018 Javed Alam <jalam@redhat.com>
- CERTPX-2387 updated appendError, appendErrors and appendAlert to display alert error like view.py
- CERTPX-3897 Added a flag called isSandbox to check on which page we have to redirect to

* Tue Nov 27 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3514 RHCert WUI support for display and execution of multi-host testing    - fixed ordering of multihost results (newest at top)
- CERTPX-3968 Exception on clicking submit for multihost results
- CERTPX-3514 RHCert WUI support for display and execution of multi-host testing    - non-required tests are not selected by default    - implemented test selection    - todo: fix interactive prompt responses (nested forms)    - todo: state management (client-side)

* Tue Nov 27 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3969 Fixed traceback while restarting the SUT from configuration page.

* Tue Nov 27 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3958 Using decode as we are converting logs to unicode, 	Changed the except condition so that UnicodeDecode exception is caught below

* Tue Nov 27 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3967 Make the openstack director test mandatory

* Tue Nov 27 2018 jkinsman <jkinsman@redhat.com>
- CERTPX-2657: Port logic to start/stop lmbench services on a per-test basis from hwcert to rhcert, modify for python3 support.

* Fri Nov 23 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3806 Removed 'rhcert_make_unicode()' from 'getSystemLog()' function, as 	    getSystemLogSinceBoot() return a list which is getting converted to unicode.
- CERTPX-3883 Using if/else instead of try/except due to the known bug in subprocess python 2.6.6

* Fri Nov 23 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3953 Fixed traceback in openstack/supportable test in 'Log Versions' subtest.
- CERTPX-3852 Added a missing quote.
- CERTPX-3699 [RHOSP-14] Fixed name for octavia test.

* Thu Nov 22 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3852 [RHOSP] Fixed issues while connecting to remote host (key based authentication): - Change in baremetal_stage_deploying test:   Using stack user's public key while creating the keypair.   Using stack user's private key while connecting to provisioned server, - Change in openstack director test:   Using stack user's private key while connecting to controller node.

* Thu Nov 22 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3946 [RHOSP 12] tempest Tests are not running in manila tests

* Thu Nov 22 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3874 Updated code to have min thread count as 1 for threaded_memtest

* Wed Nov 21 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3928 Traceback on Configuration page on web UI on 6.3 upgrade    -- fixup pre 6.3 results XML for use re: host/os information

* Wed Nov 21 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3847 [RHOSP14] Fixed issue: Baremetal/Sos report test is failing: - There is an issue with logs plugin in sos-3.6 (default sos version on 7.6). - Running sosreport with logs plugin ends up with failure: Process killed" - Disabled the logs plugin in the sos command as it is not mandatory."
- CERTPX-3846 [RHOSP-14] Change in Baremetal/director_unercloud test: - Removed the check for existence of stack to validate director deployment.

* Wed Nov 21 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3947 Removed string as string don't have split attribute in python3

* Tue Nov 20 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3931 Multi-host Workflow for Assigning Host Roles   - clean up testing page   - provide role pull-down menus to allow selection of all hosts

* Tue Nov 20 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3941 Updated get_json_output function to return empty dictionary when command has no output.
- CERTPX-2412 Implemented new workflow for leveraging result.

* Tue Nov 20 2018 Ajinkya Marudwar <amarudwa@redhat.com>
- Release Notes 6.2

* Mon Nov 19 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3929 traceback on testing page: not match for testrole" url"

* Mon Nov 19 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3871 Added unicode as utf8 to convert bytes to string in python3 CERTPX-3883 Changed iteritems to items for python3 support
- Updated the release version to 6.3 in Makefile

* Fri Nov 16 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3659 Multi-Node MVP in RHOSP Certification
- CERTPX-3514 RHCert WUI support for display and execution of multi-host testing   - fix multi-host run time methods
- CERTPX-3514 RHCert WUI support for display and execution of multi-host testing   - add display for merged multihost files

* Fri Nov 16 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3895: CWE CCSP Transition Unit Testing part - 1

* Thu Nov 15 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3899 [VNF]Traceback while creating vnf certification

* Thu Nov 15 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3898 During test run of baremetal, test is trying to run a command 'baremetal configure boot' which is not an openstack command

* Sat Nov 10 2018 Ben Rose <brose@redhat.com>
- CERRTPX-3881 - fix typo in Command class fix a typo

* Tue Nov 06 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3515 RHCert LTS merging of multiple host results for multi-host test runs     - add detection of results from multi-host testing to initiate merge     - defined new file type for merged multihost runs with prefix rhcert-multi-     - added merging code in rhcertStore and ResultsDocument

* Mon Nov 05 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3514 RHCert WUI support for display and execution of multi-host testing   - merge multi-host to single results file on submit""

* Mon Nov 05 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3770 [Hwcert] rhcertd fails to restart in python3 env  - Fixed the python3 compatibility issue

* Fri Nov 02 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3513 RHCert results XML schema change for host roles and multi-host test plans     -  allow multiple <hardware><os> elements     - move <test><run><os> to <test><os>

* Fri Nov 02 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3844 rhcertd can't start on RHEL 6.5 - added python-six as required dependacy for backend package

* Fri Nov 02 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3842 Avoid product redundancy in RH product list. - An RH product can be part of more than one ecosystem (in PNS)   but it should show up only once in product list (New Cert Page)
- CERTPX-3775 Changes in Manila testing: - manila_share_types is no longer a separate test. It is included in manila_share test. - test_share_types_extra_specs" regex is now part of manila_share."

* Thu Nov 01 2018 Gonéri Le Bouder <goneri@redhat.com>
- VolumesExtendAttachedTest is OSP14 only

* Thu Nov 01 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3791 Fixed director test for RHOSP 14. - Changed regex in the director validation command.
- CERTPX-3836 Minor fixes in container test. - Fixed a typo. - Re-phrased a log message.

* Thu Nov 01 2018 Ajinkya Marudwar <amarudwa@redhat.com>
- updated certification release 6.1 content

* Thu Nov 01 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3461 Baremetal certification compatibility for OSP 14

* Thu Nov 01 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3513 RHCert results XML schema change for host roles and multi-host test plans     - update XMLRPC API spec

* Wed Oct 31 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3514 RHCert WUI support for display and execution of multi-host testing   - fixed interactive test run/prompting

* Wed Oct 31 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3461 Added openstack version 14 in baremetal osp version detection code.
- CERTPX-3836 Changed container test: - To use image id rather name for inspect. - Handle the case when orphan containers exist on the SUT. - It impacts OSP trusted_container and ccsp supportable/software_container tests.

* Tue Oct 30 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3514 RHCert WUI support for display and execution of multi-host testing   - minor fixes

* Mon Oct 29 2018 Zahid Ajaz <zajaz@redhat.com>
- New branch release-6.2 created

* Fri Oct 26 2018 Ben Rose <brose@redhat.com>
- CERTPX-3822 - traceback with 10GigRoCE test on el6     - handle errors more elegantly

* Fri Oct 26 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3601 Minor fix in ccsp software container test: - Test should pass if no container exists.
- CERTPX-3826 Removed unnecessary rpm dependencies from trusted container test.
- Fixed an issue with python2 and 3 compatibilty - string.atoi is not available in python3 - Replaced string.atoi() with int() across the code. - Resolves: CERTPX-3596

* Fri Oct 26 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3819 Disable server on  builds   - comment out the httpd config via undefined env variable

* Thu Oct 25 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3514 RHCert WUI support for display and execution of multi-host testing   - initial prototype test selection widget

* Thu Oct 25 2018 Ben Rose <brose@redhat.com>
- CERTPX-3822 - traceback with 10GigRoCE test on el6 - added check for blank or no return for ping so next time it will fail gracefully
- CERTPX-3803 - Include ipv6 value in search for matching ethernet device for rdma device - Improve readability and consolidate some of the functionality pairing rdma gid w/ ethernet device - Add ipv6 to values compared with gid for that purpose

* Thu Oct 25 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3809 Fix an issue for , while writing to output.log - TypeError: ord() expected string of length 1, but int found

* Thu Oct 25 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3599 Enable relevant Software Repositories to support CCSP on    - Enhanced the test result log messages

* Wed Oct 24 2018 Ben Rose <brose@redhat.com>
- CERTPX-3809 - all HW tests are failing on el6 with empty traceback - workaround for issue w/ 2.6.6 refusing to write unicode to binary

* Wed Oct 24 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3755 Reduced the sleep time and it is waiting for long time and causing some failures

* Wed Oct 24 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3790 Error displayed in Disk Size Supportable subtest in CLI  - Fixed bug in re.split to split on one or more whitespaces
- CERTPX-3596 Update 'Unsupported Hardware' test criteria for    - Added new check to verify RAM per core is above threshold

* Tue Oct 23 2018 Ben Rose <brose@redhat.com>
- CERTPX-3817 - traceback with kdump test - fixed config file operation to account for empty lines

* Tue Oct 23 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3745 Move new RDMA tests out of preview package and into regular hardware package
- Resolved importError for python3 compatibilty encountered during make rpm for  - Removed from __builtin__ import False from 2 files

* Tue Oct 23 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3595 Root File System test criteria changes for   - Make 'disk size checks' rhel version specific
- CERTPX-3599 Enable relevant Software Repositories to support CCSP on   - checks to verify if the required repos are enabled

* Mon Oct 22 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3796  ifdown and ifup interface to resolve network issue
- CERTPX-3796 Changed the command to check if rcopy is running CERTPX-3755 Changed the command to check if rping is running

* Mon Oct 22 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3595 Root File System test criteria changes for   - New subtest for  to validate file system layout
- CERTPX-3597 [CCSP] Network Configuration test changes for    - check if firewalld is enabled   - validate the firewall backend   - Enhanced ConfigFile to handle user defined separator Change-Id: I4f0e8a380c4b23964be9ac6dbae43ec707343280

* Fri Oct 19 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3252 - Refactor existing RDMA tests into network speed specific tests    - remove tab character

* Thu Oct 18 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3601 Test status for CCSP Supportable/Software Container: - if no container exists:     PASS for CCSP     FAIL for OSP - fixed a minor typo
- CERTPX-3788 Fixed xml.parsers.expat.ExpatError - For OSP (python2.6):     error due to bad char in output.log     Made use of existing method for removing such char. - For CCS on  (python3):      error due to bad char in certification.xml.      Solved a python 2 and 3 compatibilty issue w.r.t maps.

* Thu Oct 18 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3796 Fixed interface name issue in network test for RDMA interfaces, 	Fixed false PASS for rping and ping test, 	Applied pep8 standards for rdmaConnection.py file.

* Wed Oct 17 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3514 RHCert WUI support for display and execution of multi-host testing   - initial prototype with host selection/display on the Testing page

* Wed Oct 17 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3601 Bug fixes in  CCSP Supportable/Software Container test
- CERTPX-3699 Octavia implementation testing capabilities for RHOSP 14 - Changed test name - Updated api regex
- CERTPX-3386 API regex addition for cinder multi-attach.

* Wed Oct 17 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3603 [CCSP] SELinux Enforcing  - Enforced policy rules based on program

* Tue Oct 16 2018 Ben Rose <brose@redhat.com>
- CERTPX-3252 - Refactor existing RDMA tests into network speed specific tests - update mechanism for initiating on-demand commands on LTS initiated by tests run on SUT - modify comments to include more information

* Tue Oct 16 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3513 RHCert results XML schema change for host roles and multi-host test plans     - fix calls to os/host access     - initial prototype multi-host results page
- CERTPX-3513 RHCert results XML schema change for host roles and multi-host test plans     - add rhcert.model access methods

* Tue Oct 16 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3603 [CCSP] SELinux Enforcing  - Refactored SELinux policy check subtest  - Common test class for all programs  - Updated test description  - add compatibility for str.format in rhel6 Change-Id: Ia4fefccc2596e50245a260187236be1adf376649

* Mon Oct 15 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3513 RHCert results XML schema change for host roles and multi-host test plans
- CERTPX-3744 Can not view or extract sosreport file after downloading attachment from the rhcert WUI

* Mon Oct 15 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3776 Fixed traceback in osp/sosreport test: - AttributeError: 'GenerateSystemReportOpenstack' object has no attribute 'set_detected_version'
- CERTPX-3355 Red Hat Certification 6.0 Release Notes

* Mon Oct 15 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX 3597 [CCSP] Network Configuration test changes for    - Added 'nftables' as network access service for 

* Fri Oct 12 2018 Ben Rose <brose@redhat.com>
- CERTPX-3755 - Make rping RDMA subtest more resilient - added sleep/loop around call to kick off rping on LTS, checking ps to make certain it is running

* Fri Oct 12 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3601 Bug fix in  CCSP Supportable/Software Container test
- CERTPX-3699 Octavia implementation testing capabilities for RHOSP 14 - Added neutron_octavia_load_balancer test.
- CERTPX-3601 [CCSP] [New Subtest] Supportable/Software Containers - This subtest will execute based on the underlined rhel version. - Moved common container validation code into backend and re-used it in   ccsp and osp tests.

* Fri Oct 12 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3504 Removed unicode for python3 support, code refactoring.

* Thu Oct 11 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3742 Improve RPM change log generation

* Thu Oct 11 2018 Ben Rose <brose@redhat.com>
- CERTPX-3252 - Refactor existing RDMA tests into network speed specific tests CERTPX-2253 Update RDMA *connection tests to use ib_read_bw, ib_send_bw, etc - initial commit - moved to preview package for this release

* Wed Oct 10 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3513 RHCert results XML schema change for host roles and multi-host test plans     - add a <host> element to each test plan component to capture host and role information

* Wed Oct 10 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3386 Multi attach volume addition in RHSOP-14 cinder testing - Black-listed test_volume_swap_with_multiattach for now.

* Wed Oct 10 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3504 Updated the parameter name, found that it was wrong.
- CERTPX-3504 Removed 'DHSS False' from the UI list and added logic to add 'dhss_false' if 'dhss_true' is not selected.

* Tue Oct 09 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3690  Enable rhcert to use 'authselect' for CCSP Hashing algorithm Security subtest
- CERTPX-3593 [CCSP] Supported architectures on 
- CERTPX-3725  Traceback in result submission through CLI
- CERTPX-3707 [CCSP] Traceback in Configuration service status test in WUI

* Tue Oct 09 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3686 100GigRoCE test not getting planned  - Stripped rate unit - 'Gb'  - Corrected condition to check rate  - Added 'bnxt_re' into necessary driver module for RoCE test  - Formatted Error:" statement for consistency Change-Id: Ib3f5447636bf614916b7dfc96fc66626e736a7aa (cherry picked from commit 4c35ab5d26a2ecc9fbac65fe901bf95f49ad9342)"

* Tue Oct 09 2018 Zahid Ajaz <zajaz@redhat.com>
- Added NVDIMM to hwcertpreview package

* Mon Oct 08 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3686 100GigRoCE test not getting planned  - Stripped rate unit - 'Gb'  - Corrected condition to check rate  - Added 'bnxt_re' into necessary driver module for RoCE test  - Formatted Error:" statement for consistency Change-Id: Ib3f5447636bf614916b7dfc96fc66626e736a7aa"

* Mon Oct 08 2018 Pooja Tiwari <ptiwari@redhat.com>
- OSP Test suite code refactored: - OSP Version detection steps should be performed at once in the start rather than for each test. - Used a class varaible to hold OSP version which gets used in almost all tests. - Fixed pep8 errors - CERTPX-3666 OSP version detection is now a part of test plan. - CERTPX-2366 RHOSP version detection should not be a part of rhcertd process.
- rhcert-6.1

* Mon Oct 08 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-2383 Develop test for NVDIMM  - Planning mechanism for NVDIMM  - Subtest for NVDIMM

* Thu Oct 04 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3703 rhcert-cli register asks to confirm deletion of current results even if there are none

* Thu Oct 04 2018 Ben Rose <brose@redhat.com>
- Revert CERTPX-2383 Develop test for NVDIMM  - Planning mechanism for NVDIMM  - Subtest for NVDIMM""

* Wed Oct 03 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3696 : sosreport doesn't run
- CERTPX-3692  'ModuleNotFoundError' in rhcert-ci and rhcert-util

* Wed Oct 03 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3578 Create M2_NVMe test CERTPX-3579 Create U2_NVMe test

* Wed Oct 03 2018 jkinsman <jkinsman@redhat.com>
- Explictly provide RHCERT_PYTHON=/usr/bin/python when invoking Make from redhat-certification-backend RPM spec file to ensure shebangs are set properly.
- Explicitly cast LooseVersion values parsed from Brewroot to strings for comparison purposes. This addresses a Python 3 behavioral change, where these values can be cast to integers for comparison purposes under specific circumstances.

* Wed Oct 03 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3584 The test result should fail if 'sudo sh -c 'dmidecode'' on baremetal return no valid value

* Wed Oct 03 2018 Zahid Ajaz <zajaz@redhat.com>
-  CERTPX-2377 Split out PCIE_NVMe storage test (as-is) from existing storage test  - Default planning method hostPatternString

* Tue Oct 02 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3624  rhcertd unable to locate/use python3 via '#!/usr/bin/env python'    - fix %build directive
- CERTPX-3624  rhcertd unable to locate/use python3 via '#!/usr/bin/env python'    - change default RHCERT_PYTHON to /usr/bin/python    - change spec file generation to use os.path.basename(RHCERT_PYTHON)
- CERTPX-3684 : traceback on rhcertd start creating /etc/rhcert/xml     - remove low-level handler for OSError so upper-level code and hande it.
- CERTPX-3624  rhcertd unable to locate/use python3 via '#!/usr/bin/env python'    - change Makefile to set shebang to RHCERT_PYTHON value.

* Tue Oct 02 2018 jkinsman <jkinsman@redhat.com>
- Pass RHCERT_LIB_DIR and RHCERT_PYTHON to rhcertSpec.py when building Dockerfile and redhat-certification-devel spec file.

* Mon Oct 01 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3664 Fixed exception for hwcert/rdma/Infiniband_QDR test

* Fri Sep 28 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3660 limit results file name length to 80 characters

* Thu Sep 27 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3650  configuration test stray 'b" characters and escaping of <command> taging"
- CERTPX-3663  rhcert-cli register detection of LTS on LAN doesn't work.

* Thu Sep 27 2018 Ben Rose <brose@redhat.com>
- CERTPX-3657 - Registering system in rhcert web ui results in error - changed client proxy run call to runXML to match change in -backend code

* Thu Sep 27 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3576 Added M2 SATA test CERTPX-3577 Added U2 SATA test

* Thu Sep 27 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3654 'rhcert/peer' test should not plan/run for any program: - Disabled planning for 'rhcert/peer' test. - Fixed a traceback 'AttributeError: 'str' object has no attribute 'combine' in 'rhcert/peer' test.
- CERTPX-3652 Unable to login at rhcert WUI - Fixed: File does not exist: /var/www/rhcert/img/bg-login.jpg

* Wed Sep 26 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3649  configuration test traceback on systemctl start chrond

* Tue Sep 25 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3610 Research: SUT Peer Requests for Multi-host Testing     - allow rhcert-cli clean via peer call.
- CERTPX-3610 Research: SUT Peer Requests for Multi-host Testing     - moved PeerDemo to PeerTest as a base class for peer tests     - fixed merging of attached results files
- release-6.0

* Tue Sep 25 2018 Pooja Tiwari <ptiwari@redhat.com>
- Updated local cache files for pns and valid-kernels services.

* Tue Sep 25 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3604 Change in design for planning storage test and converting SATA and SAS to base class CERTPX-3220 Resolves the issue with SAS SSD planning CERTPX-3221 Resolves the issue with SATA SSD planning

* Mon Sep 24 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3610 Research: SUT Peer Requests for Multi-host Testing     - adds an rhcertd daemon server method to run a rhcert-cli command     - adds an rhcertd listener server method to get current results.xml     - adds a PeerDemo test that calls rhcert/self_check on a peer SUT

* Fri Sep 21 2018 Ben Rose <brose@redhat.com>
- CERTPX-3542 - UnicodeDecodeError traceback running hardware tests on RHEL6.10 - encode/cast log to utf-8

* Fri Sep 21 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3581 pulldowns on result page missing     - remove HTML/XML escaping from rhcert.log.Log.logOnly     - fixes to cloud/supportable rewrite to use rhcert.command.Command
- CERTPX-3580 Error: Register Request Failed - 'Systems' object has no attribute 'server'     - changes system page to use RHCertClient class     - various unicode and typing fixes

* Fri Sep 21 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3521 Distinguish connect and catalog containers based on vendors in docker inspect

* Fri Sep 21 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3537  [CCSP] Password Configuration subtest fails everytime on RHEL-7.6  - Moved required rpms list to spec file  - Removed function calls to get/install required rpms

* Thu Sep 20 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3582 log window in testing page stuck on checking...     - revised call to SUT to use rhcert.client.client.RHCertClient
- CERTPX-3550 Various unicode and string handling errors on      - fixed traceback when rhcertd writes a PID
- CERTPX-3550 Various unicode and string handling errors on      - fixed WUI host status via new RHCertClient class     - replaced calls to sys.stdout.log.write with sys.stdout.logOnly     - rhcert.localTestServer: replaced urrlib code with requests CERTPX-3575 [CCSP] Multiple tracebacks in el7 tests     - fixed attachment encoding and md5sum on python2 and python3

* Wed Sep 19 2018 jkinsman <jkinsman@redhat.com>
- CERTPX-3244: Testing  Brew builds.

* Wed Sep 19 2018 Ben Rose <brose@redhat.com>
- CERTPX-2253 Update RDMA *connection tests to use ib_read_bw, ib_send_bw, etc - fix except syntax for python3
- CERTPX-3548 - fv_memory and fv_core failing due to missing python-libvirt dependency - python3-libvirt for python versions > 2, libvirt-python for pythong versions <= 2

* Tue Sep 18 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3550 Various unicode and string handling errors on      - revised rhcert.log.Log to handle unicode uniformly for test logs     - added tools/porting23.py to demo approach     - rhcert.localTestServer: replaced urrlib code with requests

* Tue Sep 18 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3537 [CCSP] Password Configuration subtest fails everytime on RHEL-7.6  - Fixed by adding authconfig as required rpm for security subtest
-     CERTPX-3489 All Storage Tests Are Failing       - Added missing return statement

* Tue Sep 18 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-1425 - Updated the print statement to have local variable.

* Mon Sep 17 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3203 investigate/resolve modules for python3 for      - add processing for test plan-time requires python-<rpm name> to python3-<rpm name>
- CERTPX-3203 investigate/resolve modules for python3 for      - add handling for python vs python3 in package names
- CERTPX-3203 investigate/resolve modules for python3 for      - remove dbus-python from redhat-certification-backend     - remove dbus-python from redhat-certification-hardware     - add %Rquires dbus-python to redhat-certification-hardware-preview (for now).
- CERTPX-3203 investigate/resolve modules for python3 for      - remove m2crypto

* Mon Sep 17 2018 Ben Rose <brose@redhat.com>
- CERTPX-2253 Update RDMA *connection tests to use ib_read_bw, ib_send_bw, etc - update thresholds for ethernet and ib_* subtests - update to support python3 syntax

* Mon Sep 17 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3384 Added a title for the baremetal node dmicode info in the baremetal test log

* Mon Sep 17 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-2163 Add SSD component into storage test as a subtest   - Refactored and renamed ssd device detection function CERTPX-3489 All Storage Tests Are Failing   - Fixed error handing

* Sat Sep 15 2018 Ben Rose <brose@redhat.com>
- CERTPX-2253 Update RDMA *connection tests to use ib_read_bw, ib_send_bw, etc - initial commit

* Fri Sep 14 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3524 File upload code needs re-rewrite for     - rename module from rhcert.http to rhcert.httpUpload to remove std lib conflict    - rename class HwCertHttp to HttpUpload    - re-implement to use the requests module for RHEL6-8 compatability

* Fri Sep 14 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-3241 Fixed traceback with rhcert-ci plan --program hardware - AttributeError: 'str' object has no attribute 'getHostname'

* Wed Sep 12 2018 Petersingh Anburaj <panburaj@redhat.com>
- CERTPX-1105 Improvised the error message when no test suite installed.

* Wed Sep 12 2018 Pooja Tiwari <ptiwari@redhat.com>
- Revert CERTPX-3373 Fixed the multiSelect UI prompt: - to handle single as well as multi choice. - to behave similar as command line multiSelect prompt.""

* Mon Sep 10 2018 jkinsman <jkinsman@redhat.com>
- CERTPX-3244: Replace python_sitelib references in RPM specfile with rhcert_sitelib to enable building  packages on EL7, and vice-versa.
- CERTPX-3244: test

* Mon Sep 10 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3472 Collecting RHOSP 13 docker logs from sosreport using docker plugin - Checking if docker plugin is active or not. - sosreport test status sets to Needs Review in case docker plugin is disabled.

* Fri Sep 07 2018 jkinsman <jkinsman@redhat.com>
- CERTPX-3244: Adds just enough to enable local  builds on Jenkins build systems.

* Fri Sep 07 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3373 Fixed the multiSelect UI prompt: - to handle single as well as multi choice. - to behave similar as command line multiSelect prompt.

* Thu Sep 06 2018 Ben Rose <brose@redhat.com>
- CERTPX-3252 - Refactor existing RDMA tests into network speed specific tests - ethernet subtest fail should fail overall for rdma tests that call them
- CERTPX-3252 - Refactor existing RDMA tests into network speed specific tests - Created infiniband QDR, FDR, EDR tests, RoCE and iWarp 100Gig, 50Gig, etc. tests - Encorporated ethernet tests into those as well as renamed omnipath test

* Thu Sep 06 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3476 rhcertd status shows rhcertd deamon is not running" after restart"

* Wed Sep 05 2018 Ben Rose <brose@redhat.com>
- CERTPX-3217 - Update hwcert realtime test to support different requirements per cpu socket count - change dmidecode command to lscpu command for determining number of sockets

* Wed Sep 05 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3220 Create SAS SSD storage test  - Fixed the Traceback in SSD Storage test  - Changed print statements to print function  - removed str.format() to retain compatibilty in el6 version Change-Id: I0863fb5f1ebab5372c11d9aab1d795d0148c8cce

* Wed Sep 05 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3455 Fixed traceback in rhcert-util update operation: - AttributeError: class StringIO has no attribute 'StringIO'

* Tue Sep 04 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3455 Fixed traceback in rhcert-util update operation: - NameError: global name 'StringIO' is not defined

* Tue Sep 04 2018 Zahid Ajaz <zajaz@redhat.com>
- CERTPX-3458 KeyError during execution of Supportable/Installed RPMs test
- CERTPX-2163 - Add SSD component into storage test as a subtest CERTPX-3220 - Create SAS SSD storage test CERTPX-3221 - Create SATA SSD storage test
- CERTPX-3321 Disable login required on Urls for certification host results activities in default configuration 	- Removed unnecessary statements 	- Refactored conditional statements 	- Used configuration based redirection Change-Id: I9e8d5abdb48b4b638f796d142b54f2ba0303246e

* Fri Aug 31 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3431 Enable /python3 Builds     - fix RHEL version detection for installing rhcert.pem
- CERTPX-3431 Enable /python3 Builds     - manage python version in spec file generation
- CERTPX-3431 Enable /python3 Builds     - python3 compatability changes to builds scripting

* Fri Aug 31 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3313 CERTPX-3314 CERTPX-3315 - Fixed - refactored - enabled  unit tests for APIs -  - Cert.getAvaliableLayeredProductVersion  - Cert.addSupportCase_4_7 &  Cert.getSupportCases_4_7  - Cert.createSupplementalCert  - VendorProduct.get_5_4  - Cert.getBannerMessage_5_3

* Thu Aug 30 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3202 update urllib2 imports to new python3 modules for 

* Tue Aug 28 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3390 Installing CCSP suite brings Hardware code on the SUT     - update excludes for -backend package

* Mon Aug 27 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3389 hwcert subpackage installation conflicts with earlier hwcert releases

* Mon Aug 27 2018 Ben Rose <brose@redhat.com>
- CERTPX-3364 - Move hwcert test suite for RHEL7+ into the main rhcert repo as a subpackage - add __init__.py to suites/hwcert/hwcert

* Mon Aug 27 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3289 rhcert 5.17 release notes

* Thu Aug 23 2018 zajaz <zajaz@redhat.com>
- CERTPX-3375 Remove Host Results not working - Fixed the bug
- CERTPX-3370  Internal Server Error with supported python-django version 1.8.11
- CERTPX-3369  Allow modifications in configuration files for 'L readLink(2) path mismatch' in rpm verification  - Updated filter to include 'L' flag for config file whitelisting

* Wed Aug 22 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3364 Move hwcert test suite for RHEL7+ into the main rhcert repo as a subpackage 	- move preview package
- CERTPX-3364 Move hwcert test suite for RHEL7+ into the main rhcert repo as a subpackage

* Tue Aug 21 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3360 [CCSP] [el7] Encoding traceback in Configuration test CERTPX-3359 [CCSP] [el6] NFS related traceback in Configuration testA     - fixes for unicode handling related to python3 compatability

* Tue Aug 21 2018 zajaz <zajaz@redhat.com>
- CERTPX-3358 Internal Server Error due to improperly configured settings and custom django-middleware  - MIDDLEWARE setting is effective for django versions >=2.0 only
- CERTPX-3321 Disable login required on Urls for certification host results activities in default configuration
- CERTPX-3271 Make ccsp code compatible across python-2.6, 2.7 and 3  - Hotfix, syntax error

* Tue Aug 21 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3354 Fixed a traceback for trusted container test: - 'KeyError: 'authoritative-source-url' - For one of the image, the docker inspect output has   'Authoritative_Registry' instead of 'authoritative-source-url'

* Mon Aug 20 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3341 traceback running storage/SATA test     - rewrite rhcert_get_status_output to use rhcert.Command on python3     - uses commands.getstatusoutput for python2
- CERTPX-3271 Make ccsp code compatible across python-2.6, 2.7 and 3    - initial changes to run tests on /python3    - unicode compatability via rhcert.compatability    - filter() changes

* Fri Aug 17 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3223 Made trusted_container test madatory for rhosp-13 and upper versions.

* Fri Aug 17 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3338 Traceback when rhcert-cli plan executed AttributeError: 'module' object has no attribute 'exist'""
- CERTPX-3199 use subprocess module instead of commands module to support  - Fixed logic of checking for XEN para-virtualization

* Thu Aug 16 2018 Dimitri Savineau <dsavinea@redhat.com>
- CERTPX-3333 Add support for RHOSP 14 (Rocky)

* Thu Aug 16 2018 Pooja Tiwari <ptiwari@redhat.com>
- Updated service cache

* Wed Aug 15 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3    - added more compatability, minor fixes

* Tue Aug 14 2018 Pooja Tiwari <ptiwari@redhat.com>
- - CERTPX-3300 Capture $docker-inspect cmd output for all containers   under Logging subtest. - CERTPX-3301 Made use of 'authoritative-source-url' for RH/non-RH   container detection. - Adds a tabular representation for containerd data under   'Detection of RH/non-RH containers' subtest.

* Thu Aug 09 2018 Ben Rose <brose@redhat.com>
- CERTPX-3222 - rhcert 5.16 release notes, release candidate and errata advisory. - update release notes for hardware certification specific modifications (cherry picked from commit 3bd1a5afdb2e2d6c0bfff40dd58076d8864671da)
- CERTPX-3318 - The test harness at times references an undeclared variable resulting in stack trace - declare variable with default value so this does not happen (cherry picked from commit eedaf6684df2af252ec009a8558a8572a4375cab)

* Thu Aug 09 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3222 Red Hat Certification 5.16 Release Notes

* Tue Aug 07 2018 zajaz <zajaz@redhat.com>
- CERTPX-3305 Traceback with submit results - type object 'View' has no attribute 'serve'        - Fixed the bug        - Added url '/run' to management black list        - Corrected parameter mapping type >> program Change-Id: I213fb0149d144366030beae33cda6a1dd1c74872 (cherry picked from commit a5a3edfafa4a7241ad045616da38b5ffe7137f0a)

* Mon Aug 06 2018 Pooja Tiwari <ptiwari@redhat.com>
- Bumping to version 5.17

* Fri Aug 03 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3294 Fixed exception in baremetal/sosreport test: - NameError: global name 'utils' is not defined""
- CERTPX-3235 Fixed a traceback which occurs in case of plugin test execution before tempest_test (i.e. no tempest.conf)
- CERTPX-3294 Fixed exception in baremetal test suite: - NameError: global name 'utils' is not defined""

* Wed Aug 01 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3279 Fixed 'TypeError: unicode object is not callable' - Changed the name of local varaible which was initially overriding   the python in-built method type()

* Wed Aug 01 2018 zajaz <zajaz@redhat.com>
- CERTPX-3280 Traceback: TypeError at /create/sandbox/ view() got an unexpected keyword argument 'loginRequired'
- CERTPX-3268  [el6] [CCSP] Traceback in Configuration test through CLI    - Fixed the unicode issue persistent in python2.6 Change-Id: Ie2a440fbbccfc703fab637c795d46e1f04877fe5

* Tue Jul 31 2018 zajaz <zajaz@redhat.com>
- CERTPX-3082  - Fixed restricted opeartions error message  - Reverted CERTPX-3156 as not fixed

* Mon Jul 30 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3273 Fixed JSONDecodeError exception

* Fri Jul 27 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3269 CVE:10869 corner case for rpath download allowing relative paths

* Fri Jul 27 2018 zajaz <zajaz@redhat.com>
- CERTPX-3082 [RhCert on OpenShift] Security Updates   - CERTPX-3151 interactive.py calls requestRun with one parameter, but run.py:requestRun does not have any   - CERTPX-3164 CVE-2018-10864  /run?rpath=<existing-but-invalid-xml-file> does not close the opened file   - CERTPX-3148 regular users (and unauthenticated users) should not be able to make changes to the whole application   - CERTPX-3159 CVE-2018-10868  an unauthenticated user can do a Denial of Service through a Billion Laugh attack   - CERTPX-3146 CVE-2018-10868  some functions should be completely inaccessible in management-only mode.   - CERTPX-3156 rhcertStore.py uses a lot of pattern matching to categorize files (e.g. results, certifications, etc.)   - CERTPX-3145 settings.py should be checked for production-ready deployment.   - CERTPX-3162 CVE-2018-10866  /configuration allows to remove a host/system file (with/without login) not belonging to him   - CERTPX-3149 DEBUG should be set to False in settings.py   - CERTPX-3143 most of the pages are accessible even if the user has not logged in.   - CERTPX-3163 CVE-2018-10865  /configuration allows to restart a host of a customer (with/without login)   - CERTPX-3154 /blank seem like test pages. Remove them if they are so.   - CERTPX-3153 mailto.py is probably not used (it doesn't work since it uses Page without importing it). Remove it.   - CERTPX-3182 Invalidate URLs that are not relevant to management interface

* Thu Jul 26 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1372 Added missing cinder protocols: SAS, SATA, RoCE

* Tue Jul 24 2018 zajaz <zajaz@redhat.com>
- CERTPX-3258 [el6] Exception observed in 'rhcertd restart'

* Tue Jul 24 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3259 Fixed issue with cssp test plan. - Fixed importError for configparser.

* Mon Jul 23 2018 Ben Rose <brose@redhat.com>
- CERTPX-3198 - Make rhcert code compatible across python-2.6, 2.7 and 3 - string.atoi() should be replaced with int(), not str()

* Mon Jul 23 2018 zajaz <zajaz@redhat.com>
- CERTPX-3258  [el6] Exception observed in 'rhcertd restart'

* Mon Jul 23 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3256 Fixed 'UrllibProxyHandler' importError.

* Fri Jul 20 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3    - fix more unicode issues in log analysis code, etree wrappers
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3    - fix more unicode issues
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3    - provide rich" comparison operators to support test sorting in python3    - fix more unicode issues"

* Fri Jul 20 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3253 Write unit-tests for Hardware Hydra APIs for Phase-2 - Fixed traceback due to print syntax error - Fixed cert.getSupportCases_4_7 API unittest - Changed unit test-suite default program to hardware

* Thu Jul 19 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3    - change to absolute module references in imports    - raw_input is input in python3
- CERTPX-3248 sosreport test gives error -'TypeError: unsupported operand type(s) for /: 'str' and 'int''
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3    - replace dict iteritems, itervalues, iterkeys with items and values    - python3 str is unicode, no 'unicode' type    - fix up module references
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3    - replace dict iteritems and itervalues with items and values

* Thu Jul 19 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3199 use subprocess module instead of commands module to support 

* Thu Jul 19 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3168 Red Hat Certification 5.15 Release Notes - Little language changes (suggested by Rob)

* Wed Jul 18 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3    - fix exception syntax (replace , with as)    - various module changes via rhcert.compatability    - django 1 and 2 compatability

* Wed Jul 18 2018 Pooja Tiwari <ptiwari@redhat.com>
- Replaced tab with spaces to avoid issue during build.
- CERTPX-3200 CERTPX-3198 Support syntax of except for python-2 and 3.
- CERTPX-3168 Red Hat Certification 5.15 Release Notes

* Tue Jul 17 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3    - fix exception syntax (replace , with as)    - various module changes
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3    - Changed except syntax to use as"    - rhcert.compatability module and other module adjustments    - no unicode() function (use str() for python3)    - no 'unicode' type either    - no __metaclass__ (use the "six" compatibility module)    - no dict().iteritems (use items unless dict is large)    - file.write must be opened binary in some cases"
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3

* Tue Jul 17 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3198 Make rhcert code compatible across python-2.6, 2.7 and 3: - Converted the print statement to the print() function.

* Mon Jul 16 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3191 update references to /usr/bin/python for     - fix passing of RHCERT_PYTHON to bin/Makefile
- CERTPX-3191 update references to /usr/bin/python for     - remove reference to deleted /rhcert/server/wsgi/product directory

* Fri Jul 13 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3191 update references to /usr/bin/python for 
- 5.16

* Tue Jul 10 2018 zajaz <zajaz@redhat.com>
- CERTPX-3216 typo on layered cert page

* Tue Jul 10 2018 Pooja Tiwari <ptiwari@redhat.com>
- Updated local static file for service cache.
- Chnage in info/release-notes.txt: Made the version bump text bold so that it can be highlighted and differentiated with other text.

* Thu Jul 05 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3158 /download=rpath should not allow download outside the store directory

* Wed Jul 04 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2747 Write unit-tests for Hardware Hydra APIs for Phase-2 (CREATE APIs) Part 2 of 2 - Added unittest for VendorProduct.create_5_4, Cert.createPassThroughSpec,   Cert.addSupportCases_4_7 & Cert.getSupportCases_4_7 Hydra APIs for HardWare Certs - Moved multiple-times hardcoded SSO credentials from test files TO data.json config file

* Wed Jul 04 2018 Pooja Tiwari <ptiwari@redhat.com>
- Added RHOSP version 14 in feature_test_map

* Fri Jun 29 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3134 Enabled cert creation for new product 'Red Hat OpenStack Platform for Real-Time Applications'.
- CERTPX-2663 Replaced ironic cli with openstack baremetal cli.

* Thu Jun 28 2018 zajaz <zajaz@redhat.com>
- CERTPX-3121 [Management] Hostname, configuration details are showing as None is certification/details tab   - Fixed the template tag
- CERTPX-3114 rhcert-cli plan forces user to register SUT for the first time.

* Tue Jun 26 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3142 Fixed traceback in baremetal/instackenv.json_stackrc_validation test - Further subtests need instackenv and stackrc files, therefore exiting test execution   if files do not found(i.e. instackenv.json_stackrc_validation subtest fails). - Providing corrective action.

* Mon Jun 25 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-3142 Fixed traceback in baremetal/instackenv.json_stackrc_validation test.
- CERTPX-3169 [Proxy]Not able to login to RHCERT
- Revert CERTPX-3135 [RhCert on OpenShift] 18) rhcertStore.py:__saveResultsFile does not check whether the path is in the serverDirectory     - change rpm spec to limit apache user ownership to /var/www/rhcert/store""
- CERTPX-3066 Red Hat Certification 5.14 Release Notes

* Thu Jun 21 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3135 [RhCert on OpenShift] 18) rhcertStore.py:__saveResultsFile does not check whether the path is in the serverDirectory     - change rpm spec to limit apache user ownership to /var/www/rhcert/store
- CERTPX-3135 [RhCert on OpenShift] 18) rhcertStore.py:__saveResultsFile does not check whether the path is in the serverDirectory     - add validation of assembled destination path to be certain it's in the /var/www/rhcert/store directory.     - add _str_ method on Alerts for plain-text responses     - fix wsgi/save.py to correctly return plain text errors
- release-5.15

* Thu Jun 21 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2611 XMLRPC API specification file correction for Hydra hardware transition phase2 - changed support_case_id type from integer to string

* Wed Jun 20 2018 Ben Rose <brose@redhat.com>
- CERTPX-2155 kvm-rt: work/port script provided into hwcert test    - updated for readability

* Wed Jun 20 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2674: Partner should be able to add configuration details for a passthrough device in WUI and CLI during planning the fv_storage test - Truncate new line characters from end of output string

* Tue Jun 19 2018 Ben Rose <brose@redhat.com>
- CERTPX-2155 kvm-rt: work/port script provided into hwcert test - add other extensions to be included in copying from source to run directory

* Mon Jun 18 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-3125 No validation for blank comment in certification->dialog tab

* Mon Jun 11 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2443: suspend test fails with function keys - Correct the condition to check for marker strings in   /var/log/messages

* Mon Jun 11 2018 zajaz <zajaz@redhat.com>
- CERTPX-3113 Getting traceback on configuration tab while restarting the SUT  - Corrected host, connection parameters in html  - Fixed the file IO bug in documentbase class  - Bug fix for missing certification object

* Fri Jun 08 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2734 Attempting to add and SUT to a cert results in Error: unsupported command "    - change client listener to handle unicode in XML

* Thu Jun 07 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1634 Fixed minor grammatical error in Publish tab.

* Wed Jun 06 2018 Greg Nichols <gnichols@redhat.com>
- release 5.13

* Tue Jun 05 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3110 [Management]Getting trace back on login page    - fix to check debug only for default and testing configurations    - debug setting works after login.

* Tue Jun 05 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2737 Red Hat Certification 5.13 Release Notes - Also updated service cache

* Mon Jun 04 2018 zajaz <zajaz@redhat.com>
- CERTPX-3103 Not able to login into RHCERT_UI   - Fixed the 'undefined' variable bug

* Mon Jun 04 2018 Dimitri Savineau <dsavinea@redhat.com>
- CERTPX-3100 Use instackenv_path from configuration

* Fri Jun 01 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3074 Expand the xml request response when debug is high     - add support for passing in file-like object to Config, such as sys.stdout

* Thu May 31 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-2662 Provisioned machine ssh timeout additions for Dell
- CERTPX-3096 Traceback in director_undercloud test
- Enable RHOSP 13 in production

* Wed May 30 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2678 Write unit-tests for Hardware Hydra APIs for Phase-2 (CREATE APIs) Part 1 of 2

* Tue May 29 2018 zajaz <zajaz@redhat.com>
- CERTPX-2477 rhcret-ci plan not showing list of tests like rhcert-cli plan

* Mon May 28 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3083 Fixing the Mixed Content error when running edge route on Openshift

* Fri May 25 2018 zajaz <zajaz@redhat.com>
- CERTPX-1327 rhcert-cli --help showing error   - Fixed the issue   - Improvised help workflow

* Thu May 24 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3074 Expand the xml request response when debug is high     - changed to use /var/www/rhcert/store/log for log files on WUI

* Wed May 23 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2588 - In changelog, instead of commiter/uploader name, display author/owner name associated with the commit. - also improved filter to skip merge commits from changelogs

* Tue May 22 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-3072 [Management] Traceback in Product Details Tab when uploading Product Logo     - Changed to use Connection to access VendorProducts

* Tue May 22 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2675 Fix in trusted container result update functionality.
- CERTPX-1142 Improvised log messages in OSP Supportable/Compare Openstack Versions test. - Replaced Finding out" with "Checking"."

* Mon May 21 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2605 Blacklisted neutron_ipv4 scenario test. - comma was missed.
- CERTPX-3064 Fixed a typo in variable name to resolve NameError exception.

* Fri May 18 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2675 Trusted Container result file update when container service is inaccessible: - This feature is implemented as part of `$rhcert-util update` command. - Based on service response, it updates the logs and status for Container Validation subtest.
- CERTPX-2497 Prevent traceback if tempest.log file is not generated.
- CERTPX-1142 Improvised log messages in OSP Supportable/Compare Openstack Versions test.
- CERTPX-2605 Blacklisted neutron_ipv4 scenario test.

* Fri May 18 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-3059 Tempest list maintenance workflow and automation

* Tue May 15 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2753 [Field Issue] Error while downloading the result file from progress" tab     - remove extrainious reset of program in download method"

* Tue May 15 2018 zajaz <zajaz@redhat.com>
- CERTPX-1654 grubenv is marked config file and being marked as a fail when it should not  - Fixed the path trailing slash issue which was causing the patch to fail

* Tue May 15 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2678 Write unit-tests for Hardware Hydra APIs for Phase-2 (CREATE APIs) Part 1 of 2 - Write unit test to create Hardware Cert - Update necessary API unit test as per the latest changes with API responses.

* Fri May 11 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2753 [Field Issue] Error while downloading the result file from progress" tab     - fixed download to patch certID and program before saving file locally."

* Fri May 11 2018 Pooja Tiwari <ptiwari@redhat.com>
- release-5.13
- Minor language change in release notes and trusted container test message.

* Fri May 11 2018 Aniket Khisti <akhisti@redhat.com>
- Revert CERTPX-2714 if rhcertd.service started once

* Thu May 10 2018 zajaz <zajaz@redhat.com>
- CERTPX-1352  Supportable/Installed RPMs: Bifurcate the package identification part into two sub tests.   - Hide metadata info message when no non-redhat pkgs are found   - corrected value for extra pkgs list found in redhat product service check

* Thu May 10 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2744 Fixed an issue with rhosp-10 manila test report generation

* Wed May 09 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2691  RPM Specification file updated to do pre-uninstalltion cleanup.
- CERTPX-2714 if rhcertd.service started once, it will be active automatically from next reboot.

* Tue May 08 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2661 Red Hat Certification 5.12 Release Notes
- CERTPX-2736 Update service cache in rhcert git repo
- CERTPX-2563 RHSOP-13 Trusted Container test - Better success messages. - Priniting pretty json wherever required.

* Mon May 07 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2563 RHOSP-13 Trusted Container Test - Accommodated service response change.

* Mon May 07 2018 zajaz <zajaz@redhat.com>
- CERTPX-2732 Non-RH rpm check in supportable test is reporting 'gpg-pubkey' as an non-RH package

* Fri May 04 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2563 Trusted Container test for RHOSP-13 - CERTPX-2564 Filter out RH provided containers and expect explanation for non-RH containers. - CERTPX-2565 Multi select prompt to know which container(s) a Partner wants to test. - CERTPX-2568 Captures layers for image on which detected rhc containers are built. - CERTPX-2566 Makes a service call to detect if supplied container image is   certified by Red Hat. - CERTPX-2676 CI execution - CERTPX-2567 Adds a new tag 'container_projects' at test level in result xml.

* Wed May 02 2018 zajaz <zajaz@redhat.com>
- CERTPX-1654 grubenv is marked config file and being marked as a fail when it should not    - White listing /boot/grub2/grubenv for packaging errors
- CERTPX-1059 Whitelist CA cert RPM for RHUI and Satillite in CCSP supportable RPM checks  - Added white-listing criteria for specific packages CERTPX-1352 Supportable/Installed RPMs: Bifurcate the package identification part into two sub tests.  - Added provisional_pkg_whitelisting method to bypass specific rpms from rpm_verification  - Bifurcated package identification into separate sub tests

* Wed May 02 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2691 rhcertd.service file is still present in system after the uninstallation of rhcert package - initd/rhcertd & sytemd/rhcertd.service along with their symlinks will be removed after uninstallation.

* Tue May 01 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2595 Research: Reduction of Portal Dependencies on Certification Workflow     - document CERTPX architecture

* Mon Apr 30 2018 zajaz <zajaz@redhat.com>
- CERTPX-2644 The Sanbox testing tab should have a remove button for each host listed

* Fri Apr 27 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2693 [initd/rhcertd] Remove redundant message displayed by command # rhcertd status

* Fri Apr 27 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2692 Improvements in rhcert multi selection prompt: - Made it more readable. - Changed it to accept choice value as well as choice number. - Changed it to allow/accept space separated choices.

* Fri Apr 27 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2684: Related Products tab of a Passthrough product incorrectly              shows that it is a base product - Remove unneccesary code to download a passthrough product, as those would   now be returned during sync by VendorProduct.list

* Mon Apr 23 2018 Anshul Behl <abehl@redhat.com>
- UNIFIED-2997 adding spec for vnf changes in createOpenstack api

* Mon Apr 23 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2598 Red Hat Certification 5.11 Release Notes

* Sat Apr 21 2018 Pooja Tiwari <ptiwari@redhat.com>
- release-5.12

* Wed Apr 18 2018 Ben Rose <brose@redhat.com>
- CERTPX-2680 - add back chkconfig commands for el6
- CERTPX-2680 - change chkconfig commands to systemctl equivalents in code responsible for rebooting SUT

* Wed Apr 18 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2671: Traceback seen after uploading test result in the Test Results tab - Use string comparison for result document's certification ID as IDs are now   strings and not integers

* Wed Apr 18 2018 zajaz <zajaz@redhat.com>
- CERTPX-2222 Capture rpm data on foreign RPMS to allow for faster exception processing

* Tue Apr 17 2018 jkinsman <jkinsman@redhat.com>
- Testing: Remove /etc/init.d/rhcertd from RPM spec file for el7, since the init sub directory is no longer included in the RPM build root.

* Tue Apr 17 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2615 Write unit-tests for Hardware Hydra APIs for Phase-1 (GET APIs) CERTPX-2519 XMLRPC API specification file correction for Hydra hardware transition phase1

* Tue Apr 17 2018 Anshul Behl <abehl@redhat.com>
- Fix traceback with api error on certification creation
- CERTPX-2589 Adding lbaas tests and install lbaas test rpm
- CERTPX-2603 Fix the policy regexes with respect to RHOSP13 for Manila

* Mon Apr 16 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2483: RPMDIFF: rhcertd is not systemd - updated root level Makefile to include systemd instead of initd

* Fri Apr 13 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2647 click on related tab of ironic cert gives exception

* Fri Apr 13 2018 zajaz <zajaz@redhat.com>
- CERTPX-2557 rhcert picks up only 1 hypervisor out of 2 in supportable test
- CERTPX-2086 Add the verification(G,M of /var/log/gdm) to the white list CERTPX-1660 The verification error of /usr/share/openstack-dashboard/static/dashboard/manifest.json should be ignored in RPM verification

* Fri Apr 13 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-2604 Blacklisting VXLAN tests
- CERTPX-2651 Support Ironic testing with RHOSP13

* Fri Apr 13 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Support RHV by fixing fv_storage test - Remove old code supporting xen for full virtualization   Xen is dropped in RHEL since RHEL 6.0

* Wed Apr 11 2018 jkinsman <jkinsman@redhat.com>
- Refactor Yum repsitory update logic to identify any signed packages available from Brew, regardless of the signing key's fingerprint. TEST: Attempt to determine the existence of a package signature dynamically, since there are now RPM packages on Brewroot that have been signed by different keys.

* Wed Apr 11 2018 Pooja Tiwari <ptiwari@redhat.com>
- Updated service cache.
- CERTPX-2646 Fixed traceback in baremetal/baremetal_stage_Redeploying test.
- Enabled rpm verification for baremetal.

* Tue Apr 10 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2640 TemplateSyntaxError traceback while creating new hardware product

* Mon Apr 09 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2483 RPMDIFF: rhcertd is not systemd - Added systemd script for RHEL7

* Mon Apr 09 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2621 Ironic enrolling subtest should ask about which node to be provisioned if there are more than one nodes in instackenv.

* Fri Apr 06 2018 Greg Nichols <gnichols@redhat.com>
-  CERTPX-2637 rhcert sources reorganization - wsgi modules    - moved /cwe/* urls and code
- CERTPX-2547 RHCert should allow strings for IDs returned and passed to XMLRPC APIs.     - removed int() casts     - added Munger test class for inserting strings in id values (disabled).
- CERTPX-2463 Related Certifications tab needs a new API to avoid iterated calls to CWE    - merge branch code: calls new API getReleatedCerts    - TODO: Restricted visibility, node IDs?

* Fri Apr 06 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2625: Unable to create Realtime layered cert from New Certification page - Add a query parameter to a URL only if the parameter has some value   Other views get None parameters as string 'None' in the views
- CERTPX-2600: Not able to create Ironic cert on top of certified rhel product - Changes to accomodate two different RHSOP products in PNS

* Fri Apr 06 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2528 Gather and log hardware info as part of Ironic testing once nodes are up - Call to method 'log_dmidecode()' was missed in last patch.

* Thu Apr 05 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-2604 Fix the policy regexes with respect to RHOSP13 for Neutron
- CERTPX-2589 Tempest changes for RHOSP13. New tests additions in tempest_tests.json
- CERTPX-2604 Octavia changes not needed because of bugfix of -https://bugzilla.redhat.com/show_bug.cgi?id=1563563
- CERTPX-2589 Tempest changes for RHOSP13

* Thu Apr 05 2018 Pooja Tiwari <ptiwari@redhat.com>
- Added VNF certification in OSP workflow: CERTPX-2530 - New certification-vnf-component option in osp cert creation form. - New page for vnf guest os question. CERTPX-2531 - Option to upload vnf config report during cert creation.

* Wed Apr 04 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2528 Gather and log hardware info as part of Ironic testing once nodes are up - The dmidecode logs will be part of baremetal/baremetal_stage_deploying test. - Defined a new class RemoteCommand which deals with command execution on remote host. - Changed openstack and baremetal caller functions accrordingly. - ToDo: Use the Command wrapper so that the XML is marked up
- Added unit test for openstack vnf cert creation.

* Tue Apr 03 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-659 rhcert sources reorganization - rhcert.model for xml docs

* Tue Apr 03 2018 Pooja Tiwari <ptiwari@redhat.com>
- Change in baremetal test name.

* Mon Apr 02 2018 jkinsman <jkinsman@redhat.com>
- CERTPX-2273: Add certifi Python module to redhat-certification-unittest Python package requirements file.

* Mon Apr 02 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2620 Added Baremetal program in kernel validation. - Kernel test criteria for Baremetal(ironic) is similar to openstack.
- CERTPX-2607 Ironic to Baremetal transition: - The ironic-preview package is renamed as redhat-certification-baremetal. - The ironic test tag is now replaced with baremetal. - The config file ironic.json is now known as baremetal.json - All the tests and subtests have been renamed to use 'baremetal' term in place of ironic.

* Fri Mar 30 2018 Pooja Tiwari <ptiwari@redhat.com>
- rhcert-5.11
- Disabled service-cache parameter of make.
- CERTPX-2617 Updated PNS, Playback caches for 5.10 - Updated caches with QA data since production is not yet updated. - Minor fix in kernel test so that it can make use of cache for new variants   in case of service unavailability. - Disabled the cache rebuilding part for final 5.10 RC build so that up-to-date   git files (pns and playback static files) can be stored in it.
- CERTPX-2524 rhcert 5.10 release notes

* Thu Mar 29 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2597: Use new APIs Cert.getCurrentUserVendors and Cert.getPublicVendors_5_10 - Store in products.xml the vendors obtained from API Cert.getCurrentUserVendors - Do not use Strate APIs to get list of vendors for a user
- CERTPX-2600: Not able to create Ironic cert on top of certified - Remove commented code

* Wed Mar 28 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2578 Certifications referencing missing vendor products cause tracebacks

* Wed Mar 28 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-2582 Adding fix to pick first machine and not last

* Tue Mar 27 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2498 Improved auto-detection for assigning plan component to test name for test result submission.

* Tue Mar 27 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2600: Not able to create Ironic cert on top of certified - If base certifications of a product cannot be fetched, render   page to choose different product while creating a layared cert

* Mon Mar 26 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2597: Use new APIs Cert.getCurrentUserVendors and Cert.getPublicVendors_5_10

* Mon Mar 26 2018 Greg Nichols <gnichols@redhat.com>
- RHCWE-2572 New Cert.getRelatedCerts call should return CWE ID, not portal ID

* Mon Mar 26 2018 zajaz <zajaz@redhat.com>
- CERTPX-2545 [Sandbox]In the result saving, if there is any error, we are getting errors correctly, but the action fails again with valid hostname

* Mon Mar 26 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2591 Added following new products in allowed programs to avoid traceback during their cert creation: * Power BE, Power 9, IBM z, IBM z (structure A)

* Thu Mar 22 2018 zajaz <zajaz@redhat.com>
- CERTPX-2587 Getting traceback during rhcert-ci run

* Thu Mar 22 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-2581 Add ssh keypair of undercloud in the provisioned barmetal through certification CERTPX-2513 Gather the BMC hardware details in certification after ironic introspection CERTPX-2582 Only pick up one machine to be provisioned with ironic certification

* Thu Mar 22 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2468 Feature for removing SUT from certification testing tab with a button.

* Wed Mar 21 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2583 Diagnostic vendor products listing page /products

* Wed Mar 21 2018 zajaz <zajaz@redhat.com>
- CERTPX-2580 The rhcert daemon is NOT running
- CERTPX-2546 sandboxes are sorted randomly in sandbox tab

* Wed Mar 21 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2386 No var/log/message in sosreport - Henceforth, SOS report will collect logs as well. - Added attribute in rhcert.xml to limit the size of each set of log collected   by any SOS report plugin, to default cap of 50MB. - Removed RHEL5 applicable code (e.g. sysreport or --no-progressbar)

* Tue Mar 20 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2500 Fixed sut product detection logic. Synced with PNS and playback. CERTPX-2526 RHELRT vs RHELMRG products. CERTPX-2573 Fixed OS mismatch issue while adding an SUT via UI. CERTPX-2492 Fixed issue: kernel validation test fails on s390x with 7.5-ALT.

* Tue Mar 20 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-2434 Ironic tests should be able to identify openstack version from undercloud

* Mon Mar 19 2018 zajaz <zajaz@redhat.com>
- CERTPX-2550 rhcert-cli submit should take file path as an argument

* Thu Mar 15 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX:965 - On WebUI, added single checkbox to select/unselect all the subsequent openstack  protocols & their supported features, on the openstack cert creation page of respective plugins.

* Tue Mar 13 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2518: unit tests suite should support production environment - enabled unittests for testing against prod, with default user cwetestuser - updated local .../tests/data.json schema for prod phase

* Tue Mar 13 2018 zajaz <zajaz@redhat.com>
- CERTPX-2542 [Sandox]when there is no SUT registred still we are getting override mismatch

* Tue Mar 13 2018 Ben Rose <brose@redhat.com>
- CERTPX-2496 - add functionality to Command to create dictionary object from output using regex groups

* Mon Mar 12 2018 zajaz <zajaz@redhat.com>
- CERTPX-2516 Unable to close RHCert Version Notification Alert in WUI  - Made alert dismissable  - Updated workflow for skipping alert when using higher versions on dev
- CERTPX-2363 SUT registration should support the port format also  - Fixed the loophole of host/ip overridding  - Refactored code

* Mon Mar 12 2018 Aniket Khisti <akhisti@redhat.com>
- VendorProduct.list API UnitTest should fetch latest product by Portal id instead of CWE id
- CERTPX-2519 XMLRPC API specification file correction for - 1) VendorProduct.get_5_4 - 2) Changed Cert.createLayeredCert to Cert.createLayerCert - 3) Changed all the type 'array' to 'list'

* Mon Mar 12 2018 Greg Nichols <gnichols@redhat.com>
- release notes revisions (cherry picked from commit 51104f3324932bcce18188c338d71a9a4943a6ac)

* Fri Mar 09 2018 jkinsman <jkinsman@redhat.com>
- CERTPX-2293: Add a best-effort attempt to ensure requisite rhcert packages are imported from the redhat-certification code line instead of the locally-installed packages.
- CERTPX-2523: Root cause was patch for CERTPX-2475. Solution involved removing rhcertd's reference to the virtual TTY device *without* explicitly closing it.

* Fri Mar 09 2018 Greg Nichols <gnichols@redhat.com>
- rhcert 5.10
- CERTPX-2450 rhcert 5.9 release notes

* Fri Mar 09 2018 Rajasi <rajkulka@redhat.com>
- CERTPX-2517: New hardware vendor cannot create the first              hardware product or certification from rhcert WUI - For a hardware vendor for new product, create a entry in cache   to enable new vendor to create 1st product - In New Certification Dialog, show the vendor name in vendor   product picker, even if no product exists for the vendor Change-Id: If9a0fc25dc24a9256844ddfe1966b2fc5d8e19f8

* Thu Mar 08 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-2494 create an async view for product logo like attachments, kbases and supportcases

* Wed Mar 07 2018 Rajasi <rajkulka@redhat.com>
- CERTPX-2519 : Mark deprecated APIs VendorProduct.create and VendorProduct.get_4_7

* Tue Mar 06 2018 Shiyi Yuan <shiyuan@redhat.com>
- RHCWE-2522: Related Certifications tab needs a new API to avoid iterated calls to CWE

* Tue Mar 06 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2372: click Related Certification" of some HPE certs will return TypeError - Improve error handling for getting details of related certs - Use "certification_result" instead of "certification_status" to get status of cert   from the response of API Cert.getHardware_4_10"

* Mon Mar 05 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2400 Fixed typo and corrected the alert message.
- Updated static files for PNS and kernel service.

* Mon Mar 05 2018 Pooja Tiwari <ptiwari@gmail.com>
- CERTPX-2484 Removed python-paramiko from rhcert spec file. - paramiko does not require before plan time. It can   be installed during plan time like other osp packages.

* Fri Mar 02 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2173 Fixed the issue causing failure while adding test system through WUI

* Thu Mar 01 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2418 Submit result file in case of Management instead of moving file to the store to avoid traceback in case of RHCERT Management configuration

* Wed Feb 28 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2507 add the test plan description in Progress of the hardware cert.

* Wed Feb 28 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2481: RPMDIFF spec file license failure - Changed License from GPL to GPLv2+

* Tue Feb 27 2018 Greg Nichols <gnichols@redhat.com>
- Revert CERTPX-2173 Prevent IOError traceback occuring in case of uploading gzipped files downloaded from Google Chrome browser to RHCERT WUI results.""

* Tue Feb 27 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-1454: rhcert-util update command should not show error:invalid command if options are invalid. - Added validation for 1) Invalid File Path, 2) Invalid Results File & 3) Invalid file size

* Tue Feb 27 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-2504 Not able to upload attachment in product-details tab

* Tue Feb 27 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2173 Prevent IOError traceback occuring in case of uploading gzipped files downloaded from Google Chrome browser to RHCERT WUI results.

* Mon Feb 26 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2482 [-backend.el6] RPMDIFF build log error flagged: /builddir/build/BUILDROOT/.../etc/rhcert-default.xml: No such file or directory
- CERTPX-2349 After uploading results from the progress tab it is redirecting to Testing tab

* Mon Feb 26 2018 zajaz <zajaz@redhat.com>
- CERTPX-1612 Sandbox: Adding of SUT requires clicking 'Override mismatch'
- CERTPX-2400 rhcert WUI should provide an alert if it detects a new version

* Mon Feb 26 2018 Ben Rose <brose@redhat.com>
- CERTPX-2381 - add constant for s390x arch

* Thu Feb 22 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-1958: spelling mistake 'Reployment' instead 'Redeployment'

* Wed Feb 21 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-2493 Attachment view still serially called in Product details tab

* Tue Feb 20 2018 Aniket Khisti <akhisti@redhat.com>
-   Modified unittest for checking vendor_nid as new param from API

* Mon Feb 19 2018 jkinsman <jkinsman@redhat.com>
- CERTPX-2475: Explicitly close stdin when running daemon, and/or listener processes in the background (review-only).

* Fri Feb 16 2018 Greg Nichols <gnichols@redhat.com>
- rhcert 5.9
- CERTPX-2403 Red Hat Certification 5.8 Release Notes

* Fri Feb 16 2018 Rajasi <rajkulka@redhat.com>
- CERTPX-2403 Red Hat Certification 5.8 Release Notes - Update release notes

* Fri Feb 16 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2473 Added exception handling during PNS response decoding

* Thu Feb 15 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2474 remove service call from rhcertd (rhcert.redhatrelease.py)

* Wed Feb 14 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2472 Certification dialog page includes more than two serial running calls to CWE/Hydra

* Wed Feb 14 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2432: unittests should accept necessary ids as arguments while running individual test via CLI - Unittest will check if parameters are provided via CLI arguement(env var), OR then   it will attempt to use the latest cert details of available programs, OR eventually   it will use older hard-coded values for the test. - Reordered test cases as first all creation, then all get-fetching & then update tests are defined.

* Tue Feb 13 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2433 Certification details page includes more than two serial running calls to CWE/Hydra

* Tue Feb 13 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2464 [CCSP] Architecture test fails with case issue in Power9.
- CERTPX-2446 Realtime host showing as MRG in OS- no match on select host page. - Set RHELMRG as product short name for all real time products (MRG/RT)   to make it work with playback kernel service.

* Tue Feb 13 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2462: traceback when starting rhcert

* Mon Feb 12 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2446 Realtime host showing as MRG in OS- no match on select host page

* Mon Feb 12 2018 Pooja Tiwari <ptiwari@gmail.com>
- CERTPX-2457 [RCO] Fixed issue with installation of required rpms.

* Fri Feb 09 2018 jkinsman <jkinsman@redhat.com>
- CERTPX-2293: Remove report_script.py functionality that is unnecessary for Jenkins integration; add 'unittest' import to test_workflow to prevent NameError when importing WorkflowUnit class.

* Fri Feb 09 2018 Pooja Tiwari <ptiwari@gmail.com>
- CERTPX-2224 Change in director test: - Used 'heat-admin' user to login to overcloud. - Changed the utility function to run command with sudo.

* Fri Feb 09 2018 zajaz <zajaz@redhat.com>
- CERTPX-2357 Redirect to sandboxes when CWE is unreachable and alert error message
- CERTPX-2390 - Add new system should prompt alert on submitting empty hostname field
- CERTPX-2429 details tab, supported_features_default should show list of supported tests only not the unicode strings
- CERTPX-2410: Deleted or cleaned results file objects throwing Trace Backs on page reload

* Thu Feb 08 2018 jkinsman <jkinsman@redhat.com>
- Add unittest backport package (unittest2) as a dependency for the redhat-certification unit tests.

* Thu Feb 08 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2262 re-registration of an SUT does not update the LTS in all cases     - re-organized RedHatRelease.getKernelProductName to be callable in __init_     - moved logging out of getKernalProductName into platform test
- CERTPX-2262 re-registration of an SUT does not update the LTS in all cases     - add clean all to register command
- CERTPX-2444 restart" button error: doClean() got an unexpected keyword argument 'byPassPrompt'"

* Thu Feb 08 2018 zajaz <zajaz@redhat.com>
- CERTPEX-2363 SUT registration should support the port format also

* Thu Feb 08 2018 Pooja Tiwari <ptiwari@gmail.com>
- CERTPX-2224 [RCO] Change in director test: - Added prompt to enter overcloud node ip when test fails to detect   it via $ nova list"."

* Wed Feb 07 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2372 click Related Certification" of some HPE certs will return TypeError"

* Wed Feb 07 2018 Pooja Tiwari <ptiwari@gmail.com>
- CERTPX-2436 [RCO] OSP test suite should be able to identify openstack version from undercloud. - Added rhosp-release as rpm dependency.
- CERTPX-2224 [RCO] Director test should be allowed to run from undercloud node as well. - Test can still be run from overcloud. Test logic remains same on gathering files   from controller. Added a feature to run command over ssh connection. - Made the directer an interactive test which means config file needs to be changed for CI run. - Added python-paramiko as a new dependency for rco. (This package already presents on   undercloud as well overcloud node so no need to install it separately.)
- CERTPX-2435 [Ironic] Added interactive tag in director undercloud test.

* Wed Feb 07 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2428: rhcert-util configuration command needs cosmetic change for ambiguous acknowledgement

* Tue Feb 06 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2424 : Use JUnitXML TestRunner for generating workflow unittests reports for jenkins consumption - included junitxml test runner in report_script.py

* Mon Feb 05 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2262 re-registration of an SUT does not update the LTS in all cases

* Fri Feb 02 2018 Pooja Tiwari <ptiwari@redhat.com>
- Updated local static files for PNS and Kernel data.

* Thu Feb 01 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2327 Using getMakesByVendor_5_7 instead of getMakesByVendor

* Tue Jan 30 2018 Aniket Khisti <akhisti@redhat.com>
- Fixed UnitTests for 1. Potential tracebacks due to absolute-relative paths 2. Removed phase=qa condition of API parameter assertions to allow testing    hydraAPI parameters on phase=hydrastage 3. Added temporary skip for WIP/failing tests to get cleaner TestSuit report 4. Included Cert.getMakesByVendor API UnitTest which was missed by erlier patch 5. Renamed script file to avoid conflict with test discovery. Change-Id: Ib538f0e7b899f560d3cdae8415474b5feef93604

* Tue Jan 30 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2319 Updated release notes for 5.7

* Mon Jan 29 2018 Greg Nichols <gnichols@redhat.com>
- rhcert 5.8

* Mon Jan 29 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1610 Added Back Button to create forms in WUI. Back button replicates functionality of Browser back button.

* Mon Jan 29 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2327: Related Products tab of base/original RHEL cert does not show the related pass through products - Display base and pass through products on Related Products tab

* Fri Jan 26 2018 Gonéri Le Bouder <goneri@redhat.com>
- 1538831 - rhcert-ci junit output is not consistent with what has been actually run junit: handle REVIEW summary as PASS
- junit: handle REVIEW summary as PASS

* Fri Jan 26 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2396 Results file links on the Results tab redirect to Certifications in cert not accessable.
- CERTPX-2373: cannot create passthrough cert for most vendors - Ensure missing ids are seen on Related Certifications tab

* Thu Jan 25 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2228: improve unit-tests to check for all the parameters of necessary APIs CERTPX-2226: Implement a script to perform the automated regression testing on the HydraAPIs CERTPX-2225: Write configuration file for unit-tests to switch between STAGE-QA env

* Thu Jan 25 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2319 rhcert 5.7 release notes.

* Wed Jan 24 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2371 API Performance Benchmark Integration - Minor Makefile changes
- CERTPX-2373: cannot create passthrough cert for most vendors - Download the vendor and product for passthru before redirect to   the pass through cert

* Wed Jan 24 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2371 API Performance Benchmark Integration

* Wed Jan 24 2018 Pooja Tiwari <ptiwari@redhat.com>
- RCO bug fixes and code cleanup: - Fixed broken sahara test (CERTPX-2321) - Removed rhosp-9 specific and unused code. - Refactored code to remove unnecessary api based methods.

* Tue Jan 23 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-1596 Missed changing Gluster name to that in tempest classes

* Mon Jan 22 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2331 Related Certifications tab should show correct cert IDs
- CERTPX-2255 login does not redirect to the previous page
- CERTPX-2369 redirect from certification url to progress url causes redundant XMLRPC call

* Mon Jan 22 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2366 RHOSP version detection should not be a part of rhcertd process.

* Mon Jan 22 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2316 Updated the message displayed with loader while fetching makes for given vendor

* Fri Jan 19 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2358 rhcert-ci halts for interactive prompt
- CERTPX-2355 After uploading result file In testing tab it is loading logs and status of the SUT     - removed errors generated when there is no way to reach the host

* Fri Jan 19 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-1596 Mapping GlusterFS to GLUSTERFS

* Fri Jan 19 2018 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-2468 Can API Cert.getMakesByVendor accept vendor_id instead of vendor_name like API VendorProduct.get_5_4

* Thu Jan 18 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-1596 Duplicate removal and GlusterFS string fixed

* Wed Jan 17 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2350 After uploading result file it is not reflected in progress tab test plan    - change upload/submit dialog to save the file on the LTS if submitting
- CERTPX-2338 Consistent Certification Data Access and Storage    - remove diagnostic print

* Wed Jan 17 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2347: in product->product details tab, click on 'save' gives traceback : 'global name 'getEngineWorkflow' is not defined
- CERTPX-2329: Dell passthrough certs showing as vendor Sandbox Vendor in main cert page CERTPX-2328: Traceback on Create Sandbox when there is a Dell PT cert - Assign vendor_id as -1 to default Sandbox Vendor to avoid collision with vendor id   of any public vendor

* Tue Jan 16 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2338 Consistent Certification Data Access and Storage    - remove redundant implementations updating VendorProduct info    - trigger VendorProduct reload on missing vendor products

* Tue Jan 16 2018 Anshul Behl <abehl@redhat.com>
- CERTPX-1596 Adding print statement to check the protocol info in stdout
- CERTPX-1596 The related test items should not be displayed when the protocols are not selected in manila test

* Mon Jan 15 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2338 Consistent Certification Data Access and Storage    - remove unnecessary downloads prior to redirects after cert creation
- CERTPX-2337 Platform and Status fields empty Certifications tab after creation
- CERTPX-2338 Consistent Certification Data Access and Storage    - added methods to model for syncronizing data    - moved code to Connection from View classes

* Mon Jan 15 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2333: rhcert should support testing new Hydra XMLRPC APIs for stage env.            : added phase=hydrastage" and phase="hydraqa" env attributes"

* Thu Jan 11 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2336 Unexpected keyword argument 'overwrite traceback when create HW cert"

* Thu Jan 11 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2326 [rco] Added exception handing in report generation. Resolves: https://gss--c.na7.visual.force.com/apex/Case_View?srPos=0&srKp=500&id=500A000000ZPSmP&sfdc.override=1

* Wed Jan 10 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2334 testplan not visible in xml for manila certs    - changed wsg.connection so default config will save cert updates locally

* Wed Jan 10 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2333: rhcert should support testing new Hydra XMLRPC APIs for stage env.     : added phase=hydrastage""

* Wed Jan 10 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1517 Display warning message for the user when trying to run tests without registering the server with a LTS. In case of AUTO mode prompts will be ignored

* Tue Jan 09 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2312 leveraged test results not listed in Related Certifications page    - moved CWE Test Plan download code to wsgi Certification base class    - changed Progress and Related pages to call it

* Tue Jan 09 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2320: Old Passthrough certs are not getting downloaded in rhcert default installation - On Reltaed certifications tab of base cert, download all passthrough spec and cert   - those created earlier on hardware.redhat.com   - those created on differenet rhcert installation

* Tue Jan 09 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2275 [cloud] fixed minor typo in output of cloud/configuration test.

* Mon Jan 08 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-2322 traceback on /cwe/sync for QA Environment
- CERTPX-2323 results files uploaded from Sandboxes into Certifications can not be submitted

* Mon Jan 08 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2286 Temporarily turning off the move to dustbin certificates to be shown in the certifications RHCERT UI

* Fri Jan 05 2018 Greg Nichols <gnichols@redhat.com>
- rhcert-5.7
- CERTPX-2314 Release Notes should allow html links

* Fri Jan 05 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2287: can't create Passthrough cert for different vendor CERTPX-2308: Passthrough cert showing wrong vendor on Stage - Set the Pass through vendor name for the Pass through cert and spec

* Fri Jan 05 2018 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2310 Fixed typo in rhcert.xml
- CERTPX-2311 [rco] Fixed traceback while displaying skipped tests in rco test report.

* Thu Jan 04 2018 Pooja Tiwari <ptiwari@redhat.com>
- Use api response as data source for all rhcert config(mngmt/test/def) except sandbox. Sandbox should fetch data from local store. Fixing following issues: CERTPX-2305 Product details URLS not saved in WebUI CERTPX-2306 Product Sample data not saving in WebUI CERTPX-2304 Certification Publish date not saving in rhcert WebUI CERTPX-2285 Platform and Status fields empty on Certification page

* Thu Jan 04 2018 zajaz <zajaz@redhat.com>
- CERTPX-2309 - Upload results from Test Results tab hangs - Fixed the JS Issue CERTPX-2290 - JS cleanup

* Wed Jan 03 2018 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2286 'Move to Dustbin' status will be displayed in Certifications table for all dustbin certs
- CERTPX-2303 Return error responses returned by JWT services for processing and displaying errors on login page

* Wed Jan 03 2018 zajaz <zajaz@redhat.com>
- CERTPX 2290 - Upload Results file from HW Testing page hangs removed inline JS added alert on no file selected

* Tue Jan 02 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2287: can't create Passthrough cert for different vendor - Allow partner to create passthrough spec and psaathrough certs for   different/public vendors - Update API spec - Add unit test for API to get makes of a vendor

* Tue Jan 02 2018 zajaz <zajaz@redhat.com>
- CERTPX-2290 Upload Results file from HW Testing page hangs - JS client incompatibility issue

* Wed Dec 27 2017 zajaz <zajaz@redhat.com>
- CERTPX-1611- OpenStack new certification WUI has Create label instead of Next

* Wed Dec 27 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-2453 Cert.getCertifications should include any certs moved to dustbin

* Tue Dec 26 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-2274: Hydra APIs aren't returning 401 fault code after access token expires - Fix the unit test for the new timeout value of access token expiry

* Tue Dec 26 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2248: In httpd log, while creating a new hardware product calls to both VendorProduct.create              and VendorProduct.create_5_4 are seen - Remove unnecessary debugPrint statements

* Thu Dec 21 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2292 Results File upload should allow user to also submit the file to Red Hat

* Thu Dec 21 2017 zajaz <zajaz@redhat.com>
- CERTPX-2272: traceback when accessing results from Test Results page

* Wed Dec 20 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2282 [rco] Tagged all neutron feature tests with tag 'neutron'.

* Wed Dec 20 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2169 Proxy configuration: login and microservice calls ignore proxy settings in /etc/rhcert.xml

* Tue Dec 19 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2249 [rco] Reason of skipped test should be part of openstack test report.

* Mon Dec 18 2017 zajaz <zajaz@redhat.com>
- CERTPX-701- RHCERT-CLI does not show submit command in help - Added description for submit in rhcert-cli help

* Mon Dec 18 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2229 [rco] For manila the subtests grouping needs to happen on the path level rather than class.

* Fri Dec 15 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2206 Manila Features should have subtests.
- CERTPX-2250 Added release notes as a part of rhcert package: - The release notes should be a plan text file packaged within rhcert rpm. - The rhcert WUI should provide a link from the configuration page to show the release notes.
- CERTPX-2267 Fixed 'format' method syntax to support Python 2.6.

* Fri Dec 15 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2254: copy leverage information not working - For default installation we get the cert from CWE and not from store,   for leverage we try to copy component details to cert in store,   but that fails as the cert has not stored the local file path - This patch is modifying to use for rhcert default installation   the cert from the store and not from CWE for all tabs of the Certification""

* Wed Dec 13 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2207 [rco] Restructured the tempest_config test to enable prompt on UI.

* Wed Dec 13 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2234 Display respective CatalogServer URL's when user clicks 'Open a new support case' button in WUI

* Tue Dec 12 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1995: 'Enable Debug Output' doesn't work as expected - Correct the logic to store the bebug status in views
- CERTPX-1995: 'Enable Debug Output' doesn't work as expected - Remove unused template

* Tue Dec 12 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1600 Handled 'ValueError' in EL-6 as Python 2.6 doesn't allow empty braces as placeholders in format() method

* Mon Dec 11 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2240 Certification Details Page should change Portal ID" to "ID"."

* Fri Dec 08 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2191 [rco] Removed interactive tag from Neutron/Manila/Cinder tests.

* Fri Dec 08 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2168 Moved to JS to inline script, and changing to call only onClick in case of Restart button on Configuration Page

* Thu Dec 07 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2168 Allow Partners to delete lock, clean results and logs from the RHCERT WUI

* Thu Dec 07 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2246 rhcert-util should provide utility command to test xslt translation of results.xml

* Thu Dec 07 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2207 [rco] tempest_config test should have a subtest.

* Thu Dec 07 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-2227 [RHOSP12][IRONIC] Introspection test is in waiting state

* Wed Dec 06 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2230 created field is blank in details tab of certification     - removed from page

* Tue Dec 05 2017 Ben Rose <brose@redhat.com>
- CERTPX-2238 - add constant to be consistent for rhcert-transfer alias for pulling hwcert fv files from LTS

* Mon Dec 04 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1304 URL Validation while creating Openstack Certificates or updating an existing Openstack Product details on Certification page
- CERTPX-1568 Displaying CERT_NID in alert message instead of CERT_ID for better user experience

* Fri Dec 01 2017 Greg Nichols <gnichols@redhat.com>
- release-5.6

* Fri Dec 01 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1600 Wrongly checked LC_ALL instead of LANG environment variable, causing tests to fail

* Fri Dec 01 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-2128 Fix the policy regexes with respect to RHOSP12

* Thu Nov 30 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- Print the workflow exceptions in httpd error log

* Thu Nov 30 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1600 Change locale to 'en_US.UTF-8' for non-english locale systems for duration of running the tests.

* Wed Nov 29 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-2220 [Ironic] Node introspection runs for only one node in instackenv

* Tue Nov 28 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1613 CERTPX-1615 De-select checkboxes for Cinder and Manila when Other Protocol/Plugin" input box is empty"
- CERTPX-2152 Display '--no-wait' in the help for 'rhcert-ci run --help'

* Tue Nov 28 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2158: kdump nfs test should return kdump.conf file to original state - Dump config file changes to a file before panic/reboot

* Mon Nov 27 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-2210 For RHOSP11, 'test_name'-tempest.log not showing the logs of tempest run

* Mon Nov 27 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1816: RDMA: iWARP tests run via rhcert-cli prompt for unreasonable input strings - Instead of expecting IP address on prompt, ask partner to select the   choice number. Accept choice number as well as the choice value in the   prompt(Here IP address). - This affects all tests expecting copy/paste in prompt from question

* Thu Nov 23 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2196: traceback in suspend test on el6 - 'module' object has no attribute 'check_output' - for redhat-certification-hardware.el6, python 2.6 on RHEL 6 does not   support check_output method of subprocess

* Wed Nov 22 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2140 Checked and disabled checkbox for supportable sandbox test.

* Tue Nov 21 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2023 [rco] Improved test report: - Segregated test report based on the test class. - Added 'Test Summary' in tabular format to show the test classes and counts. - Affects manila, cinder and neutron.
- CERTPX-2167 [rco] Fixed traceback while running sahara.

* Mon Nov 20 2017 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2067 : Test API Cert.getCertifications from rhcert  - Fixed traceback in unittest due to None responose.  - Commented with necessary QA-STAGE cert details for    HYDRA-CWE XMLRPC API Testing.

* Fri Nov 17 2017 Benjamin Berg <bberg@redhat.com>
- CERTPX-2183: Add input device class

* Fri Nov 17 2017 Pooja Tiwari <ptiwari@redhat.com>
- [rco] Fixed traceback: - CERTPX-2167 Fixed: NameError: global name 'CONFIG_FILE' is not defined" - Reorganised code: removed unused constansts

* Thu Nov 16 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1398 Document proxy configuration for rhcert WUI and CLI     - add commented-out example to defult rhcert.xml config file
- CERTPX-2145 no message to login after timeout

* Thu Nov 16 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1701: Partners are not notified they will be contacted for further process after uploading a spec for a Supplemental Cert - Partners should be allowed to create a Supplemental cert from rhcert, just like CWE

* Thu Nov 16 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2124 Added test blacklist for cinder boot.

* Wed Nov 15 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2179 Fedora: Tests fail on fedora as syslog cannot be read
- CERTPX-2178 User.login and User.logout XMLRPC calls should be marked deprecated""

* Wed Nov 15 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1479 Generate Django secret key while starting the rhcert application for the first time

* Wed Nov 15 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2104 [rco] Fixed bug: IPV6 tempest tests showing in neutron_ipv4 feature test.
- CERTPX-2117 [rco] Capture tempest.log created as part of each openstack tempest run.

* Tue Nov 14 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2151 [rco] All neutron feature tests should have subtests.

* Mon Nov 13 2017 Pooja Tiwari <ptiwari@gmail.com>
- CERTPX-2164 [rco] Fixed the given traceback in tempest_config test: - AttributeError: 'OpenStackTempestVerifyTest' object has no attribute 'tempest_conf'

* Mon Nov 13 2017 Pooja Tiwari <ptiwari@redhat.com>
- rhcert-5.5
- CERTPX-2151 [rco] All cinder feature tests should have subtests: - Cinder Backup subtest for cinder_backups feature. - Cinder Consistency Group subtest for cinder_consistency_groups feature.

* Mon Nov 13 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-2153 Ironic test is failing in rhcert-ci test run if no config

* Mon Nov 13 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2159 Getting URL path instead of absolute URL along with query params to avoid problem while resolving for the correct view in the middleware

* Fri Nov 10 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-2146: Not able to login - Traceback seen when trying to login without installing ca certs on qa/stage env

* Fri Nov 10 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-2108 Fixed the ironic tempest dependency issues

* Fri Nov 10 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2108 [RCO] Used rco utility for command execution.

* Thu Nov 09 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-2111 Ironic rhcert-ci test is interactive

* Thu Nov 09 2017 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2056 : Test API FIle.upload from rhcert CERTPX-2057 : Test API File.download from rhcert  - refactored unittest into separate test file    for rhcert.rhcert.workflow.engine.py

* Thu Nov 09 2017 Pooja Tiwari <ptiwari@redhat.com>
- Reorganised ironic files to fix build issues.

* Wed Nov 08 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2108 [RCO] Use command response as primary source for listing tempest tests. - Used $ostesr -l for rhosp-11/12 and $testr list-tests for rhosp-10. - Fallback to local file if command fails. - Rhosp-9 still uses local file.
- CERTPX-2131 [RCO] Fixed tempest test execution issue for rhosp10: - Defined getHarmfulRPMs(), similar to getRequiredRPMs(), for tests. - Added logic to remove unwanted packages for rhosp10 as they hinder   test execution. - The package openstack-tempest-all installs some of the unwanted packages   that cause issue, therefore removed it from the list of required   rpms and added the useful ones.

* Wed Nov 08 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-2112: In management only, after getting certs from CWE they get stored in /var/www/rhcert/store/results - While submitting results to a cert, results file should not be copied in rhcert store

* Wed Nov 08 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2000 CERTPX-2003 CERTPX-2007 CERTPX-2134 - Using Django resolve() for lookup instead of regex - Code clean up for read-ability

* Tue Nov 07 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2012 The Certification->Results page should show previously-submitted test runs     - remove print statements
- CERTPX-2012 The Certification->Results page should show previously-submitted test runs     - add listing of submitted results to progress page     - provide download of submitted results

* Tue Nov 07 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2134 CERTPX-2003 CERTPX-2007 Handled traceback on debug message print and added filter for urls to disallow navigation to results

* Mon Nov 06 2017 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2048 CERTPX-2049 CERTPX-2050 CERTPX-2054 CERTPX-2055  - refactored & added unittest for rhcert.workflow.vendorProdoct.py

* Mon Nov 06 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2003 CERTPX-2007 Disallow certain routes while Server configuration is not default. Implemented Django middleware for processing views

* Fri Nov 03 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2038 Fixed traceback while navigating to 'Related Certifications' tab on Certification caused because of vendorID added as part of getProduct API

* Thu Nov 02 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2092 Not able to create vendor products
- CERTPX-2012 The Certification->Results page should show previously-submitted test runs     - fix unit test
- CERTPX-2027 Remove 'create new cloud product' from rhcert    - if cloud product create is attempted, a page with a message is produced instead
- CERTPX-2121 rhcert does not provide error details for Workflow Proxy Error""

* Thu Nov 02 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2083 Mark supportable mandatory test in OpenStack, Cloud and Ironic test suite.
- Updated repo url in Dockerfile.in.

* Thu Nov 02 2017 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2047: Test API Cert.getSubmittedLog from rhcert  - Added unittest for Cert.getSubmittedLog API  - fixed getComments test

* Thu Nov 02 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1905: Handled rhcertStore logic in connection

* Wed Nov 01 2017 Gonéri Le Bouder <goneri@redhat.com>
- JUNIT: XML protect the test logs

* Tue Oct 31 2017 Greg Nichols <gnichols@redhat.com>
- RHCWE-2363 XMLRPC VendorProduct.create and VendorProduct.get should accept and return vendor_id

* Tue Oct 31 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1905 Fix for traceback while uploading Sandbox results
- CERTPX-2085 rhcert-cli --help doesn't show 'version' option. Converted the help string to triple quotes

* Tue Oct 31 2017 Pooja Tiwari <ptiwari@redhat.com>
- Updated rhcert local static files: redhat-products.json, valid-kernels.json

* Mon Oct 30 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2012 The Certification->Results page should show previously-submitted test runs     - add workflow wrapper and unit tests
- CERTPX-2091 Results submission through CLI fails with error: 'Error: missing or invalid login/password'
- CERTPX-2005 Login page causes traceback in rhcert web ui testing" mode.    - redirect login to sandboxes tab on testing installation"

* Mon Oct 30 2017 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2043 & CERTPX-2044 : Added unit tests for  - Cert.getCommentsOfCert & Cert.addCommentForCert API

* Mon Oct 30 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2026 Backup separated out as a feature in Cinder certification.

* Mon Oct 30 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-2089 director_undercloud test is failing and giving traceback
- CERTPX-1982 [RHOSP12 Manila cert] manila_snapshot_revert_to_snapshot test is running random compute tempest tests

* Fri Oct 27 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2021 COMMAND method(s) logging    - fix rpm build to exclude rhcert/suites from base packages

* Fri Oct 27 2017 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2041: Test API Cert.updateOpenstack_4_7 from rhcert - modified unittest with expected arguments for XML RPC V2

* Fri Oct 27 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-2028 Change in cloud configuration subscription service test: - Better mechanism to detect if SUT is using Satellite subscription.

* Thu Oct 26 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2021 COMMAND method(s) logging    - update schema definition
- CERTPX-2021 COMMAND method(s) logging    - simplify rpm spec to include all of site-packages/rhcert
- CERTPX-2021 COMMAND method(s) logging    - added rhcert.model module for XML docs/wrappers    - added CommandXML for capturing rhcert.command.Command as XML during test runs    - updated CSS for rendering new command elements in WUI

* Thu Oct 26 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1588 [Tracker]Supporting OSP12 certification

* Thu Oct 26 2017 Aniket <akhisti@redhat.com>
- CERTPX-1969: write unit test case for updateOpenStack API  - added updateospcert test & related tests  - added docstrings & refactored unit tests

* Thu Oct 26 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-2031 Yes radio button on Product Sample page not saving Setting active tab as 'sample' with program as Hardware will update certification details resolving the problem

* Thu Oct 26 2017 Shiyi Yuan <shiyuan@redhat.com>
- RHCWE-2331: A CWE API call(s) is/are needed to allow rhcert to list and download previously submitted results files.

* Wed Oct 25 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2084 Traceback on Progress page if not logged-in
- CERTPX-2082 rhcert WUI sends refresh token unncecessarily.

* Wed Oct 25 2017 Shreyas Patil <shrpatil@redhat.com>
- CERTPX-1172 Improvement of error message when open ports could not be checked - Showing error messages thrown by the test on STDERR

* Wed Oct 25 2017 Pooja Tiwari <ptiwari@redhat.com>
- Fixed CERTPX-2066 and CERTPX-2072 - Used argparse module in place of click to avoid extra dependency. - Fixed possible traceback errors.

* Tue Oct 24 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-2010: For management installation - The local store should never be accessed - For the Related Certs tab, all the details should be displayed without accessing   local store
- CERTPX-2010: For management installation - The local store should never be accessed - Related Certifications should not fetch info from local store for defalut and mangement installation
- CERTPX-2036: Same banner messages can be seen multiple times on same page of RHCERT WUI - Display banner messages only on the rhcert homepage

* Tue Oct 24 2017 Aniket <akhisti@redhat.com>
- CERTPX-1968: Unit Tests for creating new RHELOSP cert for each component      -  added unittests for creating openstack certification with 	management application plugin
- CERTPX-1785: Refactor unit tests in rhcert.workflow.workflow.py to a   diferent unit tests script

* Fri Oct 20 2017 Greg Nichols <gnichols@redhat.com>
- release 5.4
- CERTPX-1743 Remove rhcert apache config files from redhat-certification-backend.el6    - remove chcon calls on web directories
- CERTPX-2018 rhcert should support testing new Hydra XMLRPC APIs
- CERTPX-2032 traceback with comments in Product Sample page
- CERTPX-1743 Remove rhcert apache config files from redhat-certification-backend.el6    - add notInstalled" server configuration for environment API    - do not try and run server mode tests if server is not installed"
- CERTPX-2008 Unable to create new hardware vendor product in Management-only configuration    - work-around for ambiguity in vendor names vs ids.

* Thu Oct 19 2017 Ben Rose <brose@redhat.com>
- CERTPX-1979 - add config value for nvram file required for ARM fv
- CERTPX-1979 - add constant for aarch64 arch

* Wed Oct 18 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-2018: rhcert should support testing new Hydra XMLRPC APIs - Support new catalog URL's endpoint https://access.qa.redhat.com/hydra/rest/cwe/xmlrpc/v2   for testing hydra implemented XMLRPC when phase = hydraqa" in rhcert.xml conf file"
- CERTPX-1977: Traceback occurs when user uploads a non gz file through the 'Upload results file' button in Testing tab

* Wed Oct 18 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2015 installing rhcert-hw does not install all dependencies needed to start rhcert
- CERTPX-2016 traceback on Product Details page    - prevent traceback if product info is missing    - add alert if product info is missing

* Tue Oct 17 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-2004 Investigate: Call Strata directly for Vendor Product information
- CERTPX-1743 Remove rhcert apache config files from redhat-certification-backend.el6

* Tue Oct 17 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2011: Clicking on 'Save Assignment' button at Certification->Testing gives traceback

* Tue Oct 17 2017 Aniket <akhisti@redhat.com>
- CERTPX-1968: Unit Tests for creating new RHELOSP cert for each component  - added unittests for creating openstack certification with Blockstorage,    Networking, Filestorage & Objectstorage plugins

* Tue Oct 17 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1935: Show the banner message(s) in RHCERT - Display banner messages as dismissible alerts in the base template

* Mon Oct 16 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1994 RHCERT should pass the JWT format token not rh_sso format to CWE when calling cwe api    - remove failure code from JWT to legacy SSO

* Mon Oct 16 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1946 CLONE - Need a system to track tempest tests to cert feature tests

* Mon Oct 16 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1840: Size of attachment is not specified In Certification>Dialog tab - Cap the maximum file size limit for attachments that will be stored to bugzilla   to 14MB

* Mon Oct 16 2017 Ben Rose <brose@redhat.com>
- CERTPX-1779 - add ppc64le to constants

* Fri Oct 13 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1935: Show the banner message(s) in RHCERT - Modified API name - Update creds to cert request fixed
- CERTPX-2001: Fix unit test for VendorProducts.list
- CERTPX-1998: Logout on results page gives a traceback

* Fri Oct 13 2017 Shiyi Yuan <shiyuan@redhat.com>
- RHCWE-2313 : Provide API to return the banner message to RHCERT

* Thu Oct 12 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1938 Management Installation: do not expose file system in rhcert.conf apache config
- CERTPX-1758 Invalid Error displayed when user uploads a non-gz file from 'Test Results' tab on landing page
- CERTPX-1997 cwe status traceback

* Thu Oct 12 2017 Aniket Khisti <akhisti@redhat.com>
- CERTPX-1820: WARN" Status displayed in green on rhcert-WUI instead of yellow  - Fixed

* Thu Oct 12 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1935: Show the banner message(s) in RHCERT - Added unit test for API Cert.getBannerMessage
- CERTPX-1922: The rhcert WUI should require login - For default rhcert installation, the Cancel button on login page   should be presented with only Sandbox and Results tab

* Wed Oct 11 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1882 Add Configuration Setting for Management and Disconnected Installation     - add rhcert-util configure" to show current installation configuration"
- CERTPX-1883 WUI: Don't Show Certification Testing functions for a Management Installation    - revise configuration headings
- CERTPX-1987 Unable to submit cloud results with rhcert pointing to qa

* Wed Oct 11 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1967: Not able to run tests for openstack when I click on add a system in              Testing tab getting exception and also getting the same error              when i click on any button from testplan - synchronize certs and products for default installation - Modified the calls to CWE workflows as per the new Connection class design

* Tue Oct 10 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1883 WUI: Don't Show Certification Testing functions for a Management Installation    - revise configuration page to show installed configuration and filter output appropriately.

* Tue Oct 10 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1967: Not able to run tests  for openstack when I click on add a system in Testing tab getting exception and also getting the same error when i click on any button from testplan - Add redirect in getting cert from local store fails

* Mon Oct 09 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1922: The rhcert WUI should require login - For management installation hide the Cancel button on login page

* Fri Oct 06 2017 Pooja Tiwari <ptiwari@gmail.com>
- CERTPX-1947 Test Logging Improvement in OpenStack Certification. - Change applied to all plugins: cinder, sahara, manila etc. - Mainly improves the neutron test logging for RHOSP-10.

* Thu Oct 05 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1823: For disconnected/Sandbox use, the login page should not appear. - Hide the login dropdown from the Configuration page
- CERTPX-1967: Not able to run tests  for openstack when I click on add a system in Testing tab getting exception and also getting the same error when i click on any button from testplan
- CERTPX-1978: Update action on sandboxes test results is giving a traceback
- CERTPX-1974: Traceback occurs when user clicks on Test Results tab on Landing page

* Wed Oct 04 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1823: For disconnected/Sandbox use, the login page should not appear. - Login dropdown in the upper right section of page should not appear for disconnected/testing rhcert - Hide the Refresh button for disconnected/testing rhcert - Disable calls to check CWE ping status and to auto sync certs for disconnected/testing rhcert - The default view for disconnected/testing rhcert should be sandboxes and not certifications
- CERTPX-1823: For disconnected/Sandbox use, the login page should not appear. - Login page will not be shown for discoonection/testing installation   Redirect to the certifications page

* Wed Oct 04 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1845 Support additional architectures and hypervisors in CCSP.

* Tue Oct 03 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1971 Certification - Testing page won't load
- CERTPX-1885 Management Installation: Provide Session/Memory-based Certification classes     - fix new cert with product creation workflow

* Tue Oct 03 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1922: The rhcert WUI should require login - changed views to require login

* Mon Oct 02 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1885 Management Installation: Provide Session/Memory-based Certification classes     - clean up unused product pages/templates
- CERTPX-1885 Management Installation: Provide Session/Memory-based Certification classes     - fix background sync for default installation
- .woff2 font files needed by patternfly are missing

* Fri Sep 29 2017 Greg Nichols <gnichols@redhat.com>
- release-5.3

* Fri Sep 29 2017 Rajasi <rajkulka@redhat.com>
- Mark deprecated APIs in the spec file

* Thu Sep 28 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1932 Actions - Save in Results page brings me to Test Results tab

* Thu Sep 28 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1799: no link to support cases in Certification - Details page - Bug fixes to support adding kbase and support case for all programs

* Wed Sep 27 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1002: Investigation: Allow a partner to open a support case from a certification CERTPX-1799: no link to support cases in Certification - Details page On Certifications > Details tab, - Added link to view the Knowledge base articles/solution on Customer Portal - Reference to Knowledge base articles can be associated with a cert by entering its ID
- CERTPX-1799: no link to support cases in Certification - Details page CERTPX-1002: Investigation: Allow a partner to open a support case from a certification On Certifications > Details tab, - Added link to open/view the support cases on Customer Portal - Support case can be associated with a cert by entering its ID

* Wed Sep 27 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1940 Ironic driver validation test in interactive but during ironic run it's not showing that it is interactive

* Wed Sep 27 2017 Aniket <akhisti@redhat.com>
- CERTPX-1924: Display the sandbox certification ID in the Sandboxes page - Fixed.

* Wed Sep 27 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1936 Removed RHELMRG from product list. - User will no longer be able to create MRG certification.

* Tue Sep 26 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1900: Remove reference to variable that no longer exists.
- CERTPX-1900: cleaned up version of original patch.

* Tue Sep 26 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1885 Management Installation: Provide Session/Memory-based Certification classes     - add results submission from the progress page

* Tue Sep 26 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1187: Add validations in test result update via WUI. - Fixed the alert to persist over the session
- CERTPX-1548: Active tabs not highlighted under Product tab,              for Cloud certifications
- CERTPX-1930: When a product has multiple certified base RHEL certs available for              creating layered certs, all are shown in different select options              in case of creating Ready State certs

* Tue Sep 26 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1379 rhcert/self_check using RPMVerification class functionality

* Tue Sep 26 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1929 Changing the name of ironic subpackage to redhat-certification-ironic-preview

* Tue Sep 26 2017 Aniket <akhisti@redhat.com>
- CERTPX-1707 : model shows twice in Product field of Certification Details page - Fixed the value of Product field for hardware, cloud & openstack.

* Mon Sep 25 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1900: Refactor repository creation logic to include the most recently-built redhat-certification packages from Brew.

* Mon Sep 25 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1885 Management Installation: Provide Session/Memory-based Certification classes     - update cert/product creation to use wsgi.Connection over rhcert.rhcertStore
- CERTPX-1883 WUI: Don't Show Certification Testing functions for a Management Installation
- CERTPX-1885 Management Installation: Provide Session/Memory-based Certification classes

* Mon Sep 25 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1927 director_undercloud tests shows 'review' when running ironic
- CERTPX-1929 Install only redhat-certification-ironic when running ironic tests
- CERTPX-1928 Change the name of ironic preview package to redhat-certification-ironic

* Fri Sep 22 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1922 The rhcert WUI should require login    - changed certifications and certification views to require login    - added Connection class to manage local vs. CWE data for different server configurations
- CERTPX-1882 Add Configuration Setting for Management and Disconnected Installation

* Fri Sep 22 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1903: Correct the log message Make sure that a valid service url is              configured in /etc/rhcert.xml" in rhcert-util update command"

* Fri Sep 22 2017 Aniket <akhisti@redhat.com>
- CERTPX-1877 - Replace the control label Brand logo" with "Product logo"  in the product creation and product details template - Fixed"

* Fri Sep 22 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1187: Add validations in test result update via WUI. - Fixes to the update functionality

* Thu Sep 21 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1764 Added support for 7.4-Alt Power9 kernel. - Defined a new method RedHatRelease.getKernelProductName to determine   the product info. - Used PNS for product info. Made use of Product version IDs rather   than the strings.

* Wed Sep 20 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1912 Sync Performance Improvements    - change product processing to use index

* Wed Sep 20 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1850 Replacing Fail with Error for subtests

* Wed Sep 20 2017 Pooja Tiwari <ptiwari@redhat.com>
- Change in software rpm subtest: - CERTPX-1789 change in rpm verification:   -Perform validation on rpm fauilres, reported by $rpm -V cmd even    if there is any stderr(verification part should not be skipped).   -Capture and display the $rpm-V stderr (if any) and set status review. - Corrected the logic to determine whitelist packages (gpg-pubkey).
- Syced local cache files with services.
- CERTPX-1907 Corrected the product name: - As per product naming brand team, adding the (POWER 9) is not   acceptable according to our naming conventions. - Red Hat Enterprise Linux for Power LE" is acceptable."

* Tue Sep 19 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1850 Changing the deploy subtest to boot nova instance instead of deploying overcloud -Also changes the redeploy subtest

* Tue Sep 19 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1187: Add validations in test result update via WUI. - Update action visible only when result document contains deferred tests - Fixed the redirections after error - Removed the update confirmation page
- CERTPX-1640: Invalid results file upload leads to dead-end page with no back-links

* Mon Sep 18 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1703 even the hardware cert is published, the status still show as in progress" in the certification list.    - debug logging improvements"

* Mon Sep 18 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1781 Change in software rpm verification test: - When the command, $rpm -V <package>, reports failures but none of   them is critical due to which verification passes for the package.   It should inform it with a info msg instead of empty list.

* Fri Sep 15 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1703 even the hardware cert is published, the status still show as in progress" in the certification list.    - fix unicode handling in debug log"
- CERTPX-1703 even the hardware cert is published, the status still show as in progress" in the certification list.    - add debug mode when /cweSync is called in foreground."

* Fri Sep 15 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1871: In Certification > Dialog tab, attachment description should be mandatory - Fixed javascript for Cloud and OpenStack certs

* Fri Sep 15 2017 Aniket <akhisti@redhat.com>
- CERTPX-1811 : Sanbox id should be displayed in rhcert-UI. 	- sandbox id is displayed now.

* Thu Sep 14 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1510: For OpenStack Certs: Highlight Missing required information in the left navigation              (Certification and Product tabs), as well as specific sub-tabs. - Added highlighting for missing info in Nutron tab for certs with networking component

* Wed Sep 13 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1851 Provide a means of associating a results file with a certification

* Wed Sep 13 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1510: For OpenStack Certs: Highlight Missing required information in the left navigation              (Certification and Product tabs), as well as specific sub-tabs. - Completed for specification - ToDo: Completer for the plugin types

* Tue Sep 12 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1871: In Certification > Dialog tab, attachment description should be mandatory - If file is chosen for upload, then form should validate that description is provided   CWE File.upload API returns error otherwise

* Tue Sep 12 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1588 Supporting OSP12 for and CI/CD for DCI team

* Tue Sep 12 2017 Aniket Khisti <akhisti@redhat.com>
- CERTPX-1759 : Refactor unit tests in rhcert.workflow.certifications to a different unit tests script      - Added Assertions to all the test methods.      - Separated test_updateHardwarePublishDate to test_HardwarePublishDateSet        and test_HardwarePublishDateUnset.

* Mon Sep 11 2017 Ben Rose <brose@redhat.com>
- CERTPX-1865 - handle periods and spaces in test name for results accordion

* Mon Sep 11 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1647: RHEL cert creation Version" dropdown items are unsorted - fixed the method to sort the versions"

* Fri Sep 08 2017 jkinsman <jkinsman@redhat.com>
- Integration patch: Makefile changes necessary to perform automated Brew builds on newer versions of the rhcert code line.
- Rev Makefile version to 5.2

* Thu Sep 07 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1619 Certifications status is not updated on the Certifications tab
- CERTPX-1862 reset sync time even if errors occur

* Thu Sep 07 2017 Rajasi <rajkulka@redhat.com>
- Build cache with latest file for rhcert-5.1 release
- CERTPX-1840: Size of attachment is not specified In Certification>Dialog tab - Add message that file size should be less than 5MB - Added js validation to check file size

* Thu Sep 07 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1857 Remove openstack log version test from Ironic

* Wed Sep 06 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1143 Switch to new-style labels in Dockerfiles    - small fix to repo building
- CERTPX-1143 Switch to new-style labels in Dockerfiles

* Wed Sep 06 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1578: can't choose name for Realtime and Arm Sandboxes
- CERTPX-1797: Modify the dialog of creating OpenStack certifications - Added line break in error message

* Wed Sep 06 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1844 sos test should check only for Ironic is active

* Wed Sep 06 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-2183 Cert.getOpenTestsInfo needs more information on test plan status

* Tue Sep 05 2017 Ben Rose <brose@redhat.com>
- CERTPX-1727 - fix issue introduced switching off of importlib

* Tue Sep 05 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1827 Compare sos plugins to check if openstack plugins are enables in sosreport test
- CERTPX-1826 Fixing the inpect subtest
- CERTPX-1710 Enrolling subtest stdout fix with commands and outputs

* Tue Sep 05 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1806: Cancel button for New Certification for Pass-Through and Supplemental              cert not redirecting
- CERTPX-1797: Modify the dialog of creating OpenStack certifications - Improve the wording of a Error message
- CERTPX-1810: Vendor not set correctly in Pass-through cert when different vendor chosen

* Mon Sep 04 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1807: Create layered certification for RHOSP Ironic from rhcert WUI - Store the format name (Compute or Ready State) for RHOSP layered certs
- CERTPX-1740: Certification->Dialog tab should support attachments

* Mon Sep 04 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1826 Fixing the inspect subtest
- CERTPX-1833 Create a redhat-certification-ironic-preview package for ironic certification

* Mon Sep 04 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1155 Cloud/config- system service test: - Defined generic method for el6 and el7.

* Mon Sep 04 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-2262 API Cert.getCertifications should return rh_product_version_format_name in the response so that rhcert can differentiate between Compute and Ready State RHOSP layered certs

* Fri Sep 01 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1831 Error during template rendering traceback when click on Product
- CERTPX-1760 Leverage Component Certifications
- CERTPX-1760 Leverage Component Certifications    - added info popovers
- CERTPX-1798 dialog tab needs to show numbered comments and history for easy reference

* Fri Sep 01 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1155 Additional check of Service Configuration vs. Actual State" in System Services subtest. - if the service is enabled and running - Pass - if the service is enabled and not running - Fail - if the service is disabled and running - Fail - if the service is disabled and not running - Pass"
- Imported missing TestResult class in openstack/sosreport
- CERTPX-1127 Added log messages in cloud/configuration system services test.

* Fri Sep 01 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1807: Create layered certification for RHOSP Ironic from rhcert WUI - RHSOP Ironic layered certs can be created from rhcert homepage
- CERTPX-1807: Create layered certification for RHOSP Ironic from rhcert WUI - Enabled creating RHOSP Ironic layered cert from Related Cert tab of base RHEL - ToDo: Create Ironic layered cert from rhcert homepage         Display Format - Compute(Nova) / Ready State(Ironic) in Related Certs tab and cert header

* Fri Sep 01 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1825 Add new test director_undercloud that will check director from undercloud node

* Thu Aug 31 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1722 Automate background CWE Sync    - implement automatic sync: on Certifications page load, every 30 min if idle.

* Thu Aug 31 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1351 Made sosreport mandatory test for cloud and openstack: - Run sosreport test with each test run.
- CERTPX-1227 Criteria update for cloud/configuration network test: - IPtables/firewalld and sshd services should also be enabled.

* Thu Aug 31 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1801 Only ask for path of stackrc and instackrc if they dont exist in default location - Fixed some cyclic dependencies -Wrong namespace fixed for instackenv_validator
- CERTPX-1801 Validation of instackenv and stackrc file

* Wed Aug 30 2017 Ben Rose <brose@redhat.com>
- CERTPX-1814 - use alternative to importlib to support el6
- CERTPX-1728 - fix sandbox testing page accordian for same test different device results

* Wed Aug 30 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1351 New test named as 'sosreport' added for Cloud and OpenStack: - With this change sosreport generation will no longer be a part of cloud   or openstack supportable test. - cloud/sosreport and openstack/sosreport tests are non-interactive tests. - Sos report gathering will be done in the same way as it was earlier for   cloud and OpenStack respectively. No change in execution.
- CERTPX-1367 Change in cloud/configuration network configuration test: - Used ip command in place of ifconfig. - Better prompt and logging while ask system's ip.

* Wed Aug 30 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1739 Add Product->Dialog tab   - disable tab pending API support

* Tue Aug 29 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1809 Related Certifications tab should show leveraged relationships
- CERTPX-1760 Leverage Component Certifications    - bug fix for removal of leverage application
- CERTPX-1760 Leverage Component Certifications    - implement save/apply links and targets for leveraging component certs    - links appear on Related Certifications for component pass-through certs    - target appear on Progress tabs

* Tue Aug 29 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1709 Ask user for the driver that they support
- CERTPX-1710 Counting the number of nodes using pm_addr rather than mac

* Tue Aug 29 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1812 Supportable/Kernel test throws traceback when service returns OK response but not the kernel info.

* Tue Aug 29 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1794: Upload vendor/product logo while creating a hardware or cloud product - Added call to API to upload a logo just after creating a hardware or cloud product

* Mon Aug 28 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1722 Remove Manual CWE Sync (Refresh" button).    - implement automatic sync: on Certifications page load
- CERTPX-1716: With each rhcert build the latest product info from PNS, should be downloaded in redhat-products.json file - use service-call target dependancy on building the source tar
- CERTPX-1716: With each rhcert build the latest product info from PNS, should be downloaded in redhat-products.json file - move the call as the last step of the install target.

* Mon Aug 28 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1716: With each rhcert build the latest product info from PNS, should be downloaded in redhat-products.json file - call the script to build the local cache in the install target in Makefile
- CERTPX-1797: Modify the dialog of creating OpenStack certifications - Create a RHOSP Nova layered hardware program cert, if vendor selects Hardware product - Create a RHOSP software plugin OpenStack program cert, if vendor selects OpenStack product - Display error page for creating a new Hardware product while create a RHOSP cert

* Fri Aug 25 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1720 Product->Related Products tab
- CERTPX-1739 Add Product->Dialog tab

* Thu Aug 24 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1801 [IRONIC] Subtest for validation of instackenv and stackrc file
- CERTPX-1784 Sos version check test always returns output as Review even its in accepted version list
- CERTPX-1584 .test_list_show_extensions should not be a part of neutron_ipv4 feature test

* Thu Aug 24 2017 Aniket Khisti <akhisti@redhat.com>
-  CERTPX-1389 : For rhcert-ci plan command, the help message is incorrect  - Fixed with correct options as per the latest version.

* Thu Aug 24 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1761: Version field empty in Power9 cert pull down - Update local PNS for Power9, ARM - Add allowed program for Power 9 - Update local valid-kernels.json

* Wed Aug 23 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1388 Leverage Component Pass-through cert and Tests in RHCERT    - fix initial page load for leverage targets
- CERTPX-1388 Leverage Component Pass-through cert and Tests in RHCERT    - better feedback and bug fixes

* Wed Aug 23 2017 Ben Rose <brose@redhat.com>
- CERTPX-1729 - raise errors in client harness in a better way

* Wed Aug 23 2017 Aniket Khisti <akhisti@redhat.com>
- CERTPX-1759 : Refactor unit tests in rhcert.workflow.certifications to a different unit tests script - Duplicate argument error fixes by replacing hardcoded parameters with random-values generating methods

* Tue Aug 22 2017 Aniket Khisti <aniketkhisti@gmail.com>
- CERTPX-1759 : Refactor unit tests in rhcert.workflow.certifications to a different unit tests script - TestCases signature modification with reference to unittest standards & minor bug fixes   & removal of trailing whitespaces.

* Mon Aug 21 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1388 Leverage Component Pass-through cert and Tests in RHCERT     - javascript streamlining of leverage actions
- rhcert 5.1

* Mon Aug 21 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1367 Change in cloud/configuration network test: - Pass SUT's external IP address to nmap command instead of localhost.

* Mon Aug 21 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1783: Layered certs shouldn't be created on Supplemental certs - Disable creating layered certs on Supplemental certs

* Fri Aug 18 2017 Ben Rose <brose@redhat.com>
- CERTPX-1728 - add option to run collab functions via queue

* Fri Aug 18 2017 Pooja Tiwari <ptiwari@redhat.com>
- Updated local cache (static files) for PNS and valid kernels. - Syced with service response. - Used 'make service-cache' command for doing it.

* Thu Aug 17 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1712 Deploying Subtest CERTPX-1713 [IRONIC] Redeploying subtest
- CERTPX-1738 Check sos version for openstack certifications due to missing plugins between sos versions

* Thu Aug 17 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1653 Fixed AttributeError in supportable/Kernel-Module test. - Set the default value for debug parameter.

* Wed Aug 16 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1721: While creating a layered cert, when there is only a single In-Progress cert to choose as a base cert, the Create button should be disabled. - Disabled Create button if all base certs in progress - Added better warning messages
- CERTPX-1723: When creating a layered cert from the Related Certifications tab of a base cert,              clicking on Cancel button should not create a new layered cert              - Fix redirection when layered cert is getting created from Related Certs tab

* Wed Aug 16 2017 Abhishek Tiwary <atiwary@redhat.com>
- configuration.py file is changed for supporting RHEL6.5 and below version

* Wed Aug 16 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1423 Allow modifications in configuration files for L readLink(2) path mismatch" in rpm verification."

* Fri Aug 11 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1711 Inspecting Subtest CERTPX-1752 CERTPX-1762- ironic_undercloud_validation subtest is showing status 'REVIEW' even there is an error: 'stack:no user exits'

* Fri Aug 11 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1723: When creating a layered cert from the Related Certifications tab of a base cert,              clicking on Cancel button should not create a new layered cert

* Thu Aug 10 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1748: getCatalogServer traceback when I submit results
- CERTPX-1583: Remove option to upload product/brand logo while creating a product

* Wed Aug 09 2017 jkinsman <jkinsman@redhat.com>
- Test patch: Revert new respin logic and Jenkins build numbers from automated Brew builds.

* Wed Aug 09 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1710 [IRONIC] Enrolling Subtest CERTPX-1754 ironic_undercloud_validation subtest should show message in one line CERTPX-1753 ironic_undercloud_validation subtest saying 'Success: Found undercloud.conf under /home/stackrc' it should say 'Success: Found undercloud.conf under /home/stack' CERTPX-1752 ironic_undercloud_validation subtest is showing PASS even it's failing

* Tue Aug 08 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1388 Leverage Component Pass-through cert and Tests in RHCERT     - initial implementation for component leveraging

* Tue Aug 08 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1530: For updating Openstack cert details, if the plugin type is In-Tree, vendor shouldn't be allowed to update the download URL - For plugin type In Tree" hide download URL from the product details page - For plugin type "Out of Tree" hide the upstream availability date from the product details page"

* Tue Aug 08 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1708 Undercloud validation to check if ironic tests are running on the designated node
- CERTPX-1709 [IRONIC] subtest for determining if a supported driver is configured for the designated system

* Tue Aug 08 2017 Shiyi Yuan <shiyuan@redhat.com>
- RHCWE-2208: A related products/specs API call is needed

* Mon Aug 07 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1744 JWT access token refresh does not update browser session

* Mon Aug 07 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1704: Alerts for failed login attempts persist after failed logins - Clear the alerts after succesful login

* Mon Aug 07 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-979 Adding Test Skeleton for Ironic and related SubTests

* Sun Aug 06 2017 Ben Rose <brose@redhat.com>
- CERTPX-1672 - fix passing in args and kwargs in collabrequirements and added error string to 500 message body

* Fri Aug 04 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1582 rhcert should use access.redhat.com for microservices and xmlrpc calls.

* Thu Aug 03 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-2165 Cert.updateHardware_4_7 should accept a parameter which can change the cert status to In Progress
- RHCWE-2144/RHCWE-2205 VendorProduct.list return the public status and product type of hardware products

* Thu Aug 03 2017 Feng Wang <fwang@redhat.com>
- RHCWE-2188: add product_nid in VendorProduct.get_4_7

* Thu Aug 03 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1726: When creating a Red Hat OpenStack Platform Plugin (OpenStack program) cert,              only OpenStack products should be shown in the filter - Modified allowed programs for OpenStack plugin certifications

* Wed Aug 02 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1388 Leverage Component Pass-through cert and Tests in RHCERT     - add integration in unit test for Cert.getSubmittedLog

* Wed Aug 02 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1648: Unsupported OSP versions shown in RHCERT Configuration page - Show only supported versions of all Certification Programs

* Tue Aug 01 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1671: For the RHOSP Nova layered certs that are created, the name is displayed as              RHOSP Plugin on the home page in the Certifications tab and also in the Cert's details - Name for the RHOSP Nova product will be displayed as Red Hat OpenStack Product"   when PNS live is not reachable"

* Mon Jul 31 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1705 traceback on CWE sync if user has no vendor products

* Fri Jul 28 2017 Greg Nichols <gnichols@redhat.com>
- release-5.0

* Thu Jul 27 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1685 Testplan Status needs a display UI

* Thu Jul 27 2017 Pooja Tiwari <ptiwari@redhat.com>
- Removed SSL Bypass

* Thu Jul 27 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1671: For the RHOSP Nova layered certs that are created, the name is displayed as              RHOSP Plugin on the home page in the Certifications tab and also in the Cert's details - Added hack to distinguish between the OpenStack hardware(Nova) and software(Plugin) products   after getting product details from PNS live - Name for the RHOSP Nova product will be displayed as Red Hat OpenStack Product
- CERTPX-1668: Support creation of new RHEL Realtime 7.4 and Gluster 3.3 layered product certs CERTPX-1245: Layered Certification Creation in rhcert WUI RHCWE-2214: can't create Gluster layered cert from 6.9 base cert - Add the base versions in the local cache of redhat products JSON file   that CWE has added in PNS - Improve messages for allowed programs in layered certs creation

* Wed Jul 26 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1060 Fixes in Kernel test. - one elif statement was missing. - Taken care if 'hwcert' is passed as suitename. - ByPassesd the SSL issue.

* Wed Jul 26 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1697 rhcert uses http when https is specified for the catalog url in /etc/rhcert.xml
- CERTPX-1582 rhcert should use single catalog-url" domain for microservices calls.     - restore services url for rhcert.services

* Wed Jul 26 2017 Ben Rose <brose@redhat.com>
- Revert CERTPX-1687 - refresh button now does full reload of products/vendors""

* Wed Jul 26 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1609 New tempest_tests for RHOS11 as well as new pattern for cinder tests

* Tue Jul 25 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1582 rhcert should use single catalog-url" domain for microservices calls."

* Tue Jul 25 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1617 Misaligned cancel/dismiss button on inline popups in rhcert WUI

* Tue Jul 25 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1245: Layered Certification Creation in rhcert WUI CERTPX-1622: Improvement for the Related Certifications tab of Hardware Certifications - Fixed creating Layered certs from New Certification dialog from rhcert homepage - Fixed redirections in error cases
- CERTPX-1690: Use the version in API Cert.getOpenTestsInfo
- CERTPX-1688: Disable the New Product" button while creating a New Layered Certification from the New Certification creation dialog."

* Tue Jul 25 2017 Ben Rose <brose@redhat.com>
- CERTPX-1674 - Add client function to base class test.py for calling collab LTS hosted service
- CERTPX-1686 - fix attribute error when catalog not reachable
- CERTPX-1687 - refresh button now does full reload of products/vendors

* Mon Jul 24 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1622 Improvement for the Related Certifications tab of Hardware Certifications    - show layered certs on non-layered certs RelatedCerts tab    - fix cert status coloring    - changed supplemental flow to direct user to product details

* Mon Jul 24 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1641: TemplateDoesNotExist Exception: OpenStack Platform Nova sandbox CERTPX-1643: OpenStack Nova Layered Certification can be created against OpenStack product
- CERTPX-1622: Improvement for the Related Certifications tab of Hardware Certifications - Fix typos in filenames - Change redirection to Product Details tab from the Conform Supplemental page - Fix to download the newly created supplemental cert

* Mon Jul 24 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1622 Fixing some issues with the new dialog for passthrough

* Fri Jul 21 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1060 Update kernel test results (warn/review/pass/fail) for various circumstances. - Updated kernel service url to point to v2.0/valid-kernels api. - Updated cache rebuilding code. - Updated info/valid-kernels.json with v2.0/valid-kernels response. - Made changes in Kernel test (affects all programs). - Added unit test for it.

* Fri Jul 21 2017 Ben Rose <brose@redhat.com>
- CERTPX-1672 - Add service to rhcert to allow tests running on SUT to run functions on LTS
- CERTPX-1519 let individual tests see what has already been planned

* Fri Jul 21 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1622 Improvement for the Related Certifications tab of Hardware Certifications    - fix supplemental cert creation from the Related Certs tab    - revised related certs tab to display cert type and base cert info    - combined passthrough and passthrough-with-supplemental
- CERTPX-1670 After certificate creation, test plan shows blank

* Fri Jul 21 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1668: Support creation of new RHEL Realtime 7.4 and              Gluster 3.3 layered product certs - Added product definitions in the JSON file

* Thu Jul 20 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1622 Improvement for the Related Certifications tab of Hardware Certifications    - fix layered cert creation from Releated Certifications tab    - fix layered cert creation from Certifications page
- CERTPX-1622 Improvement for the Related Certifications tab of Hardware Certifications    - use tables to show related certs    - move layered and supplimental cert code to create dialog
- CERTPX-1628 rhcert should pass Authorization header with access token for hydra    - Implemented token refresh and retry for proxy exception 401

* Wed Jul 19 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1656 The Progress page should show test plan status

* Wed Jul 19 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1637 The product id is invalid in Pass Through cert - Product Details tab
- CERTPX-1630: Related certifications tab should be visible only              for Hardware Certifications
- CERTPX-1504: Create Supplemental Cert via the Related certifications              tab of the parent certification - Added checkbox in Hardware Specification to indicate attachment of   a specification file for reviewers

* Tue Jul 18 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1644 RHOSP Version 8 is present in the product name dictionary and can be selected for cert creation
- CERTPX-1645 Cannot cancel cert creation if product version field has no content
- CERTPX-1629 - Improvement for the Related Certifications tab of Hardware Certifications - Show the product information along with cert ID for the related certs

* Tue Jul 18 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1504: Create Supplemental Cert via the Related certifications tab of the parent certification - Added button to create supplemental Cert from Related certifications   tab of base Certification - ToDo: Upload specification file in Specification for reviewer to let   him know to create the supplemental components

* Mon Jul 17 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1633 Unable to open RHCERT UI on rhel 7.4 - Adding wildcard in django settigs so that all hosts are accessible
- CERTPX-1503 Fix for Left pane not visible in passthrough form

* Mon Jul 17 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1245: Layered Certification Creation in rhcert WUI     - Fix for creating RHOSP Nova Layered Certs from New Certification       creation dialog     - Disable selecting In Progress certs as a base cert

* Mon Jul 17 2017 Pooja Tiwari <ptiwari@redhat.com>
- Implemented Hwcert Publish workflow based on cert status: CERTPX-1585 INPROGRESS certs (removed 'leave as INPROGRESS' option). CERTPX-1586 CERTIFIED/Unpublished certs. CERTPX-1587 CERTIFIED/Published certs.

* Mon Jul 17 2017 Feng Wang <fwang@redhat.com>
- RHCWE-2184: adding ecosystem to differentiate RHOSP product

* Fri Jul 14 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1393: Modify build_rhcert_release.py to parse redhat-certification package NVR from CI Message metadata for Jenkins builds.

* Fri Jul 14 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1628 rhcert should pass Authorization header with access token for hydra

* Fri Jul 14 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1104 product version need to be added in openstack entry page

* Fri Jul 14 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1607 Move addCWECertification and downlodProducts to common base classes to avoid duplication CERTPX-1245 Layered Certification Creation in rhcert WUI - Minor fixes   1. Substituting invalid call to debugPrint with print   2. Correcting the invocation of Alert class
- CERTPX-1245: Layered Certification Creation in rhcert WUI - Creating layered certs from new Certificate creation workflow - Enabled product type RHOSP Nova for OpenStack layered certs

* Thu Jul 13 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1607 Move addCWECertification and downlodProducts to common base classes to avoid duplication    - move compileVendorProducts to rhcert.server.wsgi.view.View
- CERTPX-1607 Move addCWECertification and downlodProducts to common base classes to avoid duplication     - replace addCWECertification with rhcert.wsg.view.View.syncronizeCertifications

* Thu Jul 13 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1606 Adding client side validation TODO: Fix the left pane not visible issue.

* Thu Jul 13 2017 root <root@rhcert-save.localdomain>
- CERTPX-1503 Passthrough product creation TODO: Client side javascript validation and new field for Make Dropdown       Moving addCWECertification and downloadProducts to base classes

* Wed Jul 12 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1608 Support RHEL7.4 base versions for OSP10, 11 in the Product Name Dictionary     - also change the product selector to filter on isSupport rather than isPublic.

* Wed Jul 12 2017 Pooja Tiwari <ptiwari@redhat.com>
- Added unit test to reopen a hwcert.

* Wed Jul 12 2017 Rajasi <rajkulka@redhat.com>
- CERTPX-1605: Unable to upload attachment

* Tue Jul 11 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1594 Five minute login timeout raises 401 Not Authorized errors    - removed refresh token from all XMLRPC calls    - added handling for xmlrpc fault 401 to refresh token and retry call    - added token refresh call to /cwe/status (js call in menu-bar)

* Mon Jul 10 2017 Greg Nichols <gnichols@redhat.com>
- version 4.12
- CERTPX-1594 Five minute login timeout raises 401 Not Authorized errors    - added token refresh calls to all XMLRPC calls.
- CERTPX-1591 Certification' object has no attribute 'isLoggedIn' traceback with New Certification     - fix traceback on new vendor product create
- CERTPX-1595 Cert.getOpenTestsInfo: Bug ID not found - api_version missing from call

* Mon Jul 10 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1581: Accessing Sandbox results through Test Results tab              giving authorization error - Fix the redirection for Sandbox results and Sandbox Certification   Details from the TestResults Tab

* Mon Jul 10 2017 Shiyi Yuan <shiyuan@redhat.com>
- RHCWE-2139: A CWE API call is needed to get a list of hardware certs for layering on

* Fri Jul 07 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1591 Certification' object has no attribute 'isLoggedIn' traceback with New Certification
- CERTPX-1499 Add token refresh call to rhcert    - fixed failover from jwt to legacy sso
- CERTPX-1499 Add token refresh call to rhcert    - fixed failover from jwt to legacy sso    - Other API's always pass token as password""

* Fri Jul 07 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1572: jawbreakericon.jpg" text viewed even if no brand logo uploaded while creating cloud product"

* Thu Jul 06 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1499 Add token refresh call to rhcert
- CERTPX-1499 Add token refresh call to rhcert    - added rhcert.services.authorization for new JWT auth calls.    - defines rhcert.workflow.workflow.WorkflowCredentials to manage auth tokens    - changes the rhcert.workflow.workflow.Workflow.login call to capture      both current sso token and new tokens.    - adds a new XMLRPC wrapper call Workflow.callProceedure      - inserts credentials into every call      - supports debug logging of call, parameters and response    - Workflow.call also adds credentials, but no debug logging    - changed workflow subclasses (Certification, Engine, VendorProduct)      to use new Workflow.callProceedure method.

* Wed Jul 05 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1560 TemplateDoesNotExist Exception on creating Hyperconverged Infra sandbox with rhcert WUI

* Wed Jul 05 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1344: Partner should able to add product logo for hardware and cloud product from RHCERT

* Wed Jul 05 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1576 Fixed UnboundLocalError in server.wsgi.submit
- CERTPX-1576 Fixed NameError in server.wsgi.submit

* Tue Jul 04 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1531 Improvement in NVR check logic implementation: - Used workflow module to only return API response. - Moved the analytical part in rhcert.server.wsgi.submit. - Better warning message for unsupported versions.
- CERTPX-1546 Hwcert Publish Tab: Unset/Remove the publish date. CERTPX-1551 Fixed typo in HW cert Publish tab alert.
- CERTPX-1504 Fix to show ToDo icon in publish date attribute. Modified unit test to supply NULL" to unset publish date."
- CERTPX-1507 Certification->Publish (New Tab) to set publish date for a Hardware Certification. Added unit test to set/unset publish date. Fixed issue in server/wsgi/certification/certification.py TODO: Unset publish date.

* Tue Jul 04 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1509: For Cloud Certs: Highlight Missing required information in the left navigation (Certification and Product tabs), as well as specific sub-tabs. CERTPX-1455: The cloud image name of cloud cert should be write-once for partner Diabling the readonly inputs in templates so that they are not available as form post parameters in Django views

* Tue Jul 04 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1544 Cert.attachments is getting called for all product related requests     - created specific wsgi subclasses for spec details pages     - moved code to get attachments up to wsgi.certification     - added calls to get attachments to spec details pages.

* Mon Jul 03 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1509: For Cloud Certs: Highlight Missing required information in the left navigation (Certification and Product tabs), as well as specific sub-tabs. - Update product URL from specification page, if it is missing

* Mon Jul 03 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1124 Fixed KeyError and other possible failures in cloud/supportable Root Filesystem test.

* Mon Jul 03 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1451 DDT tests should not be part of the LBaaS tests in Neutron

* Fri Jun 30 2017 Pooja Tiwari <ptiwari@redhat.com>
- Fixed issue in server/wsgi/certification/certification.py. (Already fixed in feature branch) Ref: https://code.engineering.redhat.com/gerrit/#/c/109923/1/server/wsgi/certification/certification.py

* Thu Jun 29 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1505 Adding comment api and changing some labels Also fixes CERTPX-1543
- CERTPX-1500 Close openstack cert for RHOSP8 and older in rhcert WUI creation

* Thu Jun 29 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1513 Support RHEL7.4 versions in the Product Name Dictionary

* Thu Jun 29 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1245: Layered Certification Creation in rhcert WUI - Show the relationship between parent and layered certs - Allow creating layered cert from for avilable layered product versions

* Mon Jun 26 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-2105 Expose Priority" to partners to allow them to Escalate a certification"

* Fri Jun 23 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1245: Layered Certification Creation in rhcert WUI - Partial implemetation to show available layered Product certifications that can be created for a base hardware Cert

* Fri Jun 23 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1540 Wrong/weird debug information can be seen in certification->Details tab

* Thu Jun 22 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1503 Product -> Product Details Tab: Create Passthrough via existing product details (spec). CERTPX-1504 Product -> Product Details tab: Create Supplemental via new product details (spec)    - create Related" tabs to start intermediate UI"

* Thu Jun 22 2017 Huanhuan Li <huali@redhat.com>
- RHCWE-2129: update the api doc for creating pass-through cert

* Thu Jun 22 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1505 API spec parameter changes

* Thu Jun 22 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1344: Partner should able to add product logo for hardware and cloud product from RHCERT - Adding calls to CWE APIs VendorProduct.uploadProductLogo_4_10 and VendorProduct.getProductLogoUrl_4_10 in workflow and their unit tests

* Wed Jun 21 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1532 Certification Details and Syncronization of Data    - fix status colors, create time
- CERTPX-1532 Certification Details and Syncronization of Data

* Wed Jun 21 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1503 Adding getPublicVendor API Fixing some unit test issues with Cert.createPassThroughSpec
- CERTPX-1505 Changing checkbox to Radio Button

* Wed Jun 21 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1501 Modified attribute names as per response of Cert.getHardware_4_10.

* Tue Jun 20 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1455: The cloud image name of cloud cert should be write-once for partner
- CERTPX 1535: On Cloud cert Product Details page, if all supported regions are unselected, then after save the supported regions update does not work

* Tue Jun 20 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1505 Product->Sample tab: Details of sample hardware sent or to send to RedHat TODO: checkbox param mapping to 1|0 TODO: CWE api doesn't change values Do not merge until CWE fixes the issue

* Tue Jun 20 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1501 For hwcert: product,spec and support URLs should be displayed in Product -> Summary tab.

* Mon Jun 19 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1509: For Cloud Certs: Highlight Missing required information in the left              navigation (Certification and Product tabs), as well as specific sub-tabs.

* Mon Jun 19 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1511 Fixed traceback by Cloud/Configuration Subscription Service test.

* Fri Jun 16 2017 Greg Nichols <gnichols@redhat.com>
- fix build errors re: update dir deleted
- release 4.11

* Fri Jun 16 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1452: (Part One) Remove CI code from redhat-certification code line.

* Fri Jun 16 2017 Shiyi Yuan <shiyuan@redhat.com>
- CERTPX-1344: Api for upload product logo

* Thu Jun 15 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1496 Not able to download attachment in Firefox.
- CERTPX-1518 Templatedoesnotexist traceback when selecting Product from crumb trail
- CERTPX-1477 RHEL Hardware Certs are missing platforms (ppc64, s390x ??)

* Thu Jun 15 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1494: Fixed error in attachment download when no description given - Make description a mandatory field if an attachment is chosen for upload

* Thu Jun 15 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-2094 added update time on all cert details calls

* Wed Jun 14 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1392: Modify rhcert-build-release script to accept Brew build parameters from environment variables that will be defined by Jenkins.

* Wed Jun 14 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1462 Create Cert has empty pull-downs with old firefox
- CERTPX-1516 Cert Creation: add All" option to Make for Vendor Product Selection"

* Tue Jun 13 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1334 Sandbox Creation UI Improvements: Simplified naming and deletion
- CERTPX-1491 Not able to create a New Cloud Product.

* Tue Jun 13 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1474 Open port, non-RH packages and non-RH repos Needs Review prompt should not appear twice while running through CLI.

* Mon Jun 12 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1470 Traceback with create sandbox - Sandbox' object has no attribute 'vendorProductID

* Mon Jun 12 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1412: rhcert WUI: integrate messages with Alert class to handle              non-redirected and redirected messages            - Added alert after creating a new Product for a new Certification

* Mon Jun 12 2017 Shiyi Yuan <shiyuan@redhat.com>
- RHCWE-2060: Cert.getSupportCases_4_7 does not return a meaninful description of the case

* Sun Jun 11 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1409: Support for Certification File Attachments - Upload attachments to a certification from its specification - Removed the page to confirm update for Product Details

* Fri Jun 09 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1472 Add MapRFS to the manila protocol list

* Fri Jun 09 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1409: Support for Certification File attachments - List and download file attachments from a Certification

* Thu Jun 08 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-1656 Provide API for RHCERT to be enable leverage Component Pass-through cert and Tests by partner

* Wed Jun 07 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1412: rhcert WUI: integrate messages with Alert class to handle non-redirected and redirected messages - Added success and error alerts on redirection for Product Details update - Added alert and redirection after creating a new Cert
- CERTPX-1409: Support for Certification File attachments -Minor typo corrections

* Wed Jun 07 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1386 Neutron Cert Creation Survey clean-up - Part 2

* Wed Jun 07 2017 Huanhuan Li <huali@redhat.com>
- RHCWE-2081: add a new api Cert.getHardware_4_10 to unify product_url for hardware, cloud, openstack

* Wed Jun 07 2017 Shiyi Yuan <shiyuan@redhat.com>
- RHCWE-2080: Cloud: Cert.createCert should not require image_name              and Cert.updateCloud should allow full updates.

* Tue Jun 06 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1333 Certifications Page: Activity Feedback    - added update_time field to certifications page and certification details

* Tue Jun 06 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-2083 VendorProduct.list should return category
- RHCWE-2075 Cert.getCertifications should include most-recent update date-time

* Tue Jun 06 2017 Pooja Tiwari <ptiwari@redhat.com>
- Fixed typo

* Mon Jun 05 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1396 New Certification Completion in Tabs    - filled in sample tab fields, toDo marking
- CERTPX-1394 New Certification Dialog Changes     - added program filtering when New Product is created
- CERTPX-1456 Attempts to create new product during certification creation results in use of existing product
- CERTPX-1394 New Certification Dialog Changes     - added  vendor product filtering based on RH cert chosen

* Mon Jun 05 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-664: RHCERT WUI Update Openstack certification - Support for updating Certification-networking-plugin - Remove update confirmation for Cert update - Typo fix

* Mon Jun 05 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1459 Fixed rhcert-util update traceback for OSP-11 result file.

* Fri Jun 02 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1396 New Certification Completion in Tabs    - added Product Sample tab for hardware products (specs)

* Fri Jun 02 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-664: RHCERT WUI Update Openstack certification -Support to update OpenStack certifcation parameters
- CERTPX-664: RHCERT WUI should support Openstack certification update -Improved the template to display the Openstack certification specification

* Thu Jun 01 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1396 New Certification Completion in Tabs    - set todo icons for hardware product details (spec)
- CERTPX-1396 New Certification Completion in Tabs    - implemented css class todo-icon to mark to-do items    - added javascript for display (show/hide) by id and class    - implemented to-do items for cloud cert details page
- CERTPX-1394 New Certification Dialog Changes     - fixed creation dialog titles/descriptions

* Thu Jun 01 2017 Poornima Kshirsagar <pkshiras@redhat.com>
- CERTPX-1107 fix rhcert-cli save --server-ip command

* Thu Jun 01 2017 Pooja Tiwari <ptiwari@redhat.com>
- Minor fix in unit testing of productnameservice.py

* Wed May 31 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1394 New Certification Dialog Changes     - change vendor product selection to cascading selectors

* Wed May 31 2017 Pooja Tiwari <ptiwari@redhat.com>
- rhcert-util update improvements and bug fixes: CERTPX-617  Improve debug statements CERTPX-1190 Installed RPM test status should be updated correctly CERTPX-666  Update the deferred OpenStack test results xml file correctly

* Wed May 31 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1434: While creating cloud product the supported regions              accepted form the vendor are saved

* Tue May 30 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1445 Traceback when proxy is configured.

* Tue May 30 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX 1412: -Modified server.wsgi.alert to act as wrapper over messages framework -Modified page.html to handle redirected and non-redirected messages -Modified the currently present alerts to conform to the new Alerts class

* Sun May 28 2017 Yanis Guenane <yguenane@redhat.com>
- Improve Junit output details in case of failure

* Fri May 26 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1394 New Certification Dialog Changes     - initial implementation

* Fri May 26 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1433 Added fix to parse 'fdisk' cmd output.

* Fri May 26 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1394: replace reference of productnameservice.Program with rhcert.tags.Programs

* Thu May 25 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1394 New Certification Dialog Changes     - add getAllProducts method returning products for all programs     - removed productnameservice.Program, replaced references with rhcert.tags.Programs
- fix version to 4.10
- fix version should be 4.9

* Thu May 25 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1433 Handled 'fdisk -l' command warnings in rhcert.command when command gets executed successfully but with warning (not error).

* Wed May 24 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1396 New Certification Completion in Tabs    - implement rhcert.workflow wrappers and unit tests

* Wed May 24 2017 Yanis Guenane <yguenane@redhat.com>
- director: Transform test in subtest

* Wed May 24 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1433 Added support for GPT partition in 'M' failure of rpm verification for Cloud.
- Updated rhcert version to 4.10

* Wed May 24 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-1839 added some new return fileds for the API Cert.getCertifications
- RHCWE-1993 Cert.getCertifications needs date-limiting for scaling (UI/performance)

* Mon May 22 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-356: - After selecting the 'Debug' checkbox on the Testing page of RHCERT UI, the tests are run in debug mode

* Mon May 22 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1185: Automates system creation and provisioning workflow for VMs that can build redhat-certification packages for Jenkins.

* Mon May 22 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1429 rhcert-cli showing error: Invalid command
- CERTPX-1416 LogVersionOpenstack import issues with move of LogVersionTests

* Fri May 19 2017 Poornima Kshirsagar <pkshiras@redhat.com>
- CERTPX-1079 fixed rhcertcli help message for invalid arguments
- CERTPX-722 Fix rhcert-cli register typeerror

* Thu May 18 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-722 rhcert-cli register throws an error while firewall is started    - also makes firewalld changes persistent/permanent

* Wed May 17 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1325 WUI Certification->Details: 'support cases','knowledge base articles' fields are showing blank

* Wed May 17 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1421 Fixing the prefixes for openstack logging

* Wed May 17 2017 Shiyi Yuan <shiyuan@redhat.com>
- RHCWE-2050: File.upload/File.download only support cert

* Tue May 16 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1418 WUI: Minor Layout Issues
- CERTPX-1198 Test Vendor" is being prepended to sandbox hardware certs"
- CERTPX-1413 Geeting exception 'Test object has no attribute program' during adding SUT
- CERTPX-1414 rhcert-cli command not performing run operation.

* Tue May 16 2017 Ben Rose <brose@redhat.com>
- CERTPX-1242 alert info level instead of error
- CERTPX-1242 - avoiding the cannot marshal None error, indicating to user not logged in

* Mon May 15 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1307 rhcert-cli plan should show resulting test plan
- CERTPX-1405  Manila: DHSS as Feature Selection    - add DHSS True and DHSS False features    - remove old selections for DHSS
- CERTPX-12 Use the Product Name Microservice instead of Certification Index    - final clean up    - fix version policy - simplify and hard-code    - fix program->package mapping for config page

* Mon May 15 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-632 Added LogVersions test in supportable: - Defined common tests.platform.LogVersionsTest. - It logs the installed kernel and RHEL versions.

* Mon May 15 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1400 Improve the logging of tempest tests CERTPX-1402 stdout from manila is not showing any failures

* Fri May 12 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1409 Support for Certification File attachments     - added rhcert.workflow.engine  support for File.upload and File.download XMLRPC     - added rhcert.workflow.certification support for Cert.attachments XMLRPC     - Unit testing for certification attachments (upload, listing, download)

* Fri May 12 2017 Feng Wang <fwang@redhat.com>
- RHCWE-1999: add new API Util.ping and update Cert.getInProgressCertifications

* Fri May 12 2017 Huanhuan Li <huali@redhat.com>
- RHCWE-1893: update api version

* Fri May 12 2017 Yanis Guenane <yguenane@redhat.com>
- print: Allow one to specify output format

* Fri May 12 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-341: Adding separator between node name and IP for sandbox testing

* Thu May 11 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1407 WUI Certification->Details: 'product','product version','category' fields are showing blank
- CERTPX-1320 Error Toast Alerts disappear after a few seconds

* Thu May 11 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1170 cloud/security pass config test internal logic change. - Used authconfig to identify hashing algorithm.

* Wed May 10 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1201 Cloud/Supportable/Software Repo Test: Allow a Partner/Reviewer to understand the criteria of identifying the RH Repos. - Highlighted the matching part of base URL by displaying it in uppercase.

* Tue May 09 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1331: fix typo where" to "were" in Progress page for Certification"
- CERTPX-341 rhcert page needs separator between node name and ip address

* Mon May 08 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1357 WUI: Manila Certification specific questions page tooltips do not work
- rhcert 4.9
- CERTPX-1324 Progress Tab: under result processing column shows Not Run even if logs are submitted
- CERTPX-1397 rhcert-cli submit traceback: WorkflowCLI object has no attribute getCatalogServer

* Mon May 08 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-932 Warning in rhcert for a result from unapproved test suite version. - Modified the logic a bit to display the Warning alert (if required) on submit page when it appears after clicking on 'Submit Results' of progress page.

* Fri May 05 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1360 daemon dying on ppc64 and ppc64le when added as SUT
- CERTPX-1296 OpenStack: rhcert can not match system when selecting host for testing

* Fri May 05 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1303: WUI: Unable to update product description through rhcert WUI.              - Making product description readonly as it cant be updated.

* Fri May 05 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1374 Fix for PASS tests handling

* Thu May 04 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1384 Neutron Cert Creation Survey clean-up - Part 1    - remove attach diagram    - remove LBaaS, VPNaaS, FWaaS, description    - moved hardware question to general openstack page
- CERTPX-1385 Manila Cert Creation Survey clean-up - Part 1    - remove old protocol selector, Min/Max API    - remove old share migration and Snapshots
- CERTPX-434 rhcert needs better diagnostics about what it can't reach the catalog     - implement Util.ping call for checking CWE reachability     - revise /cwe/status to use new call, and remove call requiring login.
- CERTPX-1345 Manila protocol/feature selection not reflected in Product Details page CERTPX-1346 Cinder protocol/feature selection not reflected in Product Details page

* Thu May 04 2017 Anshul Behl <abehl@redhat.com>
- Fix:change dir bug when temp dir is deleted

* Thu May 04 2017 root <root@dhcp200-245.gsslab.pnq.redhat.com>
- CERTPX-1374 Manila, Cinder log validation failures with new feature based design

* Wed May 03 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1329 create hw cert gives traceback with chinese characters in product name    Fix Unsupported Command "" " caused by XML encode/decode errors."

* Wed May 03 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1303: WUI: Unable to update product description through rhcert WUI.              - Disabled Save button until product description is set as                attribute for all types of VendorProducts.
- CERTPX-1272: Vendor cloud and hw product update not working from all links              Fixing a call to certificationWorkflow
- CERTPX-1253: There is no --tag option for rhcert-ci command              Adding --tag option for rhcert-ci run subcommand              This patch is only for locally running tests using --tag

* Wed May 03 2017 Pooja Tiwari <ptiwari@redhat.com>
- fixed following bugs: CERTPX-1230 Response box should not have any data for interactive tests as response. CERTPX-1229 Interactive tests should not continue through cli without any giving response. CERTPX-1330 Cloud Open Ports check does not associate user response with open port.
- Added fix to plan other protocol correctly in cinder/manila.

* Wed May 03 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1365 SOS is still collecting journaldata, which is causing scalability issues for rhcert
- CERTPX-1364 Sahara test runs before tempest-config test, result in failed sahara test
- CERTPX-1363 In /etc/redhat-certification/test_config.json file cinder tests should not be seen

* Tue May 02 2017 Ben Rose <brose@redhat.com>
- CERTPX-1312 - report alerts in login page same as current messages are done for consistency
- CERTPX-1297 do not display cwe toast messages in sandbox

* Tue May 02 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1248 Replace Catalog, CatalogWeb and CatalogText with rhcert.workflow module     - fix rhcert-cli submit
- CERTPX-1329 create hw cert gives traceback with chinese characters in product name
- CERTPX-1358 RHEL 6.9 and 7.3 SUT stuck at verifying test plan

* Tue May 02 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1355 Making director test non-interactive

* Tue May 02 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1126 Added HwCertCommandException in Supportable Installed RPM test.

* Mon May 01 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1258 Cert.getCertifications return xmlrpclib.Binary objects    - handle xmlrpclib.Binary objects as unicode

* Fri Apr 28 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-932 Results from outdated version should be uploadable via WUI.
- fixed typo

* Fri Apr 28 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1272: Vendor cloud and hw product update not working              from all links              - Enabling product details update through the                certification specification's Product Details"                tab for cloud and harware product"

* Fri Apr 28 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1328 Progress Page should display CWE Test Plan Components

* Fri Apr 28 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1062 Feature based manila certification tests

* Thu Apr 27 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1248 Replace Catalog, CatalogWeb and CatalogText with rhcert.workflow module     - restore most of wsgi.page     - correct some other problems
- CERTPX-1248 Replace Catalog, CatalogWeb and CatalogText with rhcert.workflow module     - replace CatalogWeb with Workflow and its subclasses     - remove some dead code re: containers
- CERTPX-1319 Detection of catalog reachability should use XMLRPC, not a simple http request.     - implement isReachable on the new rhcert.workflow.workflow base class
- CERTPX-1315 On RHCERT UI, in progress tab, platform field is showing blank

* Thu Apr 27 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX 1165 and CERTPX-1063 Implemented formation of request body params to pass to cwe api call for creating cinder and manila certs.

* Thu Apr 27 2017 Poornima Kshirsagar <pkshiras@redhat.com>
- CERTPX-1253 Adds --tag option to rhcert-ci command

* Thu Apr 27 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1166 Tests for cinder feature based certs

* Thu Apr 27 2017 Huanhuan Li <huali@redhat.com>
- RHCWE-1973: api design of new protocols for cinder plugin

* Thu Apr 27 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1231 Add LBaaSv2 to Neutron test             Not setting start version at the feature level,             and using the default component level start version

* Wed Apr 26 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1306 rhcert-cli print gives tracback    - added default format option for rhcert-cli    - fixed rhcert-ci print --help
- CERTPX-1298 Rhcert Web UI not able to add Cert with firefox-38.4.0-1.el7     - translated product picker to remove class.     - polyfill lack of String.prototype.includes

* Wed Apr 26 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-972 Updated RPM verify subtest based on type of failure.

* Wed Apr 26 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1231 Add LBaaSv2 to Neutron test

* Wed Apr 26 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1299 director test is giving an error - 'Error: Minimum of 5 deployment files were not foundgit add director.py' on RHOP9

* Tue Apr 25 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1165 WUI for Cinder Feature Based Certification   - change form variables to return protocols supported as array   - change form to return feature (tests) as an array for each protocol
- CERTPX-1165 WUI for Cinder Feature Based Certification    - fix actions of other" protocol to check tests    - add rhosp version-filtering of tests"
- CERTPX-1165 WUI for Cinder Feature Based Certification    - added filestorage/manila to rhosp-features.json
- CERTPX-1165 WUI for Cinder Feature Based Certification    - created rhcert/server/template/include directory for widgets    - moved widget code    - replaced code with includes for widgets
- CERTPX-1165 WUI for Cinder Feature Based Certification    - updated create page with protocol/feature UI changes
- CERTPX-1165 WUI for Cinder Feature Based Certification    - add test->feature mapping popovers    - support for required tests
- CERTPX-1165 WUI for Cinder Feature Based Certification    - javascript control for selections

* Tue Apr 25 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1165 WUI for Cinder Feature Based Certification - Design borrowed from blank.html. - TODO: parameter passing to cwe api call.

* Tue Apr 25 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1262 Making neutron test non-interactive
- CERTPX-980 attach tempest.conf to tempest_config test
- CERTPX-1262 Create tempest_config as a mandatory test for openstack certs

* Mon Apr 24 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1165 WUI for Cinder Feature Based Certification    - initial ideas for protocol/feature widget (blank page)

* Thu Apr 20 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1282 Fixing exception for RHOS9,10

* Wed Apr 19 2017 Ben Rose <brose@redhat.com>
- CERTPX-1277 - display login modal when clicking save and not logged in
- CERTPX-1277 - display login modal when clicking update and not logged in
- CERTPX-1275 - display login modal for 'New Certification' button click when not logged in
- CERTPX-1276 capitalize platform in create hardware page for consistency

* Wed Apr 19 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1288 Unable to push attachments to CWE/CAAS
- CERTPX-1282 Some feature tests are throwing exceptions.

* Wed Apr 19 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-1715 rename the Cert.getVendorList to Cert.getPublicVendors_4_7

* Tue Apr 18 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1281 for single Neutron feature cert creation is failing
- CERTPX-1257 from test_config.json neutron tests should be removed
- CERTPX-1244 mismatch between output of testr list-tests and tempest_test.json

* Tue Apr 18 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1144 Cloud/Supportable S/W Repo test should report status(enabled/disabled) for each repo.

* Tue Apr 18 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-699: rhcert-cli plan --help command shows incorrect information.             Fixed the help message for rhcert-cli plan --help and             rhcert-ci plan --help commands

* Tue Apr 18 2017 Poornima Kshirsagar <pkshiras@redhat.com>
- CERTPX-1199 Fixed rhcert-ci print --help command

* Mon Apr 17 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1267 WUI: Error shown on clicking product update button             Hide Update button for OpenStack product details page
- CERTPX-1266 Clicking the Update button for hardware cert shows error TemplateDoesNotExist at /update/certification/" Fixing template to show Update only for cloud certification"

* Thu Apr 13 2017 Greg Nichols <gnichols@redhat.com>
- rhcert 4.8
- CERTPX-1250 WUI: Empty tooltip text in neutron certification component specific questions page
- CERTPX-1258 Cert.getCertifications return xmlrpclib.Binary objects    - add better unicode handling to DocumentBase objects    - setAttribute(None) should product u"
- CERTPX-1260 Sandbox missing navigation and Local Products are Wrong
- CERTPX-1258 Cert.getCertifications return xmlrpclib.Binary objects    - add better unicode handling to DocumentBase objects

* Thu Apr 13 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1261 Remove four feature for which upstream tempest tests are not available

* Thu Apr 13 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1219 Show Subscription Model to partners on RHCERT UI

* Wed Apr 12 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1136 Rhcert web UI needs to support cloud certification updates             - Fixed the update button visibility

* Wed Apr 12 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1224 Creating Local Certification Sandbox Causes Traceback     - revised top-level sandboxes page     - implemented sandbox-specific views

* Tue Apr 11 2017 Shiyi Yuan <shiyuan@redhat.com>
- RHCWE-1991: XMLRPC support for get attachments for a vendor product or a cert

* Tue Apr 11 2017 Ben Rose <brose@redhat.com>
- CERTPX-940 - apply change to other templates with the accordian dropdown of test subtest results

* Mon Apr 10 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1238 Placeholder in right column of Test Results page visible
- CERTPX-1214 WUI /certifications page scaleability and performance (refresh button).     - added date-range selector     - Added query parameter to /cwe/sync?range=[<int>|all"]"
-     CERTPX-1232

* Mon Apr 10 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1071 Fixing regex for neutron_attribute_extensions
- CERTPX-1071 Removed lbaas as a test from UI as well as a test.

* Mon Apr 10 2017 root <root@dhcp200-229.gsslab.pnq.redhat.com>
- CERTPX-1071 Making neutron feature tests minimal w.r.t to user inputs.

* Mon Apr 10 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1136 Rhcert web UI needs to support cloud certification updates             - Added call cert.updateCloud to update Cloud cert             - Created views and updated templates accordingly

* Mon Apr 10 2017 Ben Rose <brose@redhat.com>
- CERTPX-940 fixed accordion drop down id collision amongst same tests with diff devices

* Sun Apr 09 2017 Ben Rose <brose@redhat.com>
- CERTPX-1113 do not display login requirement toast for sandbox creation
- CERTPX-1135 - add detail values to hardware certification details page and remove submit button

* Fri Apr 07 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1211: Use jQuery context to properly resolve sidebar() function call to patterfly.js

* Fri Apr 07 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1214 WUI /certifications page scaleability and performance (refresh button).     - indexing in VendorProducts to support ID lookups     - fix CertificationDocument.setVendor() to shallow-copy

* Fri Apr 07 2017 Ben Rose <brose@redhat.com>
- CERTPX-1128 - added update template for hardware product
- CERTPX-1128 - display hardware product details

* Fri Apr 07 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1222 Fixed rhcert-cli tagging mechanism and added neutron tag.

* Fri Apr 07 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-1827 added the API Cert.updateCloud_4_7

* Fri Apr 07 2017 Huanhuan Li <huali@redhat.com>
- RHCWE-1966: add a new value for cloud cert detail

* Thu Apr 06 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1204 Cannot Create New Hardware Product
- CERTPX-1191 Decompose rhcert library code for calling XMLRPCs     - re-organized unit tests into a Unit class     - added some TODO comments
- CERTPX-1216 cwe/status gives a traceback
- CERTPX-1212 Unable to create neutron cert from RHCERT UI
- CERTPX-1214 WUI /certifications page scaleability and performance (refresh button).     - implement background cert/product refresh     - /cwe/sync pulls all products and certs for the current user     - sync status is logged in rhcertStore/vendorProducts     - configuration page shows sync status and allows reset
- CERTPX-1214 WUI /certifications page scaleability and performance (refresh button).     - add Alert feature for appending multiple message lines to an single Alert     - clean up error reporting from workflow.certification

* Thu Apr 06 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1071 Feature as tests in RHCERT UI and CLI

* Thu Apr 06 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-999 rhcert web UI support for vendor cloud product updates   - Add call to VendorProduct.get on the page to view the product details   - After successful update redirect to view the updated product details

* Thu Apr 06 2017 Huanhuan Li <huali@redhat.com>
- RHCWE-1893: for pass-through or pass-through with supplemental certs, maybe it also has layered certs

* Wed Apr 05 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1202 Clicking Refresh on Certifications page errors
- CERTPX-1207 AttributeError at /results/ when we click Test Results tab.
- CERTPX-1200 RHEL version is showing different than the entered from RCERT during creating cert     - changed product picker form names to match XMLRPC convention     - revised backwards translation for cloud and hardware cert creation

* Wed Apr 05 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1018 CCSP Configure network port subtest criteria update

* Tue Apr 04 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1168 Revise WUI Navigation to be Certification-centric     - split openstack product details (specs) between two tabs     - fix display of openstack settings from CWE     - fix traceback on openstack cert creation

* Tue Apr 04 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1197: Adds requirements.txt file that details all third-party Python dependencies (compatible with Pip)

* Tue Apr 04 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1070 Fixing the api params to send dictionary for neutron feature changes

* Mon Apr 03 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1191 Decompose rhcert library code for calling XMLRPCs     - added vendorProduct.get_4_7 - not in CWE yet     - added engine.fileUpload and fileDownload     - added Cert.supportCases and Cert.Kbase
- CERTPX-1168 Revise WUI Navigation to be Certification-centric     - implement support cases and kbases on cert details page
- CERTPX-1168 Revise WUI Navigation to be Certification-centric     - remove redundant info on certification details tabs.
- fix typo re: workfow
- CERTPX-1168 Revise WUI Navigation to be Certification-centric     - update main results page per spec

* Mon Apr 03 2017 Huanhuan Li <huali@redhat.com>
- RHCWE-1893: add a api getHardwareRelatedCerts_4_7" to get related certs of one hardware cert"

* Mon Apr 03 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-999 rhcert web UI support for vendor cloud product updates   - Adding call to update cloud vendor product in rhcert catalog   - Updating template and view to handle update functionality   - Restructing the view of the update test results functionality

* Fri Mar 31 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1193: Refactors to more effectively impose package naming convention when the branch name is provided via ${GIT_BRANCH}

* Fri Mar 31 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-1958 XMLRPC calls needed to support hardware and cloud product view

* Thu Mar 30 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1168 Revise WUI Navigation to be Certification-centric     - integrated workflow details API calls (Cert.get*)

* Thu Mar 30 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-997 Fix in Supportable Installed RPM test.

* Thu Mar 30 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1071 Neutron features test adding lbaasv2 as UI and policy

* Thu Mar 30 2017 Huanhuan Li <huali@redhat.com>
- RHCWE-1959: reutrn api implemented or supported features based on rhosp version

* Wed Mar 29 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1168 Revise WUI Navigation to be Certification-centric     - updated main results table per UX design
- CERTPX-1168 Revise WUI Navigation to be Certification-centric     - fix testing and assignment sub-pages
- CERTPX-1191 Decompose rhcert library code for calling XMLRPCs     - added RPCs to workflow/certification.py     - added unit tests     - created workflow/engine.py for non-model calls
- CERTPX-1168 Revise WUI Navigation to be Certification-centric

* Wed Mar 29 2017 jkinsman <jkinsman@redhat.com>
- Typo
- CERTPX-1193: If the branch name is provided by Jenkins via ${GIT_BRANCH}, make sure the string has non-zero length
- Addresses merge conflicts.

* Wed Mar 29 2017 Anshul Behl <abehl@redhat.com>
- Adding feature names for neutron w.r.t api names for cinder sahara
- CERTPX-1071 Adding more policy changes to Neutron feature based on TAM suggestions.

* Wed Mar 29 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-991 Display gpg details for configured Red Hat repo's in Cloud/Supportable Software Repo test.

* Tue Mar 28 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1184 Enable Feature Builds in rhcert    fix respin detection for features.
- CERTPX-1168 Revise WUI Navigation to be Certification-centric    - implement top-level pages: certifications/test results/sandboxes/products
- CERTPX-1191 Decompose rhcert library code for calling XMLRPCs     - fix spec files - added rhcert/workflow
- CERTPX-1191 Decompose rhcert library code for calling XMLRPCs     - moved current cert calls to workflow/certifications.py

* Mon Mar 27 2017 Huanhuan Li <huali@redhat.com>
- RHCWE-1959: update supported features to keep it insistent with create function
- RHCWE-1932: Add a new api createOpenstack_4_7 to support neutron, cinder, manila feature based test, for other component, it's the same behavior as before.

* Mon Mar 27 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1191 Decompose rhcert library code for calling XMLRPCs     - initial example for VendorProduct calls.

* Mon Mar 27 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-1827 Provide APIs by Program for RHCERT to update certs

* Mon Mar 27 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-958 Made server as mandatory param in rhcert-ci save command.
- CERTPX-957 Added missing print usage in rhcert-ci help command.

* Fri Mar 24 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1184 Enable Feature Builds in rhcert

* Thu Mar 23 2017 Greg Nichols <gnichols@redhat.com>
- RHCWE-1659 Create an API to create the layered cert for a given cert
- CERTPX-1174 Unable to create Manila certification for OSP-11    - allow Manila for RHOSP-10 and higher    - fix sort-order for RHOSP

* Thu Mar 23 2017 Ben Rose <brose@redhat.com>
- CERTPX-1175 - add el6.9 GA to valid-kernels.json cache

* Wed Mar 22 2017 Greg Nichols <gnichols@redhat.com>
- rhcert 4.7 belated marking: should be 3-15-2017 on

* Wed Mar 22 2017 Anshul Behl <abehl@redhat.com>
- Fixing log message prefixes
- CERTPX-1071 Made changes to test_config.json.sample relevant to new features

* Wed Mar 22 2017 Huanhuan Li <huali@redhat.com>
-  RHCWE-1959: update some params to keep insistent with create function

* Tue Mar 21 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1136 rhcert web UI needs to support cloud certification updates     - re-organized image name and build attributes     - removed base OS from product certifications list for cloud
- CERTPX-1159 creating local product/sandbox results in error template not found

* Tue Mar 21 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1163 Fix wrong condition rhosp-release

* Tue Mar 21 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1160: Removes Python 2.7+ syntax from __major function

* Tue Mar 21 2017 Shiyi Yuan <shiyuan@redhat.com>
- RHCWE-1904: The xml api doc for get or add kbase and support case

* Tue Mar 21 2017 Huanhuan Li <huali@redhat.com>
- RHCWE-1959: provide apis for rhcert to get certification details

* Mon Mar 20 2017 root <root@dhcp207-192.lab.eng.pnq.redhat.com>
- CERTPX-1071 Feature-Based Neutron Certification Tests TODO : selection is still interactive, will fix after rhcert changes

* Mon Mar 20 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1156 Subtests of supportable tests are not showing on rhcert ui

* Mon Mar 20 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1158 Disable Product and Certification Details pages

* Mon Mar 20 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-650 Cloud/Configuration Subscription Service test updated. - Permitting only RHUI/Satellite subscription, not RedHat CDN.

* Fri Mar 17 2017 root <root@dhcp207-192.lab.eng.pnq.redhat.com>
- CERTPX-1119 There is no content of tempest.conf in configuration section of log when partner via command line
- CERTPX-1101 rhcert-ci support for RHOS11 CERTPX-441 There is no 0 file in tempest/.testrepository

* Thu Mar 16 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1070 WUI for Feature-Based Neutron Certification    - add feature widget to cert details for networking
- CERTPX-1070 WUI for Feature-Based Neutron Certification    - re-organize cert creation templates.
- CERTPX-1070 WUI for Feature-Based Neutron Certification     - more-compact feature selector with pop-over details     - changed order of questions

* Thu Mar 16 2017 jkinsman <jkinsman@redhat.com>
- Accidentally committed irrelevant files.
- Fixes typo.
- CERTPX-1103: rhcert/version.py Make target is no longer circularly-dependent.

* Thu Mar 16 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1153 - Log RHEL version as a supportable openstack test

* Wed Mar 15 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1128 rhcert web UI support for vendor hardware product updates CERTPX-1135 rhcert web UI needs to support hardware certification updates CERTPX-1136 rhcert web UI needs to support cloud certification updates CERTPX-664 rhcert web UI needs to support openstack certification updates
- CERTPX-1147 redirect after results upload is invalid (traceback).   - fixed the case where the results have no cert info, and must send the user to view the XML/CSS for the file.
- RHCWE-1959 XMLRPC call Cert.get_4_6 Needed for cert details

* Wed Mar 15 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1070 WUI for Feature-Based Neutron Certification Adds: based on version shows selector widget -design borrowed from blank template for selector widget

* Tue Mar 14 2017 root <root@dhcp200-235.gsslab.pnq.redhat.com>
- CERTPX-1084 RHOSP11 tempest changes Also Fixes: CERTPX-1096 Bundle the RHOS11 tests in tempest_tests.json file CERTPX-1097 for RHOS11 use discover-tempest-config binary instead of config_tempest.sh script CERTPX-1098 Add the new version detection mechanism available for RHOS10 and 11 CERTPX-1099 Detect any extra regexes required for cinder,neutron.manila and sahara cert suites CERTPX-1095 Move away from run_tempest.sh to tempest run command in RHOS11

* Tue Mar 14 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-484 Director test runs on undercloud while api tests run on overcloud

* Mon Mar 13 2017 Ben Rose <brose@redhat.com>
- CERTPX-152 update login page message and forgot user/pass link

* Fri Mar 10 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1133 RHOSP 11 must be added to the Product Name Service
- CERTPX-1129 On RHCERT UI, under certification column, no certificates can be seen     - fixed exception raised when base version ID is missing from CWE data.

* Fri Mar 10 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-1098 Add the new version detection mechanism available for RHOS10 and 11 - Adds supportable test to check     *rhosp-release file     *openstack-nova rpm

* Thu Mar 09 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1123: rhcert/version.py release variable no longer contains .el[6|7] suffix.

* Wed Mar 08 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-657 design: rhcert web UI needs to support certification updates     - added a separate product details page     - added left-navigation to product certifications and details     - product plain URL redirects to product certifications     - reorganized template and wsgi files
- CERTPX-657 design: rhcert web UI needs to support certification updates     - added separate cert details page     - moved generic cert details from progress page to new details page.     - reorganized certification wsgi and template directories
- CERTPX-1114 Convert systems mismatch warning to toast alert
- CERTPX-1073 Feature Selector Widget    - clarified json feature definition with labels

* Wed Mar 08 2017 jkinsman <jkinsman@redhat.com>
- Fixes circular import during build process.

* Wed Mar 08 2017 Ben Rose <brose@redhat.com>
- Get around cookie testcleanup for modal

* Wed Mar 08 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-672 Added confirm option for updating test results and improved the validation messages.

* Tue Mar 07 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1073 Feature Selector Widget    - defined component feature selection data service    - temporary demo code on /blank showing use.    - accordion widget for display

* Tue Mar 07 2017 Ben Rose <brose@redhat.com>
- CERTPX-981 return for unfound substring is -1, not falsy

* Tue Mar 07 2017 Pooja Tiwari <ptiwari@redhat.com>
- Fixed CERTPX-557 - Cloud/Configuration Subscription Service test should look for rhui repos if subscribed with RHUI.
- CERTPX-531 Updated gpg check criteria in cloud/supportable s/w repo test. - Fail if gpg check is disabled (Warn in case of non-rh repos) - Fail if gpg key is missing (Warn for in case of non-rh repos) - Fail if invalid gpg key (Warn in case of non-rh repos)

* Tue Mar 07 2017 jkinsman <jkinsman@redhat.com>
- Add build changes to -devel RPM spec as well.
- Fix Brew build issue by adding RHCERT_RELEASE environment variable value to Make via command line invocation from RPM specs (instead of exporting value in current shell via the Makefile)

* Mon Mar 06 2017 jkinsman <jkinsman@redhat.com>
- Reverts rhcert/version.py to .PHONY target.
- Adds additional clarification to Makefile
- Temporary fix for circular dependency.
- Temporary fix to remove circular build dependency.
- Temporary hack to allow the build user to install dependencies without being prompted for a root password. This will later be managed by Puppet.
- Jenkins Build numbers are now properly displayed in RPM package names.
- Adds back build-rhcert-release.py (accidental removal)
- Checkpoint:  Builds RHEL 7 redhat-certification packages for rhcert-ui, cloud, and openstack.
- Adds ug+x permission to build-rhcert.sh script.
- test commit
- Adds job description and dummy shell script to run in response to code changes.

* Fri Mar 03 2017 Greg Nichols <gnichols@redhat.com>
- rhcert 4.6
-  CERTPX-1091 The rhcert rpm should use the source copy of Product Name json data
- CERTPX-1089 rhcert passes list parameters as strings in certification creation calls.     - change form processing to correctly code list/array values

* Fri Mar 03 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-672 Added update utility option in rhcert UI on the Testing" page. Implementing review comments."

* Thu Mar 02 2017 Greg Nichols <gnichols@redhat.com>
- fixed for 4.5

* Thu Mar 02 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-1023 Made adjustments in PNS response locally for displaying correct data in rhcert configuration page.

* Wed Mar 01 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-961 on manila create page. The value for CephFS show as NFS"     - also removing "tested" radio buttons per PM."
- CERTPX-1074 Traceback when I create cert in local sandbox (no baseVersions).
- CERTPX-1068 RHOSP Cert base RHEL not correctly downloaded from CWE

* Wed Mar 01 2017 Ben Rose <brose@redhat.com>
- CERTPX-981 change to redirect button on page load if not logged in

* Tue Feb 28 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1025 Can't Create Sandbox

* Tue Feb 28 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-977 Using load method instead of loadFiltered as xsl files are not bundled with rhcert-backend

* Mon Feb 27 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1029 Unable to create RHOSP cert via the Web UI: 'The product id '2960863' is invalid or does not exist'    - changed the RHOSP dialog to use the Product Name Service    - added base RHEL selector    - added protocol selection for cinder

* Mon Feb 27 2017 Ben Rose <brose@redhat.com>
- CERTPX-1053 - hide cwe status toast by default

* Sat Feb 25 2017 Ben Rose <brose@redhat.com>
- CERTPX-1046 Update login modal to closer match style in pdf
- CERTPX-1047 - update unreachable cwe modal to be prettier
- CERTPX-1045 - update toast in login too
- CERTPX-1045 - change cwe status toast messages to match style of other error toasts

* Fri Feb 24 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1048 certification creation from product alert results in traceback

* Thu Feb 23 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1026 select host showing mismatch between OS and cert versions     - fixed Base OS" in cert view page     - fixed cookie trail"
- CERTPX-665 rhcert web UI support for vendor product creation     - alert/errors references
- CERTPX-665 rhcert web UI support for vendor product creation    - added Alert class for WebUI alerts    - improved alert on product view to provide link to create a cert
- CERTPX-665 rhcert web UI support for vendor product creation    - clean up error messages as toast notifications
- CERTPX-665 rhcert web UI support for vendor product creation     - fixed cert and product creation to return correctly when product or cert is created.

* Thu Feb 23 2017 Ben Rose <brose@redhat.com>
- CERTPX-1032 change frequency of cwe status check

* Thu Feb 23 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-473 Fixes in Dockerfile: - Used 'rhel7:7.3-released' base image. - Enabled yum operations.

* Wed Feb 22 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-1024 Can't create Product - no vendor     - added vendor selection to the Choose Program step     - vendor IDs are shown if multiple vendors have the same name
- CERTPX-665 rhcert web UI support for vendor product creation     - fixed RH product selector showing blank version     - added New Product button to products page     - moved buttons to table headings     - changed program titles to use full names in create dialogs
- CERTPX-930 call service to create product name service cache in every build     - move cache update from install to rpm-prep.

* Wed Feb 22 2017 Feng Wang <fwang@redhat.com>
- RHCWE-1827: update xmlrpc API doc adding new api Cert.updateCert

* Tue Feb 21 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-665 rhcert web UI support for vendor product creation/updates    - fix products.py inadvertant import
- CERTPX-665 rhcert web UI support for vendor product creation/updates    - split CertificationDocument into its owm rhcert.certificationdocument    - adjusted code for XMLRPC revisions    - replaced most RH product metadata access to use ProductNameService    - reverted default url to products page

* Tue Feb 21 2017 Ben Rose <brose@redhat.com>
- CERTPX-930 call service to create product name service cache in every build

* Mon Feb 20 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-665 rhcert web UI support for vendor product creation/updates     - removed old cert creation UI     - changed cert creation button on vendor product page to new UI

* Mon Feb 20 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-1839 CWE provide an API to return all certifications

* Mon Feb 20 2017 Pooja Tiwari <ptiwari@redhat.com>
- Fixed error message.
- Removed ValidateRPMs class from services/rpmfreshness.

* Fri Feb 17 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-665 rhcert web UI support for vendor product creation/updates     - adjusted for changed CWE API calls     - added confirmation page after certification created
- CERTPX-665 rhcert web UI support for vendor product creation/updates     - updated CWE calls to new API

* Thu Feb 16 2017 Ben Rose <brose@redhat.com>
- CERTPX-1000 Do not hide navigation bar

* Thu Feb 16 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-12 Use the Product Name Microservice instead of Certification Index     - fix make

* Wed Feb 15 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-12 Use the Product Name Microservice instead of Certification Index     - added getProduct method to provide data for a single product     - separated microservices classes into a new rhcert.services module
- CERTPX-12 Use the Product Name Microservice instead of Certification Index     - changed the ProductNameService to supply data in json form filtered by program.

* Tue Feb 14 2017 Ben Rose <brose@redhat.com>
- CERTPX-995 - update cwe/status to include errors when unreachable, updated modal message in web ui
- CERTPX-981 - Change buttons/links reliant on cwe login to pull up login modal when logged out.

* Tue Feb 14 2017 Kun Yan <kyan@redhat.com>
- RHCWE-1869 Add VendorProduct.list/create/update api spec

* Mon Feb 13 2017 Huanhuan Li <huali@redhat.com>
- Add Cert.checkNVRSupported API specification in swagger yaml file

* Mon Feb 13 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-656 design: rhcert web UI support for vendor product creation/updates    - temporarily make cert/product downloads manual via Refresh" button."
- CERTPX-656 design: rhcert web UI support for vendor product creation/updates    - move New Product button to header when creating product    - fix new hardware product creation form
- CERTPX-975 create rhcert endpoint cwe/status that uses simple CWE xmlrpc call

* Mon Feb 13 2017 Ben Rose <brose@redhat.com>
- CERTPX-982 - unburden cpu and fix memory leak
- CERTPX-714 - create login modal, set link in relavent toast

* Mon Feb 13 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-12 Use the Product Name Microservice instead of Certification Index. CERTPX-628 Added support to create new cert with minor version for h/w cert.
- CERTPX-547 Added rhcert-cli (no args) command for guided workflow. - Supports two new commands:   $ rhcert-cli   $ rhcert-cli --test <testname>

* Sat Feb 11 2017 Ben Rose <brose@redhat.com>
- CERTPX-715 - add the details modal to login page for unreachable cwe
- CERTPX-719 - respect dismissal of toast on login page
- CERTPX-716 - Create more details modal on base template

* Fri Feb 10 2017 Ben Rose <brose@redhat.com>
- CERTPX-719 - on login screen, disable button, show toast for unreachable cwe
- CERTPX-718 - add toast for dropped/unreachable
- CERTPX-718 - add toast for dropped/reachable
- CERTPX-721 - Add to Ajax, call to rhcert endpoint cwe/status and set hidden field

* Thu Feb 09 2017 Ben Rose <brose@redhat.com>
- CERTPX-975 - create rhcert endpoint for cwe connection status

* Thu Feb 09 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-665 rhcert web UI support for vendor product creation/updates     - move from RCUE to Patternfly     - default / url shows certifications" page (/certifications)     - for logged in user

* Wed Feb 08 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-929 Fixed 'rhcert-ci save --cert_id giving no such option error'

* Wed Feb 08 2017 Kun Yan <kyan@redhat.com>
- RHCWE-1843 XMLRPC support for vendor product attachments

* Mon Feb 06 2017 Greg Nichols <gnichols@redhat.com>
- version 4.5
- CERTPX-698 kdump test doesn't restart daemon or listener upon reboot

* Mon Feb 06 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-667 remove the traceback when getting dependency for xsl files from test Harness
- CERTPX-670 results file list view is needed to support review

* Fri Feb 03 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-656 design: rhcert web UI support for vendor product creation/updates    - protoype create product and/or cert from certifications page

* Thu Feb 02 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-943 rhcert-ci plan giving traceback    - rhcert-ci --remote now requires program and id (local sandbox id).
- CERTPX-942 rhcert-cli submit missing in help

* Wed Feb 01 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-702 rhcert-ci command no longer needs CI Sanboxes.
- CERTPX-928 CI Sandboxes should be removed from the rhcert WUI    - CI Sandboxes removed    - Local Certifications are now called Sandboxes""

* Tue Jan 31 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-934 /etc/httpd/conf.d/rhcert.conf is installed with 755 permissions
- CERTPX-723 Rhcert UI generated traceback while Dialog" tab under "Certifications" tab is clicked"
- CERTPX-933 rhcert UI shows (Local)" near ID on view of certification and sandboxes"
- CERTPX-656 design: rhcert web UI support for vendor product creation/updates

* Fri Jan 27 2017 Greg Nichols <gnichols@redhat.com>
- fix build

* Thu Jan 26 2017 Ben Rose <brose@redhat.com>
- CERTPX-705 - update valid-kernels.json
- CERTPX-294 - Enable real kernel version checks for Realtime

* Wed Jan 25 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-646 Update SUT view to Add Live Output Page per UXD session -Show debug logs on Testing and Dialog page despite the debug enabled checked -#TODO Make the results scrollable -#TODO Harness Dialog log

* Wed Jan 25 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-694 Removed Go To Workflow" links from Certification and Sandbox pages."
- CERTPX-638  Removed dependency of bug ID from following rhcert XMLRPC API call:  1. Cert.getValidationReports  2. Cert.getKey

* Wed Jan 25 2017 Jianjun Wang <jianjwan@redhat.com>
- RHCWE-1835 update createCert api for test plan changes and protocol changes both for cinder and manila

* Wed Jan 25 2017 Kun Yan <kyan@redhat.com>
- Add File.upload File.download API specification in swagger yaml file

* Tue Jan 24 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-534 RHCERT should return better error message

* Tue Jan 24 2017 Shiyi Yuan <shiyuan@redhat.com>
- Add a new api getSupportProtocolsForOsp and change a desc for createLayerCert

* Mon Jan 23 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-564 Ambiguous Certifications response error

* Mon Jan 23 2017 Pooja Tiwari <ptiwari@redhat.com>
- RHCWE-1797 Modified xmlrpc-api.yaml.  - Reflected changes into develop which were merged to master branch directly.

* Fri Jan 20 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-683 Rhcert UI generated traceback while CI Sandboxes" tab is clicked     - Changed "local certifications" to "sandboxes"     - fixed traceback     - changed "ecosystem" to "program"     - removed "workflow" from tables"

* Fri Jan 20 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-677 rhcert-ci for director test

* Thu Jan 19 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-685 There is no rhcert-cli submit" command"

* Thu Jan 19 2017 Feng Wang <fwang@redhat.com>
- RHCWE-1797: Remove the dependency of bug ids from the CWE API

* Wed Jan 18 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-365 Add Certifications" Top-Level Page     - implemented download of all products/certs     - currently invoked via button at bottom of table."
- CERTPX-365 Add Certifications" Top-Level Page    - added "Results Files" page at top url "/results/""
- CERTPX-676 rhcert-util command traceback

* Tue Jan 17 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-602 rhcertd register command - enhanced client registration     - limit sensing of broadcast to 10 cycles     - if sensing fails, ask user for server

* Mon Jan 16 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-547 Add rhcert-cli command     - add rhcert-cli     - move commands from rhcert-backend not in rhcert-cli to rhcert-util     - move server commands to rhcertd

* Fri Jan 13 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-365 Add Certifications" Top-Level Page     - initial prototype - just shows previously downloaded/created certs from the product pages."
- CERTPX-602 rhcertd register command - enhanced client registration    - set rhcert.conf and project/wsgi.py to start Beacon on httpd start    - use environment listener port from /etc/results.xml    - check and ask to open listner port (tcp and udp)

* Fri Jan 13 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-651 Fixed kernel test - It should take the name for Real Time Kernel correctly.

* Wed Jan 11 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-658 rhcert-cli --help throws traceback

* Wed Jan 11 2017 Jianjun <jianjwan@redhat.com>
- RHCWE-1772 Provide new APIs for RHCERT to create passthrough spec and cert

* Tue Jan 10 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-602 rhcertd register command - enhanced client registration
- CERTPX-638 Update RHCERT to call updated APIs of CWE which remove the dependency of bug ids

* Fri Jan 06 2017 Greg Nichols <gnichols@redhat.com>
- XMLRPC spec
- CERTPX-563 Remove Bugzilla URL setting from config. screen
- CERTPX-621 Supportable/Kernel Test returned None for tainted kernel. -Removing exttra whitespaces from file Change-Id: Iecedc6159f8eabb6ffbece4906c591fb2f3210b9

* Fri Jan 06 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-637  Improved presentation of updated result for RPM Freshness using  rhcert-backend update"."
- CERTPX-622 Cloud/Security Password test should PASS for SHA512/sha512.

* Thu Jan 05 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-621 Supportable/Kernel Test returned None for tainted kernel.
- CERTPX-627 rhcert does not update the results for deferred test correctly.    - adjust microservices update logic for list of subtests

* Thu Jan 05 2017 Anshul Behl <abehl@redhat.com>
- CERTPX-622 Password configuration test give wrong password message

* Wed Jan 04 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-625 boot parameter check is missing in 4.2 version test suite
- CERTPX-627 rhcert does not update the results for deferred test correctly.    - fix to update all tests/subtests in all test runs
- version 4.4

* Wed Jan 04 2017 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-598 Fixed missing import statement for Kernel Test.

* Tue Jan 03 2017 Greg Nichols <gnichols@redhat.com>
- CERTPX-631 remove redhat-certification-openstack subpackage from redhat-certification-backend.el6

* Wed Dec 21 2016 Greg Nichols <gnichols@redhat.com>
- correct inandertant change

* Mon Dec 19 2016 Anshul Behl <abehl@redhat.com>
- Revert CERTPX-530 Pass test regex instead of test names to tempest in RCO""

* Mon Dec 19 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-609 Modified kernel test to use valid-kernels microservice.

* Fri Dec 16 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-576 Tempest existing log removal is not working correctly
- CERTPX-530 Pass test regex instead of test names to tempest in RCO
- CERTPX-528 SHARE_EXPORT_LOCATIONS plugin is displays many times.

* Fri Dec 16 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-554 - Removed the logging of the parameter-set for   microservice in the case of a failed call. - Modified the display messages accordingly for   installed RPM and rpm freshness tests.
- CERTPX-587 cloud/configuration Network test should not fail if httpd is not running.

* Thu Dec 15 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-597 Removing the scap dependency from RCO
- CERTPX-552 Add support for rhcert-cli in openstack(tempest)
- CERTPX-525 Remove version check for manila planning

* Tue Dec 13 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-473 Build docker images from released base images
- CERTPX-547 Add rhcert-cli command
- CERTPX-593 rhcert-backend extract traceback

* Tue Dec 13 2016 Amol Kahat <akahat@redhat.com>
- Fixed neutron json file format.

* Tue Dec 13 2016 Anshul Behl <abehl@redhat.com>
- Revert Fixed neutron json file format.""

* Mon Dec 12 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-545 Operations Plan for Microservices    - set default config for production microservices proxy

* Mon Dec 12 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-415 CCSP Software Repo test should fail if no RH repo configured.

* Fri Dec 09 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-583 Build openstack and cloud test suites as redhat-certification subpackages

* Thu Dec 08 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-573 rhcert XML schema is missing some recent changes

* Wed Dec 07 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-562 Version 4.3

* Wed Dec 07 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-525 Remove manila planning by version

* Wed Dec 07 2016 Pooja Tiwari <ptiwari@redhat.com>
- Fixes in Cloud Supportable Software Repo Test  - CERTPX-415 Empty repolist should fail the test.  - CERTPX-435 Removed separate 'Environment GPGKey' test.  - CERTPX-531 Fail the test if gpgcheck=0.  - CERTPX-556 Print the Red Hat repos(PASS scenario).
- CERTPX-555 Revised list of Red Hat supported hypervisors.

* Tue Dec 06 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-552 rhcert-ci support in openstack for interactive tests (tempest)     - restored test_config.json.sample     - added code to use it for defaults if interactive     - added code to require it for auto mode runs (rhcert-ci)

* Tue Dec 06 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-481 Added support for 'hyperv' hypervisor.

* Wed Nov 30 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-524 Neutron JSON file is not generated properly.

* Tue Nov 29 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-491 Manila-specific Parameter Problems     - changed rhcert to handle nested dictionaries in cert data from catalog

* Mon Nov 28 2016 Greg Nichols <gnichols@redhat.com>
- fix build process

* Mon Nov 28 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-523 - Manila run has some other tests in it

* Fri Nov 25 2016 Anshul Behl <abehl@redhat.com>
- Collect director test_logs
- CERTPX-509 APIs are not listinig for manila on RHOSP10

* Fri Nov 25 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-519 Fixed attribute error in director test.

* Wed Nov 23 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-499 Tests can't be seen on RHCERTUI - Namespace issue with existing openstack folder - Changes name from openstack to openstack_cert Change-Id: I51817ff3d32f84cbcb57fe50d99e03776b140ed5
- CERTPX-496 Add tempest.conf.sample to source
- CERTPX-490 validation_report.json fixes

* Wed Nov 23 2016 Pooja Tiwari <ptiwari@redhat.com>
- Added missing changelogs.

* Tue Nov 22 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-493 Unsupported API tests should fail with Error message.
- CERTPX-457 Added sos package as required rpm for supportable/system-report test.

* Tue Nov 22 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-496 Fix RHOS8 tempest generation      - Neutron Code Refactoring
- CERTPX-489 Move redhat-certification-openstack sources to rhcert repo     - remove redundant log entries from redhat-certification-spec.in
- CERTPX-492 openstack/manila: automatic api selection should observe maximum microversion
- CERTPX-489 Move redhat-certification-openstack sources to rhcert repo
- CERTPX-478 Director dependency resolved

* Tue Nov 22 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-490 Add validation_report.json for review purposes
- CERTPX-496 Fix RHOS8 tempest generation
- Neutron Code Refactoring

* Mon Nov 21 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-414 Clear any existing logs in .testrepository directory

* Wed Nov 16 2016 Ben Rose <brose@redhat.com>
- CERTPX-479 No longer install redhat-certification-information

* Tue Nov 15 2016 Greg Nichols <gnichols@redhat.com>
- Moved Supportable/InstalledRPMs test to rhcert/tests/InstalledRPMs.py.

* Mon Nov 14 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-439 Define common 'openstack/supportable' test for all components
- CERTPX-399 Should not be able to create a Manila cert for RHOSP8/9

* Thu Nov 10 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-436 OpenStack: Manila Certification Creation Dialog

* Wed Nov 09 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-425 kernel verification test needs update for 7.3 GA

* Thu Nov 03 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-423 Test Plan Components appear twice in dropdown on assignment and testing pages
- redhat-certification 4.2

* Mon Oct 31 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-418 Submitted Results show as Not Submitted" on Progress page"

* Thu Oct 27 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-371 SubTest XSLT/CSS display Should only show sub-test.
- CERTPX-372 Error:, Needs Review:, and Warning: log lines should be colorized/highlighted CERTPX-374 Test/Subtest widget replace Result:" with "Combined:""

* Wed Oct 26 2016 Greg Nichols <gnichols@redhat.com>
- update image repo package versions
- fix changelog generation
- CERTPX-410 Exception on rhcert UI when trying to restart the subtest
- Fix changelog generation

* Wed Oct 26 2016 Pooja Tiwari <ptiwari@redhat.com>
- Added missing changelogs in redhat-certification-cloud.spec.in.

* Tue Oct 25 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-343 rhcert needs to provide re-evaluation of microservices calls for review     - implemented --results option to pass results file path
- CERTPX-343 rhcert needs to provide re-evaluation of microservices calls for review     - implemented cloud/supportable/InstalledRPMS aka ValidRPMs service
- CERTPX-408 redhat-certification-cloud 4 is missing the package changelog

* Tue Oct 25 2016 Pooja Tiwari <ptiwari@redhat.com>
- Fixed CERTPX-405 - Numeric indices required in the format specs to support   older python versions.
- Fixed CERTPX-401 and CERTPX-402 - Removed hardcoded service url from rhcert.microservice. - Covered the scenario where service url is not present in   /etc/rhcert.xml. - fixed typo.

* Fri Oct 21 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-393 redhat-certification: rhcert-default.xml exposes internal system name
- CERTPX-294 Enable RHEL for Realtime 7.3 Hardware Certifications

* Thu Oct 20 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-374 Test/Subtest widget replace Result:" with "Combined:""
- CERTPX-385 Not able to create file storage certificate for manila test from RHCERT UI

* Thu Oct 20 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-388 RCC 4.1 should %Require rhcert-backend-4.1. - Modified cloud spec file.
- CERTPX-370 Removed false-positives from output. CERTPX-373 Added corrective action in installed rpm test. Minor output changes in hypervisor test.
- CERTPX-392 Fixed bug: Unable to submit redhat-cert h/w results. - Added required log data for h/w cert in rhcert/platform. - Added kernel debug info.

* Wed Oct 19 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-367 Progress Page needs revisions for WARN and REVIEW test results

* Tue Oct 18 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-244 Security/rpm-freshness test shows installed vs updated version-release for each un-fresh package.

* Mon Oct 17 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-375 supportable/hypervisor test should show dmidecode
- CERTPX-233 kernel version check of info test failing on aarch64 with RHEL 7.3     - changed ValidKernels microservice to use a single json file cache     - added 7.3 beta/candidate kernel info     - added RHELSA amd RHELMRG info.

* Mon Oct 17 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-217 Fixed bug: Network test returning None. - Added httpd service and port 443. - optimized code.

* Fri Oct 14 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-339 OpenStack 9.0 certifications downloaded from CWE are shown as 10.0

* Fri Oct 14 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-353 Fixed bug in installed rpm test for rhel 6.x. Added minor fixes in environment gpg key check.

* Thu Oct 13 2016 Pooja Tiwari <ptiwari@redhat.com>
- Enhanced output for Kernel validation for all certification programs. CERTPX-313 Segregated kernel_rpm, kernel_version and kernel_tainted sub-tests. CERTPX-314 Segregated kernel_module_techpreview and kernel_modules_origin sub-tests.

* Wed Oct 12 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-343 rhcert needs to provide re-evaluation of microservices calls for review     - add rhcert-backend update command to re-try deferred microservice calls.     - microservices module defines update mechanism     - microservice subclasses must define update" method to support it     - implemented RPMFreshness.update"

* Wed Oct 12 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-345 Fixed Bug. - Kernel version test throwing exception while retrieving data from cache.

* Tue Oct 11 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-343 rhcert needs to provide re-evaluation of microservices calls for review    - implement saving microservice object state for deferred call in results.xml
- CERTPX-297 replace redhat-certification-information and kernelInfo.xml with the Kernel Version Service      - added handler for missing cache file(s).

* Sat Oct 08 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-308 Architecture Test: support only x86 or x86_64 architecture for RHEL7 or 6. CERTPX-335/CERTPX-331 Rename hypervisor test. CERTPX-335/CERTPX-332 Rename Default logging test. CERTPX-335/CERTPX-334 Remove ping test from Network Configuration Test.

* Thu Oct 06 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-312 rhcert-backend plan --add --test <path> does not check required rpms for the new test
- CERTPX-315 redhat-certification WUI should show description for each test.
- CERTPX-299 Not able to create RHEl 7.3 Certification on rhcert
- CERTPX-297 replace redhat-certification-information and kernelInfo.xml with the Kernel Version Service      - changed microservices module to separate call() and getCache() methods      - updated cloud callers to new class-based interface      - changed rhcert platform test to handle fail-over from call->getCache

* Thu Oct 06 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-302 Made software repository test interactive.
- CERTPX-300 Password Configuration Test should give proper message about the used password hash.

* Wed Oct 05 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-297 replace redhat-certification-information and kernelInfo.xml with the Kernel Version Service      - package services cache files in the package.

* Wed Oct 05 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-301 Remove test 'Log Versions' from cloud suite.

* Tue Oct 04 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-210 rhcert should log in user immediately if CWE is accessable.     - fix cancel button to return to previous page

* Tue Oct 04 2016 Pooja Tiwari <ptiwari@redhat.com>
- Added '%{version}' in redhat-certification-cloud.spec.in.
- CERTPX-310 Impactful description, success and failure data for unsupported hardware test.
- CERTPX-91 Installed RPM Test

* Mon Oct 03 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-321 Interactive tests giving Page Not Found (404) error

* Fri Sep 30 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-318 The redhat-certification-package should include cached output from Microservices     - a Microservice class is added as a base class for microservice wrapper classes.     - it implements methods for calling the microservice, and fail-over to cache     - RpmFreshness, ProductNameService, and KernelVersion subclasses wrap respective microservices.     - The Microservices class is revised to support the prior methods and implements methods for caching results to the file system.
- CERTPX-317 redhat-certification 4.1

* Thu Sep 29 2016 Anshul Behl <abehl@redhat.com>
- rhcert is not handling promptConfirm No" answer properly"

* Wed Sep 28 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-90 Cloud Supportable: environment_gpgkeys Test

* Tue Sep 27 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-204 The base os is not match the minor_version on rhcert site.
- CERTPX-270 rhcert-backend plan --add --test <path> should try and match by name
- CERTPX-252 Enhance rhcert micro-service module
- CERTPX-231 Container certification option still seen while submitting the result through CLI.

* Tue Sep 27 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-249 Cloud Interactive Tests need to support --mode auto for rhcert-ci.

* Fri Sep 23 2016 Greg Nichols <gnichols@redhat.com>

* Thu Sep 22 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-114 attributeError on invalid results URL

* Wed Sep 21 2016 Ben Rose <brose@redhat.com>
- CERTPX-261 - fix test run selection with less code

* Tue Sep 20 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-210 rhcert should log in user immediately if CWE is accessable.

* Tue Sep 20 2016 Ben Rose <brose@redhat.com>
- CERTPX-257 - Change reboot detection errors to warnings for any tests using them

* Tue Sep 20 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-242 Hypervisor test should use 'virt-what' command instead of 'lscpu'.

* Mon Sep 19 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-213 Local Products/Certifications should be separated
- CERTPX-228 Remove optional" test checkboxes from certification creation dialog"

* Mon Sep 19 2016 Pooja Tiwari <ptiwari@redhat.com>
- Improve rpm freshness test

* Fri Sep 16 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-255 Move %Requires python-requests to redhat-certification-backend

* Thu Sep 15 2016 Ben Rose <brose@redhat.com>
- CERTPX-226 corrected parsing code for pulling arguments from options string for test selected in run.py

* Wed Sep 14 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-64 Generate System Report test should FAIL for large sosreports
- CERTPX-189 Kernel RPM Version Test     - rewritten microservice check to observe criteria

* Wed Sep 14 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-243 Show only required data in output

* Tue Sep 13 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-189 Kernel RPM Version Test
- CERTPX-203 Package Version-Release alignment: 4.0

* Fri Sep 09 2016 Greg Nichols <gnichols@redhat.com>
- Set redhat-certification-cloud to 3.5.1

* Fri Sep 09 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-230 security selinux shows PASS" after setenforce 0"

* Thu Sep 08 2016 Greg Nichols <gnichols@redhat.com>
-     CERTPX-225

* Thu Sep 08 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-165 URI fix in rpm freshness

* Wed Sep 07 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-216 Interactive test should redirect to testing status page after answering prompt
- CERTPX-220 redhat-certification-cloud should require python-requests
-  CERTPX-7 Cloud Supportable Test - designate test as interactive  CERTPX-32 Cloud Configuration Test - designate test as interactive

* Wed Sep 07 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-165 Cloud Security: RPM Freshness

* Tue Sep 06 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-209 Certification Parameters are not accessable during test planning

* Fri Sep 02 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-91 Cloud Supportable: software_rpms Test

* Thu Sep 01 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-167 fix in Subscription Service test

* Wed Aug 31 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-104 Cloud Configuration: Add Network Access tests      - add open ports subtest section
- CERTPX-178: add certification details in debug mode
- CERTPX-167 Cloud Configuration: subscription services      - fix subtest names per PM      - Use Error:" to denote error strings      - changed Subscription Services from WARN to FAIL.      - revised logic re: RHUI - must find both packages and repos."
- CERTPX-195 Unable to see the product details,certificates with the product from RHCERT UI

* Wed Aug 31 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-167 Cloud Configuration: subscription services

* Tue Aug 30 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-189 Kernel RPM Version Test    - Generalizes rhcert.tests.KernelTest For different critera (candidate, release, update)    - Adds rhcert.tags.TestResult class to manage PASS/WARN/REVIEW/FAIL values CERTPX-166 Cloud Supportable: kernel_version    - Sets KernelTest to allow release  and update kernels, and warn on candidates.

* Mon Aug 29 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-104 Cloud Configuration: Add Network Access tests      - fixed results accumulation logic
- CERTPX-187 can't add system to redhat-certification LTS
- pin redhat-certification-cloud at 4.0 for the container repo
-  CERTPX-7 Cloud Supportable Test

* Mon Aug 29 2016 Chandan Kumar <chkumar@redhat.com>
- Added service control tests
- Added network access tests

* Fri Aug 26 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-178 openstack - capture cert creation details in certification stored by rhcert

* Thu Aug 25 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-164 Cloud configurtion: file system - round to MB

* Wed Aug 24 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-168 Support WARN test result

* Tue Aug 23 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-163 Move cloud sources into the rhcert git repo
- CERTPX-102 redhat-certification-devel: Development Tools for CERTPX
- CERTPX-162 redhat-certification 2.9

* Fri Aug 19 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-135 Enable 7.3 cloud certifications in Redhat-certification

* Wed Aug 17 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-134 Enable 7.3 hardware certifications in Redhat-certification

* Mon Aug 15 2016 Greg Nichols <gnichols@redhat.com>
- comment out some of the filler, and forgot password links
- CERTPX-10 rhcert-backend submit using bugzilla login for hardware
- CERTPX-9 Downloaded certification minor versions for hardware and cloud are sometimes wrong.
- fix container image to redhat-certification-openstack 1.5.0 for RHEL7

* Fri Aug 12 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-117 Automated Change Logs show duplicate commit messages

* Fri Aug 05 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-5 Improve Web UI for showing sub-tests/results roll-up

* Thu Aug 04 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-94 Support REVIEW test result
-  CERTPX-1 redhat-certification-backend should require redhat-certification-information

* Mon Aug 01 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-2 rhcert-backend plan lists wrong number of test
- CERTPX-63 redhat-certification 2.8

* Tue Jul 26 2016 Greg Nichols <gnichols@redhat.com>
- set container to use redhat-certification-cloud 3.4.1

* Mon Jul 25 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-509 info test failing on RHEL6 due to Verification of redhat-certification package failed

* Fri Jul 22 2016 Greg Nichols <gnichols@redhat.com>
- remove redhat-certification-sosreport, pin -cloud to 3.4
- RHCERT-507 Unable to create certificate for RHOS 8 and 9 for neutron plugin from rhcert ui

* Thu Jul 21 2016 Ben Rose <brose@redhat.com>
- 1358479 - Update kernel tainted messages in rhcert platform test

* Thu Jul 21 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-506 While creating RHOSP 9 new networking plugin certificate its displaying 8.0 in high availabilty section info

* Wed Jul 20 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-504 OpenStack common question improvement
- RHCERT-503 Remove Manila questions from Management-Application from RHCERT side

* Tue Jul 19 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-476 Move RHEL platform validation code to rhcert libaries
- RHCERT-499 WebUI navigation missing for continued testing page

* Fri Jul 15 2016 Ben Rose <brose@redhat.com>
- 1327711 - fix multiple devices for the same test from being both run when only one is selected as well as debug option

* Wed Jul 13 2016 kgough <kgough@redhat.com>
- Login page updated to reflect latest RCUE design (includes alert boxes)

* Wed Jul 06 2016 Greg Nichols <gnichols@redhat.com>
- remove
- RHCERT-86 Ship rhcert server preconfigured as a container
- RHCERT-480 version 2.7

* Fri Jul 01 2016 Greg Nichols <gnichols@redhat.com>
- 1332654 - The Upload a Results File Feature Fails

* Mon Jun 27 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-488 Unable to create rhosp9 certification from rhcert-2.6

* Thu Jun 23 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-469 Move Hardware Partner Programs to SSO

* Wed Jun 22 2016 Greg Nichols <gnichols@redhat.com>
- Add XMLRPC api doc

* Tue Jun 21 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-467 No longer display the container certification program in RHCERT

* Mon Jun 20 2016 Greg Nichols <gnichols@redhat.com>
- test fix dockerfile

* Thu Jun 16 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-478 rhcert-ci certify giving Fault -32601 errors

* Tue Jun 07 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-474 rhcert should fail tests run when plan-time-required packages are not installed
- RHCERT-464 http proxy support

* Wed Jun 01 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-440 rhcert-2.6 New Version

* Thu May 26 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-439 rhcert-ci certify (local) results in traceback

* Wed May 25 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-438 RealTime machine can't be recognized by rhcert

* Tue May 24 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-458 OpenStack block storage cert created from rhcert can't set quota-set-extension
- RHCERT-457 Error while creating certification-other-application" from rhcert-2.5 UI"
- RHCERT-456 Unable to Open A RHOSP Management Application Certification from rhcert-2.5
- RHCERT-454 RHELOSP4,5 should be removed from cert creation

* Mon May 23 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-453 RHOSP 9.0 certifications can not be created in rhcert 2.5

* Fri May 20 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-448 RHEL 7.0 certs are displayed as RHEL 7.2 in redhat-certification UI

* Thu May 19 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-444 rhcert is not parsing the certs for OSP6, RT, etc. correctly.
- RHCERT-443 Cert Creation dialog needs confirmation message

* Wed May 18 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-415 rhcertd command missing help, and crashes with bad or missing arguments
- RHCERT-396 rhcert-ci <command> --help is missing the --client option for some commands
- RHCERT-394 Local certifications should not offer Submit" and other actions."

* Tue May 17 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-434 No certs displayed in rhcert when product is  Red Hat Enterprise Linux Server for ARM""
- RHCERT-410 Enable Open A RHOSP Sahara Certification from rhcert WUI

* Fri May 13 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-433 Open A RHEL Certification from rhcert WUI

* Mon May 09 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-416 Open Certifications via multi-step dialogs with CWE

* Wed May 04 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-431 BZ 1332654 Results file import produces redirect to 404

* Mon May 02 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-395 rhcert-2.5 May Release (new version)

* Thu Apr 14 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-378 Docker image and manifest file are not successfully uploaded to rhcert UI
- RHCERT-397 progress tab is visible on local certifications for catalog products
- RHCERT-352 Meta-Data Update for RHEL 6.8

* Wed Apr 13 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-393 traceback on rhcert-backen submit

* Tue Apr 12 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-390 redhat-certification-backend.el6 should require mod_wsgi
- RHCERT-391 rhcert-ci certify: submitted results missing on local server

* Mon Apr 11 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-384 Error while clicking on product created locally on server
- RHCERT-386 Remove" Button for Certifications is no longer valid"

* Fri Apr 08 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-381 Open Certification from Sandbox

* Thu Apr 07 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-216 rhcert container should provide test suites as a yum repo

* Mon Apr 04 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-366 	rhcert-ci support calling individual tests

* Wed Mar 30 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-356 Display test plan and progress downloaded from CWE for software programs

* Wed Mar 23 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-375 Unable to add certification for open-stack product created on local server RHCERT-376 Creating local products should not require login

* Mon Mar 21 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-354 test plan download should be automatic on page load
- RHCERT-373 Name changed from RHELOSP8 to RHOSP8

* Thu Mar 17 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-368 Test Crashes should not kill the rhcert client daemon
- RHCERT-369 rhcert-ci submit unable to save job ID

* Tue Mar 15 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-364 Show validation reports in results file view
- RHCERT-360 Unable to create container CI sandbox in webUI

* Thu Mar 10 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-359 Product Page: replace Add Certification" button with "Syncronize" and "Create Local""

* Fri Mar 04 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-353 Cert suite does not provide warning of 16 MB upload limit on results files

* Thu Mar 03 2016 Greg Nichols <gnichols@redhat.com>
- Version 2.4

* Tue Mar 01 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-349 rhcert-ci local/direct is broken

* Mon Feb 29 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-347 Attachments that are html should be viewed directly
- RHCERT-339 Paralell CI - Web UI for Sandboxes

* Wed Feb 24 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-309 rhcert-ci should allow the product key to be stored in a file, and passed as --key-file
- RHCERT-343 Error occurs when use rhcert-ci run""
- RHCERT-344 Run rhcert-ci without parameter will throw error
- RHCERT-340 No option to submit cloud/openstack test results through rhcert UI

* Mon Feb 22 2016 Kun Yan <kyan@redhat.com>
- Modify for new catalog API name

* Wed Feb 17 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-308 CI Remote Support

* Wed Feb 10 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-338 rhcert-backend submit container traceback - wrong number of arguments
- RHCERT-331 rhcert-ci support for parallel CI

* Fri Feb 05 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-330 Web UI returns to Testing" page after results submtted"
- RHCERT-335 Certification Test page shows None" in the header when the test has not been run."

* Tue Feb 02 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-328 rhcert-ci submit container returns error"

* Fri Jan 29 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-327 Web UI For Containers should select either image or the pull URL

* Thu Jan 28 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-324 [Container] Can not submit container with rhcert UI
- RHCERT-326 WebUI Container image submission files: files not found

* Wed Jan 27 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-320 rhcert-ci traceback on container submit (rhcertci.py line 234)
- RHCERT-313 rhcert shows the test plan as Frozen, when it's Melted in CWE
- RHCERT-319 [Container] Unable to submit an image through rhcert UI
- RHCERT-318 Mandatory field of Base OS not present in openstack cert creation.

* Tue Jan 26 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-315 rhcert login should replace SSO vs BZ radio buttons with a single checkbox for hardware
- RHCERT-316 rhcert-ci submit/results should return review" results from CWE/CaaS as a failure"

* Fri Jan 22 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-310 rhcert gives response: []" error on Test Plan Download"
- RHCERT-311 Test Plan Component Assignment does not show test names

* Thu Jan 21 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-305     CI Support rhcert submit command needs to accept a product key (cloud, openstack)

* Wed Jan 20 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-304 CI Support: rhcert CLI needs a command to get a product key

* Tue Jan 19 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-106 FEAT: upload command for adding a downloaded file to a different server (sneakernet)`

* Fri Jan 15 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-305 CI Support rhcert submit command needs to accept a product key

* Thu Jan 14 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-302 CI Support: rhcert command to get validation results

* Tue Jan 12 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-306 Web UI needs to support docker pull url for container submission
- RHCERT-219 CI Support: container submit via docker pull URL

* Mon Jan 11 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-301 ci example scripts
- CI Support: rhcert CLI needs a command to get a product token
- RHCERT-302 CI Support: rhcert command to get validation resultsng
- RHCERT-305 CI Support rhcert submit command needs to accept a product token
- RHCERT-304 CI Support: rhcert CLI needs a command to get a product token

* Thu Jan 07 2016 Greg Nichols <gnichols@redhat.com>
- Begin Version 2.2 (RHCERT-301)
- RHCERT-303 unicode input to local products causes traceback

* Tue Jan 05 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-300 CWE missing node IDs for some certifications downloaded to rhcert

* Tue Dec 22 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-299 Dialog order should be configurable

* Mon Dec 21 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-218 rhcert should display comments and activity from CWE

* Thu Dec 17 2015 Greg Nichols <gnichols@redhat.com>
- 1292245 - daemon crashes with traceback after resume from suspend-to-disk

* Wed Dec 16 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-294 non-ascii data from CWE causes invalid XML document on Test Plan Download
- RHCERT-294 non-ascii data from CWE causes invalid XML document on Test Plan Download RHCERT-295 rhcert fails to fetch cert list for rhos7 saying Error: Your current account type is sso, but ecosystem openstack requires bz login.

* Mon Dec 14 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217 rhcert should download the test plan from CWE

* Fri Dec 11 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217

* Tue Dec 08 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-286 trying login after a failed login results in exception

* Fri Dec 04 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-118 Add register" option to the rhcert-backend command's help text"
- RHCERT-285 rhcert-backend CLI clean-up for unified certification

* Thu Dec 03 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-283 rhcert should not try to detect when a selected host is already assigned to a certification

* Wed Dec 02 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-284 rhcert is not able to load result file even if the size limit is increased

* Tue Nov 24 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-282 Continue" button on host results page results in traceback"
- RHCERT-145 FEAT - save each test results as they are produced
- RHCERT-6 rhcert-backend clean all causes traceback to be displayed on LTS
-  RHCERT-231 Invalid error when user does not provide password

* Mon Nov 23 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-244 Client daemon/listener should be controlled via rhcertd on the SUT

* Thu Nov 19 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-244 Client daemon/listener should be controlled via rhcertd" on the SUT"
- RHCERT-247 rhcert having lxml issue for el6 rpms

* Wed Nov 18 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-160 redhat-certification defines RHEL.major as RHEL7" regardless of OS version"

* Tue Nov 17 2015 Greg Nichols <gnichols@redhat.com>
- 1282658 - fv_network test fail - guest network test is incomplete

* Mon Nov 16 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-243 Error while uploading an image in rhcert UI
- RHCERT-236 Confusion between bug Ids and certIds for cloud certiification

* Tue Nov 10 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-241 Image is not encrypted while uploading through rhcert 2.0 UI

* Fri Nov 06 2015 Greg Nichols <gnichols@redhat.com>
- 1278497 - rhcert Web UI does not correctly identify RHEL version for Cloud certifications

* Wed Nov 04 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-233 RHCert don't report duplication docker image error for container cert throw from CWE
- 1277920 - Wrong entry for Red Hat Enterprise Linux Server for ARM Development Preview 7.2 in certificationIndex.xml

* Tue Nov 03 2015 Greg Nichols <gnichols@redhat.com>
- 1274121 - Error: could not detect reboot encountered when running kdump on rhel 7.2
- RHCERT-232 Rhcert 2.0 treats CWE cert id as Node id

* Thu Oct 29 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-228 cloud certification should change to sso

* Wed Oct 28 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-226 Add Certification button not working for openstack and container certifications.

* Tue Oct 27 2015 Ben Rose <brose@redhat.com>
- 1262067 - update detection for ARM kernel versions (via uname)

* Thu Oct 22 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-213 delete is needed products and certifications
- add account to CWE login

* Wed Oct 21 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-223 rhcert needs to implement a test plan ID attribute

* Tue Oct 20 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217 rhcert should download the test plan from CWE starting

* Fri Oct 16 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-200 rhcert should use sessions via CWE (sso) to avoid repeated logins

* Thu Oct 15 2015 Greg Nichols <gnichols@redhat.com>
- Bump version to 2.1

* Tue Oct 13 2015 Greg Nichols <gnichols@redhat.com>
- 1271313 - rhcert does not pass correct account type to CWE
- 1260192 - FEAT: Provide the ability to upload results files to the LTS that were obtained elsewhere

* Thu Oct 08 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-211 When adding a Host to a Cert, Status of the SUT shows only checking... state
- 1269900 - network and kdump tests fail when server and SUT have localhost hostnames

* Wed Oct 07 2015 Greg Nichols <gnichols@redhat.com>
- fix Dockerfile generation

* Tue Oct 06 2015 Greg Nichols <gnichols@redhat.com>
- 1269274 - Interactive links sometimes lack host connection parameter
- 1269173 - Results table links for tests with devices are not correct

* Wed Sep 30 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-209 [OpenStack] multi-select prompt is not rendered as checkboxes RHCERT-210 [OpenStack] large text edit shown as simple text prompt.

* Tue Sep 29 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-117 Save command results in invalid URL

* Mon Sep 28 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-85 RHEL 6 option not available for Container Certification

* Fri Sep 25 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-205 close command does not clean results from the host
- RHCWE-518 Can not submit hardware test results
- PHCWE-518 Can not submit hardware test results

* Thu Sep 24 2015 Greg Nichols <gnichols@redhat.com>
- PHCERT-202
- RHCERT-198 [Openstack]Workflow confusion on rhcert2 for CWE and bugzilla ids
- PHCERT-198 [Openstack]Workflow confusion on rhcert2 for CWE and bugzilla ids

* Wed Sep 23 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-199 rhcert does not restrict workflow for local AKA scratch certs and results
- RHCERT-201 Cloud certifications downloaded from CWE are shown as Hardware""
-     RHCERT-196

* Tue Sep 22 2015 Greg Nichols <gnichols@redhat.com>
- 1264487 - Web UI: Product and Certification lists should display workflow and certification ID

* Tue Sep 22 2015 Luke Brooker <lbrooker@redhat.com>
- Adjust sidebar even when it has a datatable in the body
- Fix failed labels so they display red and update label order

* Fri Sep 18 2015 Greg Nichols <gnichols@redhat.com>
- 1264484 - Local Products should only use Make for Hardware

* Thu Sep 17 2015 Greg Nichols <gnichols@redhat.com>
- 1263842 - In debug mode, the WebUI host logging displays do not work
- 1263755 - WebUI needs to capture ecosystem when adding products and certifications

* Wed Sep 16 2015 Greg Nichols <gnichols@redhat.com>
- fix merge
- move RHEL6 back to -backend package

* Tue Sep 15 2015 Greg Nichols <gnichols@redhat.com>
- 1263462 - Container Certifications traceback after creation in the web UI

* Mon Sep 14 2015 Greg Nichols <gnichols@redhat.com>
- 1262980 - test attachments should be shown on the results table
- fix el6 provides
- move to -backend subpackage for RHEL6
- 1261195 - Clicking continue testing button results in 404
- 1262057 - A text input dialog appears instead of Yes/No buttons for hwcert/kdump test. 1261197 - Dropdown for selecting device for storage test is not a dropdown.
- 1262048 - Incorrect links on 'Test Results' page. 1257954 - Manual test planning treats a device logical name as a UDI match 1255640 - Test suite run with all the type of the devices though only one was planed by a parameter udi/device.

* Fri Sep 11 2015 Greg Nichols <gnichols@redhat.com>
- i1227488 - stop button functionality incomplete
- 1262109 - clicking 'stop' button for a test causes AttributeError

* Thu Sep 10 2015 Greg Nichols <gnichols@redhat.com>
- 1262113 - Certifications downloaded from the catalog are shown as scratch
- 1262097 - Cloud Certifications downloaded from Catalog create Container certs on rhcert
- 1262084 - test run debug output on certification results listing page is shown when Enable Debug is not selected
- 1262080 - RHELOSP5 is needed in the product meta-data
- 1261937 - redhat-certification package should be split into redhat-certification-backend

* Wed Sep 09 2015 Greg Nichols <gnichols@redhat.com>
- 1261506 - redhat-certification 2.0 must be ported to django 1.6 for el6

* Tue Sep 08 2015 Greg Nichols <gnichols@redhat.com>
- 1261089 - debug checkbox will not 'uncheck'
- 1256809 - certification information must include details on Red Hat products being certified

* Fri Sep 04 2015 Ben Rose <brose@redhat.com>
- 1259984 - add RHEL7.2 to dropdown of products

* Fri Aug 21 2015 Greg Nichols <gnichols@redhat.com>
- fix broken product page, test host action
- new product and vendor XML, UI

* Mon Aug 17 2015 Greg Nichols <gnichols@redhat.com>
- rhcert-2

* Thu Aug 13 2015 Greg Nichols <gnichols@redhat.com>
- fill in products page status
- 1252571 - daemon and/or listener logs disappear

* Wed Aug 12 2015 Greg Nichols <gnichols@redhat.com>
- 1246226 - tests appear in plan multiple times after test run
- 1252998 - RHEL6 deprecation warning on md5 module
- 1243990 - stale pid files left behind after server shutdown
- 1252739 - Can not specify a IP address for test server when running rhcert-backend plan

* Tue Aug 11 2015 Greg Nichols <gnichols@redhat.com>
- 1181296 - rhcert listener doesn't always start

* Fri Aug 07 2015 Greg Nichols <gnichols@redhat.com>
- product fixes

* Wed Aug 05 2015 Greg Nichols <gnichols@redhat.com>
- incorporate product-based navigation design

* Tue Aug 04 2015 Greg Nichols <gnichols@redhat.com>
- fix submit of results
- implement delete and clean commands
- debug test running, host results

* Mon Aug 03 2015 Greg Nichols <gnichols@redhat.com>
- move http error to stderr
- bump to version 2.0

* Wed Jul 22 2015 Ben Rose <brose@redhat.com>
- BZ1228318 - update rhcert web UI to allow selection of RHEL 6.7 for certifications

* Fri Jul 17 2015 Greg Nichols <gnichols@redhat.com>
- remaining port - untested
- initial 2.0 build

* Tue Jul 14 2015 Greg Nichols <gnichols@redhat.com>
- move django to apache/mod_wsgi

* Tue Jul 07 2015 Ben Rose <brose@redhat.com>
- BZ1240674 - temporarily update urls in default xml

* Wed Jul 01 2015 Greg Nichols <gnichols@redhat.com>
- more proof-of-concept

* Mon Jun 29 2015 Greg Nichols <gnichols@redhat.com>
- initial proof-of-concept

* Wed Jun 24 2015 Greg Nichols <gnichols@redhat.com>
- 1235365 - rhcert error on results submission: can not submit results ()""
- 1230871 - FEAT: rhcert shipped as a container

* Tue Jun 23 2015 Greg Nichols <gnichols@redhat.com>
- 1235001 - traceback on adding cert if CWE returns no vendor, make, product response

* Mon Jun 22 2015 Greg Nichols <gnichols@redhat.com>
- 1233977 - /etc/rhcert-default.xml has wrong python version on RHEL6

* Mon Jun 22 2015 Praveen Kumar <prkumar@redhat.com>
- Add Entrypoint with default CMD - Add maintainer details - Reduce extra layer

* Fri Jun 19 2015 Greg Nichols <gnichols@redhat.com>
- 1232852 - FEAT: rhcert-backend server start|stop commands should work without systemd

* Thu Jun 18 2015 Greg Nichols <gnichols@redhat.com>
- 1232934 - add RHELSA to redhat-certification hardware certification options

* Wed Jun 17 2015 Greg Nichols <gnichols@redhat.com>
- fix respin calculation

* Wed Jun 17 2015 Ben Rose <brose@redhat.com>
- BZ1232721 - fix bug in return statement within Environment.showChangesFromDefault

* Fri Jun 12 2015 Greg Nichols <gnichols@redhat.com>
- 1231336 - rhcert configuration (/etc/rhcert.xml) should be installed via package with defaults

* Thu Jun 11 2015 Greg Nichols <gnichols@redhat.com>
- 1228790 - rhcert should use provides when installing test-required packages
- 1230698 - redhat-certification has difficulties with networks without DNS support

* Thu Jun 11 2015 Praveen Kumar <prkumar@redhat.com>
- Pep8 fixes and quiet/debug mode with boolean options

* Wed May 27 2015 Greg Nichols <gnichols@redhat.com>
- 1225533 - KeyError python traceback un-set command option via Web UI

* Tue May 26 2015 Greg Nichols <gnichols@redhat.com>
- 1221633 - Key Error while adding a system in the certification tool

* Wed May 20 2015 Greg Nichols <gnichols@redhat.com>
- 1223514 - Links to interative prompts on Configuration and Certification pages are invalid
- 1217211 - demo test text file upload gives padding error
- 1179200 - Initialization of download from attachments hyperlink takes too much time to start.

* Tue May 19 2015 Greg Nichols <gnichols@redhat.com>
- 1216150 - test server forgotten after planning in network tests

* Mon May 18 2015 Greg Nichols <gnichols@redhat.com>
- 1208330 - The debug checkbox has no effect on the test run

* Thu May 14 2015 Greg Nichols <gnichols@redhat.com>
- 1179358 - Test suite log message are not shown in web UI

* Tue May 12 2015 Greg Nichols <gnichols@redhat.com>
- 1212964 - editText doesnt work for LargeText in CLI

* Fri May 08 2015 Greg Nichols <gnichols@redhat.com>
- 1212966 - No persistent logs available for rhcert-backend daemon and listener

* Fri May 08 2015 Praveen Kumar <prkumar@redhat.com>
- Filter auto merge message to master

* Thu May 07 2015 Greg Nichols <gnichols@redhat.com>
- 1204952 - redhat-certification confused by RHELSA uname output
- 1201491 - KeyError when creating new hardware certification test - RHELSA
- 1214072 - use only SMBIOS Type 1 to query system manufacturer, make, and model

* Tue May 05 2015 Greg Nichols <gnichols@redhat.com>
- 1218622 - rhcert-backend submit does not prompt for certification type

* Mon May 04 2015 Greg Nichols <gnichols@redhat.com>
- 1215726 - traceback on rhcert-backend submit command

* Thu Apr 30 2015 Greg Nichols <gnichols@redhat.com>
- 1216963 - python-lxml not present as dependency for redhat-certification package

* Thu Apr 30 2015 Praveen Kumar <prkumar@redhat.com>
- Filter gerrit merge commits to get in changelog

* Mon Apr 20 2015 Greg Nichols <gnichols@redhat.com>
-  1213391 - display of attachments are not sorted properly by test name and run

* Fri Apr 17 2015 Greg Nichols <gnichols@redhat.com>
- 1212928 - Create New Results File error for host identified by IP address

* Fri Apr 17 2015 Shreyank Gupta <sgupta@redhat.com>
- Trello#7E480dVc: Support 6.x minor versions for cloud

* Wed Apr 15 2015 Greg Nichols <gnichols@redhat.com>
- 1212171 - Web Server can't manage clients without DNS support
- 1211343 - aarch64: python traceback on rhcert server after registering a system

* Fri Apr 10 2015 Greg Nichols <gnichols@redhat.com>
- 1210160 - FEAT: rhcert-backend command to extract test run attachments

* Thu Apr 09 2015 Praveen Kumar <prkumar@redhat.com>
- Add functionality to extract latest commit message to add in changelog

* Thu Apr 09 2015 Greg Nichols <gnichols@redhat.com>
- 1208881 - traceback on ImportError if test suite files deleted
- changelog correction

* Tue Apr 07 2015 Greg Nichols <gnichols@redhat.com>
- 1209438 - Error page appears for empty certification results when beginning testing

* Fri Apr 03 2015 Greg Nichols <gnichols@redhat.com>
- 1206619 - SUT can not be registered from the web UI if the server does not have a hostname

* Tue Mar 31 2015 Greg Nichols <gnichols@redhat.com>
- changelog

* Tue Mar 31 2015 Shreyank Gupta <sgupta@redhat.com>
- Trello#SohS9ihO: Add unicode support for logging.

* Wed Mar 25 2015 Greg Nichols <gnichols@redhat.com>
- 1205644 - RHEL6 cloud certification traceback on saving results file after openscap test:

* Wed Mar 25 2015 Shreyank Gupta <sgupta@redhat.com>
- Workaround for python 2.6 issue5762

* Tue Mar 24 2015 Greg Nichols <gnichols@redhat.com>
- 1205358 - Can't add hwcert/storage test to a plan manually due to python error
- 1205357 - need to enable cloud certifications

* Mon Mar 23 2015 Greg Nichols <gnichols@redhat.com>
- 1179290 - Not able to delete created certification

* Fri Mar 20 2015 Greg Nichols <gnichols@redhat.com>
- 1203244 - Test Scheduling does not always observe test priority

* Thu Mar 19 2015 Greg Nichols <gnichols@redhat.com>
- 1201865 - FEAT: muti-select for web UI

* Thu Mar 12 2015 Ben Rose <brose@redhat.com>
- update changelog
- BZ1198764 - fix uname parsing for ARM RHEL

* Tue Mar 10 2015 Greg Nichols <gnichols@redhat.com>
- 1200386 - system registration message on server UI shows debug output

* Mon Mar 09 2015 Greg Nichols <gnichols@redhat.com>
- 1199650 - rhcert command should be removed.
- 1199650 - Running rhcert with no parameters should display help message and exit

* Wed Mar 04 2015 Greg Nichols <gnichols@redhat.com>
- 1198751 - Server over-specifies redirects to http://<server hostname>

* Tue Mar 03 2015 Greg Nichols <gnichols@redhat.com>
- 1198324 - Spelling error in OpenStack button on main web page
- 1198201 - Web UI Improvements

* Fri Feb 27 2015 Greg Nichols <gnichols@redhat.com>
- 1197215 - command-line container submission does not submit encrypted file

* Thu Feb 26 2015 Greg Nichols <gnichols@redhat.com>
- 1196828 - redhat-backend server start-up - spurious output
- 1196817 - The save command should save results directly to the local server

* Wed Feb 25 2015 Greg Nichols <gnichols@redhat.com>
- 1196370 - Interactive UI uses whole-page refresh polling for status

* Tue Feb 24 2015 Greg Nichols <gnichols@redhat.com>
- 1195744 - fv_network test fails http transfer test - can not find IP address seen by server
- 1195734 - fv_network test fails http transfer test - can not find IP address seen by server\n\nChange message for backwards compatability with hwcert-client 1.6.5.2 in fv_network

* Mon Feb 23 2015 Greg Nichols <gnichols@redhat.com>
- 1195291 - Build Errors: No images in image directory
- 1195311 - hardware and container certifications should be enabled

* Sat Feb 21 2015 Ben Rose <brose@redhat.com>
- [trello-aGu1SHpZ] - add support for ael7<alpha> kernel version product

* Fri Feb 20 2015 Greg Nichols <gnichols@redhat.com>
- public key update for container
- 1194782 - Interactive UI looses track of host during reboot for the kdump test

* Thu Feb 19 2015 Greg Nichols <gnichols@redhat.com>
- 1194021 - client daemon trackback on start after clean
- 1194313 - openstack bugzilla default URL should point to production, not stage

* Wed Feb 18 2015 Ben Rose <brose@redhat.com>
- updated changelog
- [trello-ul6LAdIN] - update regex and update parsing code a bit

* Wed Feb 18 2015 Greg Nichols <gnichols@redhat.com>
- update public key for container encryption

* Tue Feb 17 2015 Greg Nichols <gnichols@redhat.com>
- 1193647 - rhcert does not save updated results if incomplete tests are finished after reboot.
- 1193589 - Selection of device-specific tests doesn't work

* Mon Feb 16 2015 Greg Nichols <gnichols@redhat.com>
- 1193086 - fv_network test can not save test files during http transfer test
- remove add certifications button

* Sun Feb 15 2015 Greg Nichols <gnichols@redhat.com>
- 1192598 - rhcert needs to provide interfaces for network testing of hosts running hwcert-client 1.6.5.2

* Fri Feb 13 2015 Greg Nichols <gnichols@redhat.com>
- 1192542 - Failed fv tests reported as passing
- 1192492 - Traceback on container image submisstion

* Wed Feb 11 2015 Greg Nichols <gnichols@redhat.com>
- fix traceback on adding a cert
- package install public key
- fix traceback on end of interactive test

* Tue Feb 10 2015 Greg Nichols <gnichols@redhat.com>
- obselete ccp-client
- 1179283 - Unable to delete hosts in rhcert UI
- remove scratch certifications for container

* Wed Feb 04 2015 Greg Nichols <gnichols@redhat.com>
- fix rhcert-backend save container
- fix rhcert-backend command line for saving and/or submitting container files

* Tue Feb 03 2015 Greg Nichols <gnichols@redhat.com>
- add bugzilla URL to config display
- fix comment
- add python-magic and m2crypto to Requires

* Mon Feb 02 2015 Greg Nichols <gnichols@redhat.com>
- correct workflow link to be bugilla for openstack, catalog for other types
- traceback on container image submission, no key file
- change compression detection to use python-magic, rather than the file command

* Fri Jan 30 2015 Greg Nichols <gnichols@redhat.com>
- fix traceback on first interactive run of a new results document
- change container image compression from bzip2 to gzip

* Thu Jan 29 2015 Greg Nichols <gnichols@redhat.com>
- add compression of container images
- fix file handling of image keys

* Wed Jan 28 2015 Greg Nichols <gnichols@redhat.com>
- fix typo
- disable all but openstack certs

* Tue Jan 27 2015 Greg Nichols <gnichols@redhat.com>
- change attachment size limit to 128MB
- add calls to encrypt container images and manage random keys
- File encryption utility wrapper

* Tue Jan 20 2015 Greg Nichols <gnichols@redhat.com>
- fix logic allowing 7.1 hosts on 7.0-min certs
- disable cert types other than hardware and openstack

* Mon Jan 19 2015 Greg Nichols <gnichols@redhat.com>
- fix interactive test status reporting on certification page
- start listner last, after a sec

* Fri Jan 16 2015 Greg Nichols <gnichols@redhat.com>
- add promptFile for file uploading

* Thu Jan 15 2015 Greg Nichols <gnichols@redhat.com>
- fix schema validation errors\n https://trello.com/c/Y9iUtQwO

* Tue Jan 13 2015 Greg Nichols <gnichols@redhat.com>
- remove debug output
- Several UI improvements involving host status and relevant commands.
- remove extrainious output statement

* Fri Jan 09 2015 Greg Nichols <gnichols@redhat.com>
- 1179181 - New openstack certification asks to add hosts 2 times instead of 1
- 1179305 - CWE API change needed for Vendor, Make, and Model

* Thu Jan 08 2015 Greg Nichols <gnichols@redhat.com>
- disable cloud certs

* Wed Jan 07 2015 Greg Nichols <gnichols@redhat.com>
- 1179363 - self.statusMessage does not output provided input message to the rhcert web UI

* Mon Jan 05 2015 Greg Nichols <gnichols@redhat.com>
- remove post script that opens 80 and 8009 in firewall

* Mon Dec 22 2014 Greg Nichols <gnichols@redhat.com>
- add openstack certification type
- change listener to bind to current host name/ip
- set huge_tree=True when parsing XML to allow 24MB+ attachments

* Thu Dec 18 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback on listener daemon start
- add /etc/init.d/rhcert-backend to %files
- remove call to continue
- Add continuation support for tests needing to reboot the system (https://trello.com/c/dg0xUQM9)
- https://trello.com/c/ijC1U52N

* Tue Dec 09 2014 Greg Nichols <gnichols@redhat.com>
- Add support for /store URLS

* Wed Nov 26 2014 Guangze Bai <gbai@redhat.com>
- 1161648 - Put mandatory post tests at last

* Tue Nov 25 2014 Greg Nichols <gnichols@redhat.com>
- fix manual addition of tests
- 1164857 - hwcert-client confused by RHELSA contents in /etc/redhat-release

* Mon Nov 24 2014 Greg Nichols <gnichols@redhat.com>
- add requires for firewalld in %post

* Fri Nov 21 2014 Greg Nichols <gnichols@redhat.com>
- add RHEL 7.1
- open port 80 in firewall for RHEL7
- remove requires systemd for post in RHEL6
- %post scriptlet errors: selinux and firewall

* Thu Nov 20 2014 Greg Nichols <gnichols@redhat.com>
- fix schema parsing errors, validation against current rhcert-generated results.xml

* Wed Nov 19 2014 Greg Nichols <gnichols@redhat.com>
- Scratch Certifications: ui hiding of id slot, tracking certification documents as scratch, removing link to Go To Workflow"."
- Version to 1.0, changelog
- remove hard-coded mimetypes, use mimetpyes module and attachment document attributes

* Wed Nov 19 2014 Shreyank Gupta <sgupta@redhat.com>
- Trello#lCQGfo3Z: Adding the mimetype and encoding of attachments into results.xml

* Tue Nov 18 2014 Shreyank Gupta <sgupta@redhat.com>
- Trello#KYcrrmLH: Adding the MD5sum of attachments into results.xml

* Mon Nov 17 2014 Greg Nichols <gnichols@redhat.com>
- draft schema

* Wed Nov 05 2014 Greg Nichols <gnichols@redhat.com>
- name change for hardware test suite

* Mon Nov 03 2014 Greg Nichols <gnichols@redhat.com>
- call CWE to get Vendor/Make/Product when existing certification is added

* Wed Oct 29 2014 Greg Nichols <gnichols@redhat.com>
- improve container image pair layout on certification page

* Wed Oct 22 2014 Shreyank Gupta <sgupta@redhat.com>
- Trello#0WJe9U5n: Passing fromlist=[] to __import__, to preserve global variables for individual tests.

* Fri Oct 17 2014 Greg Nichols <gnichols@redhat.com>
- move container image pair description, add defaulting, stub-in CWE xmlrpc call to get vendor, product
- interaction improvements on certification page

* Thu Oct 16 2014 Greg Nichols <gnichols@redhat.com>
- add stop/restart capability on hosts and interactive pages

* Wed Oct 15 2014 Greg Nichols <gnichols@redhat.com>
- revised certification page layout, added new and close operations

* Fri Oct 10 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback
- reset action selectors on back/cancel

* Thu Oct 09 2014 Greg Nichols <gnichols@redhat.com>
- implement results action selectors on certification pages
- change host status to use ajax/javascript polling

* Wed Oct 08 2014 Greg Nichols <gnichols@redhat.com>
- change package name to redhat-certification, merge in -server subpackage

* Tue Oct 07 2014 Greg Nichols <gnichols@redhat.com>
- fix bug where results aren't saved to the certification
- clean up certification UI

* Thu Oct 02 2014 Greg Nichols <gnichols@redhat.com>
- Minor UI edits on certification page for containers: https://trello.com/c/iteEktAp/46-minor-ui-edits

* Wed Oct 01 2014 Greg Nichols <gnichols@redhat.com>
- error checking for adding image pairs, deletion

* Tue Sep 30 2014 Greg Nichols <gnichols@redhat.com>
- container cert: add image info to image lists, provide time submitted

* Thu Sep 25 2014 Greg Nichols <gnichols@redhat.com>
- 1146461 - rhcert-client 0.3: rhcert-backend server start doesn't start NFS for kdump\n\n remove quotes around subcommand

* Wed Sep 24 2014 Greg Nichols <gnichols@redhat.com>
- 1146099 - rhcert-client 0.3: traceback on rhcert-backend register

* Tue Sep 23 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback on attempts to submit container images

* Mon Sep 22 2014 Greg Nichols <gnichols@redhat.com>
- add certificationIndex.xml to %files
- add vendor/product and image descriptions
- move cert types to separate xml file:\n /usr/lib/<python>/site-packages/rhcert/info/certificationIndex.xml
- rhcert store changed to organize results files by cert type/id

* Thu Sep 18 2014 Greg Nichols <gnichols@redhat.com>
- Add status feedback on testing progress for both interactive and non-interactive testing

* Wed Sep 17 2014 Greg Nichols <gnichols@redhat.com>
- fix deletion of empty results, add certification page refresh for non-container certs

* Tue Sep 16 2014 Greg Nichols <gnichols@redhat.com>
- fix bug preventing saving of results files, and clean-up of empty ones
- fix dropbox download url
- fix initial testing flow - show test plan, then clean it up later
- fix container upload missing or corrupted files trello OKdgVQIz

* Mon Sep 15 2014 Greg Nichols <gnichols@redhat.com>
- fix bugs in initial test run
- test host selection UI improvements
- Add collection of vendor, make, and model to the Add Certification" dialog for hardware certifications."
- implement delete for test results

* Wed Sep 10 2014 Greg Nichols <gnichols@redhat.com>
- Support multi-line prompts/message in listener/interactive Tasks

* Tue Sep 09 2014 Greg Nichols <gnichols@redhat.com>
- Change to docker image upload catalog XMLRPC call

* Mon Sep 08 2014 Greg Nichols <gnichols@redhat.com>
- fix interactive web UI

* Fri Sep 05 2014 Greg Nichols <gnichols@redhat.com>
- fix web prompting bugs, add selections, interactive demo
- interactive tests - initial implementation complete

* Thu Sep 04 2014 Greg Nichols <gnichols@redhat.com>
- interactive tests part2: bug fixes for calling interactive tests, displaying system status
- interactive test support (partial)

* Wed Sep 03 2014 Greg Nichols <gnichols@redhat.com>
- fix container image upload

* Tue Sep 02 2014 Greg Nichols <gnichols@redhat.com>
- fix expression typo
- fix duplicate registration of test classes

* Fri Aug 29 2014 Greg Nichols <gnichols@redhat.com>
- Revise test suite planning to eliminate name conflicts

* Mon Aug 25 2014 Luke Brooker <lbrooker@redhat.com>
- update summary results with new template

* Thu Aug 21 2014 Greg Nichols <gnichols@redhat.com>
- add reinitialization of SUT for cert type and/or ID changes

* Wed Aug 20 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback for Add Host via cert ID
- add certification type information to the Tests page

* Tue Aug 19 2014 Greg Nichols <gnichols@redhat.com>
- improve certification presentation, and test run flow
- improve listener feedback from test runs

* Mon Aug 18 2014 Greg Nichols <gnichols@redhat.com>
- change back to using ip address for client of image upload
- remove extra <table> tag
- add submit command for container certs

* Mon Aug 18 2014 Luke Brooker <lbrooker@redhat.com>
- Fix breaking certifications results table
- Add rcue assets and update Makefiles and .conf accordingly
- Add rcue template changes and merge. Still need to add the assets for the templates to work

* Sun Aug 17 2014 Greg Nichols <gnichols@redhat.com>
- add back results.css to install

* Fri Aug 15 2014 Greg Nichols <gnichols@redhat.com>
- fix redirect to visit new cert after add
- selinux setting in %post to allow httpd to ftp
- fix container save from rhcert-backend
- add error reporting to ftp push

* Thu Aug 14 2014 Greg Nichols <gnichols@redhat.com>
- add submit and save commands to backend for container files
- container image upload
- add ftp dropbox url/host

* Wed Aug 13 2014 Greg Nichols <gnichols@redhat.com>
- add redirects to smooth adding certs and running tests
- container certification image submission

* Tue Aug 12 2014 Greg Nichols <gnichols@redhat.com>
- move store filesystem code to its own class
- docker AKA container cert image upload
- fix firewall conditional

* Mon Aug 11 2014 Greg Nichols <gnichols@redhat.com>
- fix incomplete settings for continue runs
- restrict firewall config to RHEL7

* Thu Aug 07 2014 Greg Nichols <gnichols@redhat.com>
- add %post to open 8009 in firewall
- server selinux and port settings
- Add version-release info to page footers
- fix foreground mode to run other process correctly

* Wed Aug 06 2014 Greg Nichols <gnichols@redhat.com>
- Fix garbled task output, remove redundant code for writing to it.
- Change listener and daemon foreground mode to run other process in background.

* Tue Aug 05 2014 Greg Nichols <gnichols@redhat.com>
- Server-driven SUT registration

* Thu Jul 31 2014 Greg Nichols <gnichols@redhat.com>
- Add test run request feedback and host status.
- add RHEL 6.6

* Thu Jul 31 2014 Shreyank Gupta <sgupta@redhat.com>
- Adds RawIOBase capabilities to Log object. sys.stdout retains io attributes.

* Wed Jul 30 2014 Greg Nichols <gnichols@redhat.com>
- Fix initial testing flow to install the test suite packages required by the test plan

* Mon Jul 28 2014 Greg Nichols <gnichols@redhat.com>
- fix respin numbering to be rhel-major-version-specific

* Fri Jul 11 2014 Greg Nichols <gnichols@redhat.com>
- fix clean to observer --mode auto
- Fix sorting and display of tests by path

* Thu Jul 10 2014 Greg Nichols <gnichols@redhat.com>
- fix /etc/rhcert.xml defaults to get correct python version site-packages path
- have listener use hostname from socket

* Wed Jul 09 2014 Greg Nichols <gnichols@redhat.com>
- fix rpm build re: web store
- New prototype UI to create certifications. Add prototype interface for creating new (or existing) certifications on the server, and choosing hosts to begin testing.

* Wed Jul 02 2014 Greg Nichols <gnichols@redhat.com>
- Fix build for RHEL6 build portability for python versions in spec file and Makefile conditional code for systemctl vs. server to start httpd fixed bug with initialization of process ID tracking files

* Tue Jul 01 2014 Greg Nichols <gnichols@redhat.com>
- Initial implementation of listener client service and server/web-driven testing.

* Fri Jun 27 2014 Greg Nichols <gnichols@redhat.com>
- remove unncecessary requires from spec
- extend attr setting on web directory

* Thu Jun 26 2014 Greg Nichols <gnichols@redhat.com>
- only install Makefile and .c in test directory
- set output file in test parameters before run
- change test return value to True/False

* Wed Jun 25 2014 Greg Nichols <gnichols@redhat.com>
- fix selinux
- fix network test

* Mon Jun 23 2014 Greg Nichols <gnichols@redhat.com>
- set selinux for server files
- fix packaging
- move installation of libs to python2.7/site-packages

* Fri Jun 20 2014 Greg Nichols <gnichols@redhat.com>
- add layout and headers
- add headers, cert ID output
- fix NewRun header for multiple runs
- improve layout, add file sizes
- fix PASS/FAIL links for device tests
- fix Download link and allow direct results serving via /rhcert-results/... urls
- add more to demo tests

* Thu Jun 19 2014 Greg Nichols <gnichols@redhat.com>
- fix mimetypes for xml
- remove device logging
- added simple demo suite
- fix page title and link for logo
- change save page to return text when saving files, rather than html
- set server version to 0.1
- allow response to be written to a buffer
- set hostname to socket.gethostname
- fix test parameter copying during test planning
- add indications of interactive and mandatory tests in new run column of summary sheet
- implement server status response

* Wed Jun 18 2014 Greg Nichols <gnichols@redhat.com>
- remove aliases for compatability with pre-1.7.0.1 hwcert-server
- initial run-from-server code

* Mon Jun 16 2014 Greg Nichols <gnichols@redhat.com>
- change run to runCommand

* Fri Jun 13 2014 Greg Nichols <gnichols@redhat.com>
- move to hwcert suite
- sort certifications by product-release
- delete temporart doc when registering

* Thu Jun 12 2014 Greg Nichols <gnichols@redhat.com>
- fix build script
- port of cgi to wsgi

* Fri Jun 06 2014 Greg Nichols <gnichols@redhat.com>
- added submit function to server, also added XSLT-based filtering for faster results loading

* Tue Jun 03 2014 Greg Nichols <gnichols@redhat.com>
- add build scripting
- replace iwconfig with iw
- move kernelInfo to hwcert-suite

* Mon Jun 02 2014 Greg Nichols <gnichols@redhat.com>
- Add xsl to server files

* Fri May 30 2014 Greg Nichols <gnichols@redhat.com>
- fix planner to use suite directory
- exclude tools dir from sources
- add requires mod_wsgi
- remove requires for rhcert-client-info

* Thu May 29 2014 Greg Nichols <gnichols@redhat.com>
- set to version 0.1
- add register command, fix file saving, add xslt render

* Wed May 28 2014 Greg Nichols <gnichols@redhat.com>
- move server to wsgi

* Fri May 23 2014 Greg Nichols <gnichols@redhat.com>
- rename server->listener and web->server

* Thu May 22 2014 Greg Nichols <gnichols@redhat.com>
- initial work to replace daemon and named pipes with XMLRPC listener.py

* Mon May 19 2014 Greg Nichols <gnichols@redhat.com>
- remove debug prints

* Fri May 16 2014 Greg Nichols <gnichols@redhat.com>
- fix rpm building

